# مستجدات برنامج NVDA

## 2023.3

يشتمل هذا الإصدار على تحسيناتٍ على أداء واستجابة واستقرار إخراج الصوت. أُضيفت خيارات للتحكم بمستوى أصوات ونغمات NVDA على حدة، أو بجعلها تابعة لمستوى صوت النُطق الذي تستخدمه.

يمكن ل NVDA الآن تحديث نتائج التعرُّف الضوئي على الأحرف OCR باستمرار، بحيث يقرأ النص الجديد فور ظهوره. يمكن ضبطُ هذه الخاصية عبر تصنيف التعرُّف الضوئي على الأحرف الموجود ضمن مربّع حوار إعدادات NVDA.

هناك العديد من الإصلاحات على عمل برايل، متعلقة بتحسين اكتشاف الأجهزة المتصلة، وبحركة مؤشّر الكتابة. فأصبح من الممكن استبعاد تعريفات الأجهزة غير المرغوب فيها من خاصية الاكتشاف التلقائي لتحسين أدائها. هناك أيضًا أوامر جديدة لمعرِّف BRLTTY.

كما توجد العديد من الإصلاحات على مستودع الإضافات، و Microsoft Office، وقوائم السياق في متصفح Microsoft Edge، والآلة الحاسبة المدمجة في Windows.

### المستجدات

- تحسينات على إدارة الصوت:
  - شاشةٌ جديدة لإعدادات الصوت:
    - يمكن فتحها باستخدام مفتاح الاختصار: `NVDA+control+u`.
    - خيارٌ ضمن إعدادات الصوت لجعل مستوى نغمات NVDA وتنبيهاته الصوتية تابعا لمستوى صوت النُطق المختار ضمن إعدادات النُطق. (#1409)
    - خيارٌ ضمن إعدادات الصوت للتحكُّم بمستوى تنبيهات NVDA الصوتية بشكل منفصل. (#1409, #15038)
    - نقل خيارَي تغيير جهاز إخراج الصوت وضبط نمط خفض الأصوات من مربّع حوار اختيار آلة النُطق إلى شاشة إعدادات الصوت الجديدة. سيُزال هذان الخياران من مربّع حوار "اختيار آلة النُطق" في الإصدار 2024.1 من NVDA. (#15486, #8711)
  - يمكن ل NVDA الآن إخراج الصوت عبر واجهة برمجة تطبيقات Windows Audio Session (WASAPI)، مما قد يحسن استجابة وأداء واستقرار نُطق البرنامج وما يصدُر عنه من أصوات. (#14697, #11169, #11615, #5096, #10185, #11061)
  - ملاحظة: لا يتوافق WASAPI حاليا مع بعض الإضافات البرمجية. هناك حاليا تحديثات متوافقة لهذه الإضافات، يُرجى تحديثُها قبل تحديث NVDA لهذا الإصدار. ستُعطَّل الإصدارات غير المتوافقة من هذه الإضافات، بعد تحديث NVDA:
    - إضافة Tony's Enhancements الإصدار 1.15 أو أقدم. (#15402)
    - ملحق NVDA global commands 12.0.8 أو أقدم (#15443) -
- بات NVDA الآن قادرًا على تحديث نتائج التعرُّف الضوئي على الأحرف (OCR) باستمرار، حيث سيقرأ النص الجديد فور ظهوره. (#2797)
  - لتفعيل هذه الخاصية، فعِّلْ خيار "تحديث المحتوى المتعرَّف عليه باستمرار" من تصنيف التعرُّف الضوئي على الأحرف ضمن مربّع حوار إعدادات NVDA.
  - بعد تفعيله، يمكنك التبديل بين تفعيل وتعطيل النص الجديد بتبديل خيار الإعلان عن تغييرات المحتوى النَشِط (بالضغط على `NVDA+5`).
- عند استخدام الاكتشاف التلقائي لأسطر برايل الإلكترونية، يمكن الآن استبعاد معرِّفات الأجهزة غير المرغوبة من خاصية الاكتشاف النلقائي، عبر مربّع حوار اختيار سطر برايل. (#15196)
- إضافةُ الخيار الجديد "تجاهل الإعلان عن المسافات البادئة للأسطر الفارغة" إلى إعدادات تنسيق المستند. (#13394)
- إضافةُ مفتاح اختصار (لم يُعيَّن افتراضيا) للتنقل بين التبويبات في نمط التصفُّح. (#15046)

### التغييرات

- تغييرات على برايل:
  - عند تغيُّر النص على شاشات وحدات توجيه الأوامر دون أن يتغير موضع مؤشّر الكتابة؛ سيُعرَضُ النص الجديد بشكل صحيح على شاشة برايل أثناء عرض السطر الذي حدثت فيه التغييرات. يشمل ذلك الحالات التي يكون فيها برايل مرتبطا بمؤشّر الاستعراض. (#15115)
  - تعريف المزيد من مفاتيح الاختصار ل BRLTTY لتنفيذ أوامر NVDA (#6483)
    - `learn`: للتبديل بين تفعيل وتعطيل المساعدة التفاعلية
    - `prefmenu`: لفتح قائمة NVDA
    - `prefload`/`prefsave`: حفظ إعدادات NVDA
    - `time`: عرض الوقت
    - - `say_line`: قراءة السطر الحالي الذي يوجد فيه مؤشّر الاستعراض
    - `say_below`: قراءة الكل باستخدام مؤشّر الاستعراض
  - معرِّف BRLTTY متاحٌ فقط في حال وجود BrlAPI وعمله.
  - إزالة خيار تفعيل دعم HID Braille من الإعدادات المتقدمة حيث بات يُغني عنه خيار جديد. يمكن الآن تعطيل الاكتشاف التلقائي لمعرّفات أجهزة برايل بعينها عبرمربّع حوار اختيار سطر برايل الإلكتروني. (#15196)
- في مستودع الإضافات، ستُعرَضُ الإضافات المثبَّتة ضمن شاشة الإضافات المتوفرة إن كانت متوفرةً بالفعل في المستودع. (#15374)
- تحديث بعض مفاتيح اختصارات الوصول السريع في قائمة NVDA. (#15364)

### الإصلاحات

- في Microsoft Office:
  - معالجة مشكلة في Microsoft Word تحدث عندما يكون خيارا "الإعلان عن رؤوس الموضوعات" و"الإعلان عن الملاحظات والتعليقات" معطَّلين ضمن إعدادات تنسيق المستند. (#15019)
  - في Wordو Excel، سيُعلَنُ عن محاذاة النص بشكل صحيح في العديد من الحالات. (#15206, #15220)
- في Microsoft Edge:
  - لن يقفز NVDA عائدًا إلى حيث كان موضع مؤشر نمط التصفُّح، عند فتح قائمة السياق في Microsoft Edge. (#15309)
  - يمكن ل NVDA الآن -كما في السابق- قراءة محتوى قائمة السياق الخاصة بالتنزيلات في Microsoft Edge. (#14916)
- إصلاحات متعلقة ببرايل:
  - عند التبديل بين إظهار وإخفاء مؤشّر برايل ومؤشّر التحديد الخاص ببرايل عبر مفاتيح الاختصار؛ سيُحدَّثُ موضعهما بشكل صحيح. (#15115)
  - إصلاح خطأ محاولة الاتصال بأسطر برايل Albatross، على الرغم من وجود أجهزة أخرى متصلة. (#15226)
- في مستودع الإضافات:
  - إصلاح مشكلة ااستمرار ظهور الإضافات غير المتوافقة ضمن قائمة الإضافات، على الرغم من إلغاء تحديد خيار "تضمين الإضافات غير المتوافقة.
  - سيعمل عامل تصفية الإضافات وِفقا لحالة التفعيل أو التعطيل بشكل صحيح مع الإضافات التي تُستبعد بسبب عدم توافقها. (#15416)
  - إصلاح مشكلة تُعيق الإضافات المثبّتة غير المتوافقة في حال تفعيلها من التحديث أو الاستبدال عند تثبيتها من مصدر خارجي. (#15417)
  - إصلاح مشكلة توقُّف NVDA عن النُطق بعد تثبيت الإضافة البرمجية حتى يُعاد تشغيله. (#14525)
  - إصلاح مشكلة تعذُّر تثبيت الإضافة إذا أُلغيت عملية تثبيتها سابقا أو فشلت. (#15469)
  - إصلاح مشكلات تتعلق بالإضافات غير المتوافقة عند ترقية NVDA. (#15414, #15412, #15437)
- سيعلن NVDA -كما في السابق- عن نتائج العمليات الحسابية في حاسبة Windows 32 بت على إصدارات Windows Server وLTSC وLTSB. (#15230)
- لم يعُدْ NVDA يتجاهل تغييرات موضع مؤشّر النظام، عندما ينتقل لنافذة فرعية، (نافذة في المستوى الثاني grand child window). (#15432)
- إصلاح مشكلة من المحتمل أنها تسبب انهيار NVDA أثناء عملية بدء تشغيله. (#15517)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2023.2

في هذا الإصدار، استُبدِل مدير الإضافات البرمجية بمستودع الإضافات. عبر مستودع الإضافات، يمكنك استعراض الإضافات المتوفرة المطوَّرة من قَبَل مجتمع NVDA، والبحث وتحديث وتثبيت الإضافات. يمكنك الآن تجاوز مشكلة عدم توافق الإضافات القديمة يدويًا على مسؤوليتك الخاصة.

كذلك، هناك العديد من الميزات والأوامر الجديدة الخاصة بدعم برايل، إضافة لأسطر برايل جديدة مدعومة. وهناك أيضا مفاتيح اختصار جديدة تخص التعرُّف الضوئي على الأحرف ونمط استعراض الكائنات المسطَّح. تحسينات على استعراض وقراءة التنسيقات في Microsoft Office. وهناك العديد من الإصلاحات خاصة على دعم برايل و Microsoft Office ومتصفحات الويب و Windows 11.

إضافةً لتحديثاتٍ على آلة النُطق eSpeak-NG، ومترجم برايل LibLouis ومكتبة الرموز والوجوه التعبيرية Unicode CLDR.

### المستجدات

- إضافة مستودع الإضافات إلى NVDA. (#13985)
  - يمكنك استعراض الإضافات المطوَّرة من قَبَل مجتمع NVDA، والبحث وتحديث وتثبيت الإضافات.
    - تجاوز مشكلة عدم توافق الإضافات القديمة.
    - أُزيلَ مدير الإضافات واستُبدِل بمستودع الإضافات.
    - لمزيد من المعلومات يُرجى قراءة دليل المستخدم المُحدَّث.
- إضافةُ مفاتيح اختصار جديدة:
  - مفتاح اختصار غير معرَّف للتنقُّل بين اللغات المتاحة للتعرُّف الضوئي على الأحرف المدمَج في Windows. (#13036)
  - مفتاح اختصار غير معرَّف للتنقُّل بين أنماط عرض الرسائل على برايل. (#14864)
  - مفتاح اختصار غير معرَّف للتبديل بين تفعيل وتعطيل مرشّر التحديد الخاص ببرايل. (#14948)
  - تعيين مفاتيح اختصار افتراضية للانتقال للكائن التالي والسابق في نمط العرض المسطح لتسلسل الكائنات. (#15053)
    - الحاسوب المكتبي: `NVDA+numpad9` و `NVDA+numpad3` للانتقال لللكائن السابق واللاحق.
    - الحاسوب المحمول: `shift+NVDA+[` and `shift+NVDA+]` للانتقال للكائن السابق واللاحق.
- ميزات جديدة خاصة بدعم برايل:
  - دعم سطر برايل الإلكتروني Activator من Help Tech. (#14917)
  - إضافة خيار برايل جديد للتبديل بين تفعيل وتعطيل مؤشّر برايل للتحديد. (النقطتان 7 و8). (#14948)
  - خيار جديد لنقل مؤشّر التحرير أو مؤشّر النظام عند نقل مؤشّر الاستعراض عبر مفاتيح توجيه مؤشّر برايل. (#14885, #3166)
  - عند الضغط على مفتاح 2 على اللوحة الرقمية `numpad2` للإعلان عن القيمة الرقمية للحرف الواقع في موضع مؤشّر الاستعراض؛ ستُعرَضُ المعلومات عبر برايل أيضا. (#14826)
  - دعم خاصية `aria-brailleroledescription` المتاحة في ARIA 1.3، والتي تُتيح لمطوري صفحات الإنترنت إضافة تعريف للعنصر يظهر على برايل وتجاهل نوع العنصر الذي يظهر على أسطر برايل. (#14748)
  - بالنسبة لمعرّف شاشات برايل من Baum: أُضيف العديد من مفاتيح الاختصار في برايل الخاصة بتنفيذ الأوامر شائعة الاستخدام مثل: `windows+d` and `alt+tab`. يُرجى مراجعة دليل الاستخدام الخاص ب NVDA للاطلاع على القائمة كاملة. (#14714)
- دعم نُطق رموز Unicode الآتية:
  - رموز برايل مثل: "⠐⠣⠃⠗⠇⠐⠜". (#14548)
  - رمز مفتاح خيارات Mac "⌥". (#14682)
- إضافة مفاتيح اختصار خاصة بأسطر برايل Tivomatic Caiku Albatross.
  - لعرض مربّع الحوار الخاص بإعدادات برايل.
  - للوصول لشريط الحالة.
  - للتنقُّل بين أشكال مؤشّر برايل.
  - للتنقُّل بين أنماط عرض رسائل برايل.
  - للتبديل بين تفعيل وتعطيل مؤشّر برايل.
  - للتبديل بين حالات مؤشّر التحديد الخاص ببرايل.
  - للتبديل بين حالات نقل مؤشّر التحرير عند نقل مؤشّر الاستعراض عبر مفاتيح توجيه مؤشّر برايل. (#15122)
- مزايا جديدة متعلقة ب Microsoft Office:
  - عند تفعيل خيار الإعلان عن النص المميَّز بصريا ضمن إعدادات تنسيق المستند؛ سيُعلن NVDA عن اللون المستخدم في التمييز في Microsoft Word. (#7396, #12101, #5866)
  - عند تفعيل خيار الألوان في إعدادات تنسيق المستند؛ سيُعلَن عن ألوان الخلفية في Microsoft Word. (#5866)

> - عند استخدام مفاتيح الاختصار في Excel لتبديل حالة التنسيق في خلايا Excel مثل: عريض، مائل، تحته خط، يتوسطه خط؛ سيُعلَن عن النتائج (حالة التنسيق الحالية). (#14923) -

- إدارة الصوت المحسَّنة (قيد التجربة):
  - يمكن ل NVDA الآن إخراج الصوت عبر واجهة برمجة تطبيقات Windows Audio Session (WASAPI)، مما قد يحسن استجابة وأداء واستقرار نُطق البرنامج وما يصدُر عنه من أصوات.
  - يمكن تفعيل استخدام WASAPI عبر شاشة الإعدادات المتقدمة.
  - إضافةً لهذا، يمكن ضبط الخيارات الآتية في حال تفعيل استخدام WASAPI:
    - خيار لجعل مستوى نغمات NVDA وتنبيهاته الصوتية تابعا لمستوى صوت النُطق المختار ضمن إعدادات النُطق. (#1409)
    - خيار للتحكُّم بمستوى تنبيهات NVDA بالصوتية بشكل منفصل. (#1409, #15038)
  - هناك مشكلة مُعلَن عنها حاليا تتعلق بتقطُّع الصوت أثناء تفعيل WASAPI. (#15150)
- في Mozilla Firefox و Google Chrome، سيُعلن NVDA عن كون الضغط على العنصر يفتح مربّع حوار أو جدولًا شبكيا أو قائمةً أو عرضًا شجريًا؛ إن كان مطوِّر الصفحة قد عرّف هذا باستخدام خاصية aria-haspopup. (#14709)
- يمكن الآن استخدام متغيّرات بيئة النظام (مثل: `%temp%` أو `%homepath%`) ضمن حقل تحديد المسار أثناء إنشاء النسخ المحمولة من NVDA. (#14680)
- في إصدار Windows 10 مايو 2019 وما يليه، سيعلن NVDA عن أسماء أسطح المكتب الافتراضية، عند فتحها أو التبديل بينها أو إغلاقها. (#5641)
- إضافة مُعامِل للنظام يُتيح للمستخدمين ومسؤولي النظام إجبار NVDA على العمل في النمط الآمن. (#10018)

### التغييرات

- تحديثات على المكوِّنات:
  - تحديث آلة النُطق eSpeak NG إلى 1.52-dev commit `ed9a7bcf`. (#15036)
  - تحديث مكتبة مترجم برايل LibLouis إلى الإصدار 3.26.0. (#14970)
  - تحديث مكتبة CLDR إلى الإصدار 43.0. (#14918)
- تعديلات على LibreOffice:
  - في برنامج LibreOffice Writer التابع لحزمة LibreOffice الإصدارات >= 7.6، عند الإعلان عن موقع مؤشّر الاستعراض؛ سيُعلَن عن موقع مؤشّراستعراض النص نسبةً للصفحة الحالية، كما هو الحال في Microsoft Word. (#11696)
  - الإعلان عن شريط الحالة عند الضغط على `NVDA+end` يعمل الآن في LibreOffice. (#11698)
  - عند الانتقال لخلية أخرى في LibreOffice Calc، لن يُعلن NVDA عن موضع الخلية السابقة في حال تعطيل الإعلان عن موضع الخلية ضمن إعدادات تنسيق المستند الخاصة بNVDA. (#15098)
- تعديلات على برايل:
  - عند استخدام سطر برايل إلكتروني عبر تقنية HID Braille؛ يمكن استخدام مجموعة مفاتيح D (Dpad) لمحاكاة عمل الأسهم ومفتاح الدخول Enter. كما أن (مفتاح المسافة+النقطة1) و(مفتاح المسافة+النقطة 4) يحاكيان السهم لأعلى والسهم لأسفل. (#14713)
  - ستُعرَضُ الآن تحديثات محتوى صفحات الويب النَشِط (ARIA live regions) على شاشات برايل أيضا. يمكن تعطيل هذا الخيار عبر شاشة الإعدادات المتقدمة. (#7756)
- سيُرسَل رمزا الشرطة وشرطة em الطويلة لآلة النُطق دائمًا. (#13830)
- عند الإعلان عن مقدار المسافات البادئة في Microsoft Word، ستُعتمد وحدة القياس المختارة ضمن إعدادات Word المتقدمة، حتى في حال استخدام أتمتة واجهة المستخدم UI Automation للوصول إلى عناصر التحكُّم في مستندات Microsoft Word. (#14542)
- سيستجيب NVDA أسرع عند تحريك المؤشّر ضمن حيزات التحرير. (#14708)
- سيرتبط أمر الإعلان عن عنوان الوجهة التي يقود إليها الرابط بموضع مؤشّر التحرير ومؤشّر النظام بدلًا من مؤشّر استعراض الكائن. (#14659)
- لم يعُدْ إنشاء النسخة المحمولة يتطلَّب كتابة الحرف الذي يُشير للقرص الصلب كجزء من المسار المحدد. (#14681)
- إذا ضُبِطَ Windows لعرض الثواني في أيقونة الساعة في صينية النظام، سيُراعى هذا الإعداد عند قراءة الوقت بالضغط على `NVDA+f12`. (#14742)
- سيُعلن NVDA الآن عن التجميعات غير المُسمّاة والتي تحتوي على معلومات مفيدة عن الموقع، مثل الإصدارات الحديثة من قوائم Microsoft Office 365. (# 14878)

### إصلاحات الأخطاء

- إصلاحات على برايل:
  - إصلاحات عديدة على استقرار إدخال وإخرج النص عبر أسطر برايل الإلكترونية، أسفر عنها تقليل حدوث بعض الأخطاء وانهيارات NVDA. (#14627)
  - لن يحوِّل NVDA إعداد سطر برايل المختار إلى "لا يوجد برايل" دون ضرورة بين حين وآخر، عند استخدام الاكتشاف التلقائي لأسطر برايل، ما سينجم عنه تقليل مدخلات سجل الأخطاء. (#14524)
  - عند استخدام سطر برايل إلكتروني يدعم تقنية HID Bluetooth (مثل: HumanWare Brailliant و APH Mantis)؛ في حال اكتشافه تلقائيا؛ لن يتحوّل NVDA لاستخدام USB عند وصل الجهاز عبره. يحدث هذا فقط مع منافذ Bluetooth التسلسلية السابقة. (#14524)
  - في حال عدم وجود سطر برايل إلكتروني متصل، إذا أُغلِق عارض الخط البارز برايل عبر الضغط على `alt+f4` أو بالضغط على زر الإغلاق؛ سيُعاد ضبط حجم عرض برايل لوضع عدم وجود خلايا برايل. (#15214)
  -
- إصلاحات على متصفحات شبكة الإنترنت:
  - لن يتسبّب NVDA في تعطُّل Mozilla Firefox أو عدم استجابته بين الحين والآخر. (#14647)
  - في Mozilla Firefox و Google Chrome؛ لن يُعلَن عن الحروف عند كتابتها في بعض حقول التحرير إن كان خيار نُطق الأحرف المكتوبة مُعطَّلًا. (#14666)
  - يمكنك الآن استخدام نمط التصفُّح في عناصر تحكم Chromium المضمَّنة، والذي لم يكُن ممكنا سابقا. (#13493, #8553)
  - في Mozilla Firefox، سيُقرأ النص الواقع بعد رابط بشكل صحيح عند نقل المؤشّر إليه. (#9235)
  - في متصفّحَي Chrome و Edge؛ سيُعلَنُ عن عنوان الوجهة التي تقود إليها الروابط ذات الرسوم بدقة في حالات أكثر. (#14783)
  - لن يصمت NVDA عند الاستعلام عن عنوان وجهة رابط لم تُعرَّف له خاصية href. بل سيُعلن NVDA بدلا من ذلك أنّه لا يوجد عنوان يقود إليه الرابط. (#14723)
  - في نمط التصفُّح، لن يتجاوز NVDA خطأً موضع مؤشّر النظام، بحيث ينتقل لعنصر التحكُّم الأصلي الذي يتفرّع عنه، أو للعنصر الفرعي، على سبيل المثال: من عنصر التحكُّم لقائمة العناصر التي يندرج ضمنها، أو لخلية ضمن عرض شبكي. (#14611)
    - لاحِظْ أن هذا ينطبق في حال تعطيل خيار "نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك" ضمن إعدادات نمط التصفُّح (وهو الوضع الافتراضي).
- إصلاحات تخصُّ Windows 11:
  - سيقرأ NVDA الآن كالسابق محتوى شريط الحالة الخاص بالمفكرة. (#14573)
  - عند الانتقال بين علامات التبويب في المفكرة ومستكشف الملفات؛ سيُعلن عن اسم علامة التبويب. (#14587, #14388)
  - سيعلن NVDA كالسابق عن العناصر المرشحة عند إدخال نص بلغات مثل الصينية واليابانية. (#14509)
  - يمكن الآن -كما في السابق- فتح عنصري "نص اتفاقية الترخيص" و"أسماء فريق العمل" الموجودَينِ ضمن قائمة المساعدة الخاصة ب NVDA. (#14725)
- إصلاحات على Microsoft Office:
  - في حال التنقُّل السريع بين الخلايا في Excel؛ ستقل احتمالات إعلان NVDA عن الخلية الخاطئة أو التحديد بشكل خاطئ. (#14983, #12200, #12108)
  - عند الوصول لخلية Excel من خارج ورقة العمل، لن يُحدَّث موضع مؤشّر برايل وموضع التمييز البصري لمؤشر النظام بلا داعٍ بحيث ينتقلان للكائن الذي كان موضع التحديد سابقا. (#15136)
  - لن يُخفِق NVDA في الإعلان عن حقول كلمات المرور عند الانتقال إليها في Microsoft Excel و Outlook. (#14839)
- بالنسبة للرموز وعلامات الترقيم التي لا يوجد لها وصف ضمن اللغة المستخدمة؛ سيُعتبر لها مستوى الترقيم الافتراضي في اللغة الإنجليزية. (#14558, #14417)
- يمكن الآن استخدام علامة الشرطة الخلفية BackSlash في حقل الكلمة البديلة في مُعجم النُطق، عندما لا يعيَّن نوع المُدخَل للتعبير القياسي. (#14556)
- في تطبيق الحاسبة على Windows 10 و,11، لن يصمت NVDA أو يُصدر نغمة خطأ عند إدخال العمليات في وضع الحاسبة القياسي في طريقة العرض "دائما في المقدمة". (#14679)
- سيعود NVDA للعمل في العديد من الحالات التي كانت تؤدي لتجمُّده كليا في السابق كما كان يحدث عند عدم استجابة بعض التطبيقات مثلا. (#14759)
- إصلاح خطأ كان يتسبب في تجمُّد NVDA وثِقَل سجل الأخطاء عند تمكين دعم أتمتة واجهة المستخدم UIA مع بعض أسطر توجيه الأوامر. (#14689)
- لن يرفض NVDA حفظ الإعدادات، بعد استعادة الإعدادات المحفوظة مسبقا. (#13187)
- عند العمل على النسخة المؤقّتة التي يوفّره مثبِّت NVDA، لن يوهم NVDA المستخدم بأنه يمكنه حفظ الإعدادات. (#14914)
- تحسين الإعلان عن مفاتيح الاختصار الخاصة ببعض الكائنات. (#10807)
- غدت استجابة NVDA بشكل عام للأوامر ولحركة مؤشّر النظام أسرع قليلا. (#14928)
- لن يتعثّر عرضُ إعدادات التعرُّف الضوئي على الأحرف OCR في بعض الأنظمة. (#15017)
- إصلاح خطأ يتسبب في قراءة الصفحة بدلا من قراءة السطر السابق عند "السحب لأعلى" في نمط اسعراض النص. (#15127)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2023.1

احتوى الإصدار على العديد من المستجدات منها: الخيار الجديد "نمط الفقرة" ضمن تصنيف "التنقُّل في المستند". يمكن استخدام هذا الخيار ضمن محررات النصوص التي لا تدعم التنقُّل وِفقًا للفقرة مثل: المفكرة و Notepad++.

هناك أيضا أمر عام للإعلان عن عنوان URL الذي يقود إليه الرابط: `NVDA+k`.

تحسين دعم محتوى الإنترنت التوضيحي (مثل التعليقات التوضيحية والحواشي السفلية). الضغط على ``NVDA+d يؤدي للتنقُّل عبر المحتوى التوضيحي إذا أُشير لوجوده عند المرور بالنص (على سبيل المثال: "مرتبط بتعليق" "مرتبط بحاشية سفلية".)

دعم شاشات برايل الإلكترونية Tivomatic Caiku Albatross 46/80.

هناك أيضا تحسينات على دعم إصدارات Windows ARM64 و AMD64.

كما حُدِّثت مكتبات eSpeak و LibLouis، و Sonic rate boost، و Unicode CLDR. هناك جداول برايل جديدة: جورجي، سواحلي (كينيا) شيشاوي (ملاوي).

ملاحظة:

- هذا الإصدار لا يتوافق مع الإضافات البرمجية بإصداراتها الحالية.

### المستجدات

- في Microsoft Excel، عند تفعيل أتمتة واجهة المستخدم؛ سيُعلَنُ عن رؤوس الأعمدة والصفوف في الجداول تلقائيا. (#14228)
  - مع ملاحظة أنّ هذا راجع تنسيق الجدول المختار عند إدراجه عبر زر "جدول" الموجود ضمن علامة التبويب "إدراج". بحيث يُعتمد "العمود الأول" و"رأس الصف" كما هو ضمن خيارات نمط الجدول .
  - وليس راجعا إلى الرؤوس التي تُحدد من قِبَل قارئات الشاشة، والتي هي غير مدعومة حاليا حال تفعيل أتمتة واجهة المستخدم UI Automation.
- إضافةُ أمر (لم يُعيَّن له اختصار) للتبديل بين تفعيل وتعطيل الإعلان المتراخي عن الأوصاف الصوتية للأحرف. (#14267)
- إضافة خيار (قيد التجربة) لاستثمار خاصية تنبيهات UIA (UIA Notification) المدعومة من قِبَل أداة Windows Terminal للإعلان عن التحديثات والتغييرات التي تطرأ على النص في نافذة توجيه الأوامر، ما يؤدي لمزيد من الاستقرار وتحسين الاستجابة. (#13781)
  - راجِعْ دليل الاستخدام لمعرفة حدود الاستفادة من هذه الخاصية التي لا تزال في طَوْر الاختبار.
- في Windows 11 ARM64، سيعمل نمط التصفُّح في برامج AMD64 مثل: Firefox، وGoogle Chrome و 1Password. (#14397)
- إضافة خيار "نمط الفقرة" ضمن إعدادات "التنقُّل في المستند". يدعم هذا نمط التنقُّل وِفقا لفاصل السطر الواحد (المنط العادي)، أو وِفقا لفاصل الأسطر المتعددة (نمط النقُّل وِفقا للفقرة أو القطعة النصية) يمكن الاستفادة من هذا في برامج تحرير النصوص التي لا تدعم التنقُّل وِفقًا للفقرة ذاتيا مثل المفكرة و NotePad ++. (#13797)
- يمكن الآن الإعلان عن التعليقات التوضيحية إن كانت أكثر من تعليق واحد سينتقل ``NVDA+d بين التعليقات التوضيحية المرتبطة بعنصر واحد، ويقرأها. على سبيل المثال: عند وجود نص مرتبط بتعليق وحاشية سفلية. (#14507, #14480)
- دعم شاشات برايل الإلكترونية Tivomatic Caiku Albatross. (#13045)
- إضافة أمر عام: الإعلان عن وجهة الرابط (`NVDA+k`). بتنفيذ الأمر مرة واحدة سيُعلَن عنوان الوجهة التي يقود إليها الرابط الذي يوجد عنده مؤشّر NVDA (مؤشّر استعراض الكائن) عبر النُطق وعارض برايل. وبضغطه مرتين متتاليتين؛ ستُعرَض المعلومات ضمن نافذة لمعرفة تفاصيل أكثر. (#14583)
- إضافة أمر عام دون تعيين مفتاح اختصار له، ضمن تصنيف "أدوات": الإعلان عن وجهة الرابط ضمن نافذة. مماثل للضغط مرتين على `NVDA+k`، غير أنه قد يكون مفيدا أكثر لمستخدمي برايل (#14583).

### التغييرات

- تحديث مكتبة مترجم برايل LibLouis إلى 3.24.0. (#14436)
  - تحديثات رئيسية على برايل الخاص باللغات المجرية، UEB، والصينية (بُوبُومُوفُو).
  - دعم برايل الدنماركي القياسي 2022.
  - جداول برايل جديدة: جورجي، سواحلي (كينيا)، وشيشيوي (ملاوي).
- تحديث مكتبة Sonic rate boost إلى `1d70513`. (#14180)
- تحديث مكتبة الرموز التعبيرية CLDR للإصدار 42.0. (#14273)
- تحديث آلة النُطق ESpeak NG إلى 1.52-dev commit `f520fecb`. (#14281, #14675)
  - إصلاحات على الإعلان عن الأعداد الكبيرة. (#14241)
- في تطبيقات Java، عند المرور بعناصر التحكُّم القابلة لتحديد لن يُشار إليها بأنها محددة. (#14336)

### إصلاحات الأخطاء

- إصلاحات خاصة ب Windows 11:
  - سيقرأ NVDA محتوى البحث الأبرز عند فتح قائمة ابدأ. (#13841)
  - على ARM، لن يُخبر NVDA عن تطبيقات x64 بأنها تطبيقات ARM64. (#14403)
  - يمكن الآن الوصول لعناصر القائمة الخاصة بسجل الحافظة، مثل: "تثبيت العنصر". (#14508)
  - في Windows 11 22H2 والإصدارات الأحدث، يمكن -كما في السابق- التفاعُل عبر الفأرة ولوحة التفاعل باللمس مع مناطق مثل صينية النظام، ومربّع حوار "فتح باستخدام". (#14538, #14539)
- سيُعلَن الآن عن الاقتراحات في Microsoft Excel، عند كتابة علامة @ في حقل التعليقات للإشارة للأشخاص. (#13764)
- في شريط العناوين والبحث الخاص ب Google Chrome؛ سيُعلَن الآن عن اقترحات التحكُّم بالعنصر عند تحديده: (اضغط على مفتاح التبويب (Tab) ثم على مفتاح Enter لإزالة هذا الاقتراح.، إلخ). (#13522)
- عند الاستعلام عن معلومات التنسيق في برنامج "الدفتر" وفي عارض التقارير الخاص ب NVDA؛ ستُعلَنُ أسماء الألوان، عوضًا عن الاقتصار على أنه "اللون الافتراضي". (#13959)
- في FireFox؛ تفعيل زر Show options في صفحات نقاشات المشكلات على GitHub سيعمل على نحو جيد. (#14269)
- في شاشة البحث المتقدم في Outlook 2016 / 365؛ أصبحت تسميات وقيم عناصر منتقي التاريخ مقروءةً. (#12726)
- سيُعلَن الآن عن عناصر (ARIA Switch) في Firefox، و Chrome و Edge على أنها أزرار تبديل عوضًا عن الإعلان عنها كمربّعات تحديد. (#11310)
- سيُعلن NVDA تلقائيا عن حالة الترتيب عند قراءة رأس العمود لجدول HTML عند تغييرها بالضغط على زر مضمَّن في الجدول. (#10890)
- في نمط التصفُّح، عند الانتقال لعلامة إرشادية أو منطقة من خارجها عبر مفاتيح الحركة السريعة المنفردة أو بنقل مؤشّر النظام، ستُقرأ أسماؤها تلقائيا دائما. (#13307)
- عند تفعيل إصدار الصفير أو نُطق كلمة "CAP" عند المرور بالأحرف الكبيرة، إلى جانب تفعيل خيار الإعلان المتراخي عن الأوصاف الصوتية للأحرف؛ لن يتكرر الصفير أو نُطق كلمة "Cap". (#14239)
- في تطبيقات Java، أصبح NVDA يعلن بدقة أكثر عن عناصر التحكُّم ضمن الجداول. (#14347)
- لن تختلف بعض الإعدادات على نحو غير متوقَّع عند استخدام أكثر من وضع. (#14170)
  - ينطبق هذا على الإعدادات الآتية:
    - المسافات البادئة للسطر في إعدادات تنسيق المستند.
    - حدود الخلية في إعدادات تنسيق المستند.
    - ظهور الرسائل في إعدادات برايل.
    - إرفاق مؤشّر برايل في إعدادات برايل.
  - في بعض الحالات النادرة، قد يحدث تعديلات على هذه الإعدادات المستخدمة مع أكثر من وضع عند تثبيت هذا الإصدار من NVDA.
  - يُرجى التأكُّد من هذه الخيارات في الأوضاع الخاصة بك بعد الترقية لهذا الإصدار.
- سيُعلَن الآن عن الرموز والوجوه التعبيرية في لغات أكثر. (#14433)
- حل مشكلة عدم الإعلان عن وجود التعليقات التوضيحية لبعض العناصر عبر برايل. (#13815)
- إصلاح مشكلة عدم حفظ تغييرات الإعدادات بشكل صحيح، عند تغيير إعداد بالتبديلمن خيار "الافتراضي" إلى القيمة التي تمثّل الخيار "الافتراضي". (#14133)
- عند ضبط NVDA، سيظل هناك دائما مفتاح واحد على الأقل يعمل كمفتاح NVDA المصاحب. (#14527)
- عند الوصول لقائمة NVDA الرئيسة عبر منطقة الإعلام؛ لن يُشير NVDA لوجود تحديثات معلَّقة إن لم تكُن هناك تحديثات. (#14523)
- سيُعلَن الآن بشكل صحيح عن الوقت المتبقّي والمنقضي والوقت الإجمالي للمقاطع الصوتية التي يزيد طولها عن اليوم في foobar2000. (#14127)
- في متصفّحات شبكة الإنترنت مثل: Chrome و FireFox؛ ستُعرَضُ التنبيهات (مثل تلك التي تُشير لوجود 5 ملفّات في التنزيلات) على أسطر برايل إلى جانب الإعلان عنها نُطقًا. (#14562)
- معالجة خطأ كان يحدث عند الانتقال للعمود الأول والأخير ضمن الجداول في Firefox (#14554)
- إمكانية فتح مربّع الحوار الخاص بالإعدادات العامة كما في السابق، عند تشغيل NVDA باستخدام الوسيط `--lang=Windows`. (#14407)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2022.4

يتضمّن هذا الإصدار عددا من مفاتيح الاختصار الجديدة، بما في ذلك أوامر لقراءة كامل عناصر الجداول. أيضًا، أُضيف قسم "دليل البدء السريع" إلى دليل الاستخدام. إضافةً للعديد من الإصلاحات للأخطاء.

كما حصل كل من آلة النُطق ESpeak ومكتبة جداول برايل LibLouis على تحديث جديد. هناك جداول برايل جديدة للغات الصينية والسويدية واللوغندية وكينيارواندا.

### المستجدات

- إضافةُ قسم "دليل البدء السريع" إلى دليل المستخدم. (#13934)
- إضافةُ أمر جديد لمعرفة مفتاح الاختصار (االتسريع) المخصص للكائن الذي يوجد عنده مؤشّر النظام. (#13960)
  - للحاسوب المكتبي: `shift+numpad2` (مفتاح Shift مع مفتاح الرقم 2 على اللوحة الرقمية).
  - للحاسوب المحمول: `NVDA+ctrl+shift+.`.
- إضافةُ أوامر جديدة لنقل مؤشّر الاستعراض وِفقًا للصفحة، في البرامج التي تدعم ذلك. (#14021)
  - الانتقال للصفحة السابقة:
    - للحاسوب المكتبي: `NVDA+pageUp`.
    - للحاسوب المحمول: `NVDA+shift+pageUp`.
  - الانتقال للصفحة التالية:
    - للحاسوب المكتبي: `NVDA+pageDown`.
    - للحاسوب المحمول: `NVDA+shift+pageDown`.
- إضافةُ الأوامر الآتية الخاصة بالجداول. (#14070)
  - قراءة العمود (من الخلية الحالية): `NVDA+control+alt+downArrow`
  - قراءة الصف (من الخلية الحالي): `NVDA+control+alt+rightArrow`
  - قراءة العمود كاملًا: `NVDA+control+alt+upArrow`
  - قراءة الصف كاملًا: `NVDA+control+alt+leftArrow`
- في Microsoft Excel حال تفعيل أتمتة واجهة المستخدم UI Automation: سيعلن NVDA عد خروج المؤشّر خارج نطاق الجدول في أوراق العمل. (#14165) -
- يمكن الآن ضبط الإعلان عن كل من رؤوس الأعمدة والصفوف بشكل منفصل. (#14075)

### التغييرات

- تحديث آلة النُطق ESpeak إلى 1.52-dev commit `735ecdb8`. (#14060, #14079, #14118, #14203)
  - إصلاح الإعلان عن الأحرف اللاتينية عند استخدام لغة ماندارين. (#12952, #13572, #14197)
- ترقية مكتبة جداول برايل LibLouis إلى الإصدار 3.23.0. (#14112)
  - تضمّن جداول برايل جديدة:
    - جدول برايل للصينية الشائعة (أحرف الصينية المبسَّطة)
    - جدول برايل كينيرواندي دون اختصارات (literary braille)
    - جدول برايل لوغندي دون اختصارات (literary braille)
    - جدول برايل سويدي دون اختصارات
    - جدول برايل سويدي مختصر جزئيا
    - جدول برايل سويدي باختصارات
    - جدول برايل صيني (الصين، المندرينية الرسمية) نظام برايل الحالي (دون نغمات) (#14138) -
- سيتضمّن نظام تتبُّع إحصائيات الاستخدام الخاص ب NVDA نوع نواة النظام. (#14019)

### الإصلاحات

- سيعلن NVDA الآن بشكل صحيح عن صناديق المجموعات في تبطيقات Java. (#13962)
- سيتزامن موضع مؤشّر التحرير مع النص المقروء عند استخدام أمر قراءة الكل في برامج مثل Bookworm، وWordPad، وعارض تقارير NVDA. (#13420, #9179)
- سيُعلَن عن حالة مربّعات التحديد المحددة جزئيا بشكل صحيح في البرامج التي تستخدم أتمتة واجهة المستخدم UI Automation. (#13975)
- تحسيناتٌ على الأداء ومزيد من الاستقرار في برامج Microsoft Visual Studio، Windows Terminal، والبرامج الأخرى التي تعمل مع أتمتة واجهة المستخدم UI Automation. (#11077, #11209)
  - هذه الإصلاحات تظهر في Windows 11 Sun Valley 2 (الإصدار 22H2)
  - التسجيل الانتقائي لأحداث أتمتة واجهة المستخدم والتغغيرات على الخصائص مفعَّلٌ الآن افتراضيا.
- قراءة النصوص، وعرض برايل، وكلمات المرور تعمل الآن على النحو المطلوب في سطر توجيه الأوامر Windows Terminal المضنّن في Visual Studio 2022. (#14194)
- يمكن ل NVDA التعرف على مقياس DPI عند استخدام أجهزة عرض متعددة. هناك إصلاحات عديدة على استخدام DPI عند ضبط إعداد له على قيمة أعلى من 100%، أو عند استخدام أجهزة عرض متعددة. لكن لا تزال هذه المشاكل موجودة عند العمل على إصدارات أقدم من Windows 10 1809. لتعمل هذه الإصلاحات؛ يجب أن تكون البرامج التي يعمل معها NVDA أيضا قادرةً على تمييز DPI. مع ملاحظة أنه لا تزال هناك مشاكل معينة قائمة عند استخدام Chrome و Edge. (#13254)
  - العناصر والإطارات المميزة مرئيا ينبغي أن تظهر بشكل صحيح في معظم التطبيقات. (#13370, #3875, #12070)
  - يجب أن يعمل التفاعل مع الشاشة باللمس بشكل أدقّ في معظم التطبيقات. (#7083)
  - سيعمل تتبُّع مسار الفأرة الآن مع معظم التطبيقات. (#6722)
- عند عدم حدوث تغييرات على حالة اتجاه العرض (أفُقي/عمودي)؛ ستُتجاهل بشكل صحيح (كما في تغييرات الشاشة). (#14035)
- سيعلن NVDA عن سحب العناصر على الشاشة في حالات مثل إعادة ترتيب عناصر قائمة ابدأ في Windows 10، وإعادة ترتيب أسطح المكتب في Windows 11. (#12271, #14081)
- في شاwww==شة الإعدادات المتقدمة، خيار "إصدار صوت للأخطاء المسجلة في سجلّ الأخطاء" سيستعيد قيمته الافتراضية الصحيحة عند ضغط زر "استعادة الإعدادات الافتراضية". (#14149)
- في برامج Java، يمكن لNVDA تحديد النص باستخدام مفتاح الاختصار NVDA+f10. (#14163)
- في Microsoft Teams، لن يخفق NVDA ويتوقف عند استعراض الرسائل بالأسهم لأعلى وأسفل في قائمة محادثات مسلسلة. (#14355)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

### المستجدات

## 2022.3

احتوى هذا الإصدار على عدد كبير من مساهمات أفراد ضمن مجتمع تطوير NVDA. يشمل ذلك، توفير أوصاف الأحرف الصوتية، وتحسينات على دعم وحدة التحكُّم Windows Console المستخدمة من قِبَل نوافذ توجيه الأوامر.

وتضمّن الإصدار أيضًا العديد من إصلاحات الأخطاء. ويُلاحظ أيضا، أن الإصدارات الأخيرة من Adobe Acrobat/Reader لن تنهار عند قراءة مستندات PDF.

كذلك، حصلت آلة eSpeak على تحديث يشتمل على ثلاث لغاتٍ جديدة: البيلالوسية، اللوكسمبورجية، وتونتوبيك المكسيكية Totontepec Mixe.

### المستجدات

- في وحدة تحكُّم Windows، المستخدَمة من قِبَل موجّه الأوامر CMD، و Power Shell، ونظام Windows الفرعي لنظام Linux (WSL)، على Windows 11 الإصدار 22H2 (Sun Valley 2) وما بعده:
  - تحسّنٌ كبير في الأداء ومزيد من الاستقرار. (#10964)
  - عند البحث عن نص بستخدام مفتاحي ``control+f، سينتقل مؤشّر الاستعراض لموضع نتيجة البحث. (#11172)
  - الإعلان عن النص المكتوب الذي لا يكون ظاهرا على الشاشة (مثل كلمات المرور) سيكون معطلًا افتراضيا. يمكن تفعيله عبر شاشة إعدادات NVDA المتقدمة. (#11554)
  - يمكن استعراض النص الموجود خارج نطاق العرض على الشاشة، دون الحاجة لتمرير نافذة وحدة توجيه الأوامر. (#12669)
  - تتوفّر الآن معلومات وتفاصيل أكثر عن تنسيقات الخطوط (microsoft/terminal PR 10336)
- إضافةُ خيارٍ جديد للإعلان المتراخي (بعد صمت يسير) عن الأوصاف الصوتية للأحرف (#13509)
- إضافةُ خيار جديد ضمن إعدادات برايل، لتخيير المستخدم بين توقُّف النُطق أثناء تمرير سطر برايل للأمام أو الخلف أو عدم توقُّفه. (#2124)

### التغييرات

- تحديث محرّك النُطق ESpeak 1.52-dev commit `9de65fcb`. (#13295)
  - تضمّن لغاتٍ جديدة:
    - البيلاروسية
    - اللوكسببمبورجية
    - توتونبوتيك مكس Totontepec Mixe
- عند استخدام أتمتة واجهة المستخدم للوصول لعناصصر التحكُّم في أوراق العمل في Microsoft Excel؛ سيُشير NVDA للخلايا المدمجة. (#12843)
- بدلا من الاقتصار على الإعلان عن وجود تفاصيل مرتبطة بالعنصر؛ سيُعلن NVDA عن نوع تلك التفاصيل متى ما كان ذلك ممكنًا، على سبيل المثال: سيشير لوجود تعليق. (#13649)
- في قسم التطبيقات والمزايا الخاص ب Windows، سيظهر حجم التثبيت ل NVDA. (#13909)

### الإصلاحات

- لن ينهار Adobe Acrobat / Reader 64 بِت عند قراءة مستندات PDF. (#12920)
  - ينبغي تثبيت الإصدار الأحدث من Adobe Acrobat / Reader لتجنُّب الانهيار.
- وحدات قياس الخطوط أصبحت قابلةً للترجمة في NVDA. (#13573)
- تجاهُل أحداث Java Access Bridge عند عدم وجود نافذة لتطبيقات Java. سيؤدي ذلك لتحسين أداء بعض تطبيقات Java، ومن ضمنها IntelliJ IDEA. (#13039)
- تحسينُ الإعلان عن الخلايا المحددة في LibreOffice Calc، حيث لم يعُد برنامج Calc يتجمّد عند تحديد عدد كبير من الخلايا. (#13232)
- عند العمل على Microsoft Edge باستخدام اسم مستخدم مختلف، لن يصبح المتصفّح غير قابل للوصول. (#13032)
- لن يقفز مؤشر سرعة آلة ESpeak ليصبح بين 99% و100%، عند تعطيل خيار زيادة معدّل السرعة. (#13876)
- إصلاح مشكلة تتسبب في إتاحة فتح أكثر من محاورة لتخصيص الاختصارات. (#13854)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2022.2

يتضمَّن هذا الإصدار حلًا للعديد من الأخطاء. ومما يستحقُّ الإشارة أن هناك تحسينات كبيرة على التطبيقات المستندة على Java، وعلى شاشات عرض برايل، وميزات في Windows.

وقد أُضيفت أوامر جديدة لاستعراض الجداول. وحُدِّثَت مكتبة Unicode CLDR الخاصة بالرموز والوجوه التعبيرية.. وحُدّثت مكتبة LibLouis، حيث أُضيف إليها جدول برايل ألماني جديد.

### المستجدّات

- دعم التفاعل مع مكونات Microsoft Loop في منتجات Microsoft Office. (#13617)
- إضافةُ أوامر جديدة لاستعراض الجداول. (#957)
  - `control+alt+home/end` للقفز مباشرةً للعمود الأول والعمود الأخير.
  - `control+alt+pageUp/pageDown` للقفز للصف الأول والصف الأخير.
- إضافةُ أمر (لم يُحدَّد له اختصار معين) للتبديل بين أنماط التبديل التلقائي بين اللغات واللهجات. (#10253)

### التغييرات

- تحديث NSIS إلى الإصدار 3.08. (#9134)
- تحديث CLDR للإصدار 41.0. (#13582)
- ترقية مترجم LibLouis braille إلى 3.22.0. (#13775)
  - جدول برايل جديد: ألماني الدرجة الثانية (مُفصَّل)
- إضافة وظيفة جديدة لعناصر التحكّثم ذات "المؤشّر قيد العمل". (#10644)
- سيعلنُ NVDA عن عدم إمكانية تنفيذ الإجراء. (#13500)
  - يشملُ ذلك الحالات الآتية:
    - استخدام إصدار NVDA الموجود على متجر تطبيقات Windows.
    - ضمن الشاشات الآمنة.
    - عند وجود مربّع حوار ينتظر استجابةً من المستخدم.

### الإصلاحات

- إصلاحاتٌ تتعلق بالتطبيقات المبنية على Java:
  - سيعلنُ NVDA عندما تكون الحالة (للقراءة فقط). (#13692)
  - سيعلن NVDA بشكل صحيح عن كون العنصر مفعلا أو معطلا. (#10993)
  - سيعلن NVDA عن مفاتيح الاختصار إذا كانت من مفاتيح المهام (function key shortcuts). (#13643)
  - يمكن ل NVDA الآن النُطق وإصدار الصفير في أشرطة التقدُّم. (#13594)
  - لن يتسبَّب NVDA في إزالة النصوص خطأً من مربّعات النصوص عند عرضها للمستخدم. (#13102)
  - سيعلن NVDA عن حالة أزرار التبديل بين التفعيل والتعطيل. (#9728)
  - سيقرأNVDA اسم النافذة بشكل صحيح ضمن تطبيقات Java متعددة النوافذ. (#9184)
  - سيعلن NVDA عن موضع التوبيبات. (#13744)
- إصلاحات تتعلَّق بشاشات عرض برايل:
  - إصلاح عرض مُخرَجات برايل عند تصفُّح بعض النصوص في حقول التحرير الغنية في تطبيقات Mozilla، مثل حقل المحتوى المخصص لإنشاء رسالة جديدة في Thunderbird. (#12542)
  - عندما يكون إرفاق مؤشّر برايل مضبوطا على الوضع التلقائي، في حال تحريك الفأرة بينما يكون تتبُّع مسار الفأرة مفعَّلاً؛ سيتزامن النص المعروض على شاشة برايل مع النص المنطوق عند استخدام أوامر استعراض النص بمؤشّر الاستعراض. (#11519)
  - بات ممكنا استعراض المحتوى عبر شاشات برايل بعد استخدام أوامر استعراض النص. (#8682)
- في متصفح Firefox؛ لن يُخفق NVDA في الإعلان عن عناصر صفحات الويب، إذا كانت خصائص aria-rowindex, aria-colindex, aria-rowcount أو aria-colcount غير متاحة. (#13405)
- عند استخدام أوامر تصفُّح الجدول، لن يتغيّر موضع المؤشّر لصف أو عمود آخر إذا وُجِدت خلايا مُدمجة في الجدول. (#7278)
- في برنامج Adobe Reader، عند قراءة ملفات PDF غير تفاعلية، سيُعلَن عن نوع وحالة حقول وعناصر النماذج (مثل مربّعات التحديد وأزرار الاختيار). (#13285)
- يمكن لبرنامج تثبيت NVDA العمل الآن إن كان اسم المجلد الذي يحتوي ملف التثبيت متضمنا لأحرف خاصة. (#13270)
- يمكن الآن الوصول لأمر "استرجاع الإعدادات الافتراضية" في الوضع الآمن. (#13547)
- سيعلن Visual Studio عن أرقام الأسطر. (#13604)
  - ينبغي ملاحظة أن الإعلان عن رقم السطر يتطلب تفعيل خاصية الإعلان عن أرقام الأسطر في كل من Visual Studio و NVDA.
- سيعلن Visual Studio عن الإزاحات البادئة للسطر بشكل صحيح. (#13574)
- سيعلن NVDA -كما كان سابقا- عن تفاصيل نتائج البحث في قائمة "ابدأ" في إصدارات Windows 10 الأخيرة، وإصدارات Windows 11. (#13544)
- في الآلة الحاسبة المدمجة في Windows 10 و11، الإصدار 10.1908 وما بعده؛ سيُعلن NVDA عن النتائج عند الضغط على مزيد من الأوامر، مثل أوامر الوضع العلمي. (#13383)
- في Windows 11، أصبح ممكنا كما -كان سابقا- تصفُّح عناصر واجهة المستخدم والتفاعل معها، مثل: شريط المهام، وعرض المهام، عند استخدام الفأرة والتفاعُل باللمس. (#13506)
- سيقرأ NVDA محتوى شريط الحالة في برنامج المفكرة الخاص ب Windows 11. (#13386)
- سيعمل تمييز مؤشّر NVDA بصريًا فور تفعيل الخاصية. (#13641)
- إصلاحٌ لقراءة عناصر القائمة ذات العمود الواحد. (#13659, #13735)
- إصلاحٌ لمشكلة متعلقة بالانتقال الآلي بين اللغات مع الإنجليزية والفرنسية في آلة eSpeak، بحيث يُرجع للإنججليزية البريطانية والفرنسية (فرنسا). (#13727)
- إصلاح لخلل متعلق بالتبديل الآلي بين اللغات مع أصوات OneCore، عند محاولة التبديل للغة مُثبَّتة مسبقًا. (#13732)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2022.1

يتضمَّن هذا الإصدار تحسيناتٍ كبيرة على دعم أتمتة واجهة المستخدم UIA مع تطبيقات MS Office المكتبية. مع Microsoft Office 16.0.15000 وما بعده على Windows 11؛ سيستخدم NVDA افتراضيا أتمتة واجهة المستخدم (UI Automation) للوصول إلى عناصر التحكُّم في مستندات Microsoft Word. سينجمُ عن هذا تحسيناتٌ كبيرة مقارنةً بالنمط المستخدم سابقًا.

هناك تحسيناتٌ على معرِّفات أسطر برايل الإلكترونية، بما في ذلك Seika Notetaker، و Papenmeier HID Braille بالإضافة لذلك، هناك إصلاحاتٌ للعديد من الأخطاء في Windows 11، في تطبيقات مثل: الآلة الحاسبة، وحدات توجيه الأوامر Console، و Terminal، البريد، ولوحة الرموز والوجوه التعبيرية Emoji.

أيضًا، حُدِّثَتْ آلة النُطق eSpeak-NG وكذلك مكتبة LibLouis، التي احتوت على جداول برايل جديدة للغة اليابانية والألمانية والكاتالونية.

ملاحظة:

- هذا الإصدار لن يتوافق مع الإضافات الموجودة حاليا.

### المستجدات

- دعمُ الإعلان عن الملاحظات في MS Excel على Windows 11 عند تفعيل أتمتة واجهة المستخدم. (#12861)
- في الإصدارات الأخيرة من Microsoft Word، عند تفعيل أتمتة واجهة المستخدم (UI Automation) على Windows 11؛ سيُعلَنُ عن وجود العلامات المرجعية، ومسوَّدات التعليقات، والتعليقات التي وُجدت لها حلول عبر النُطق وبرايل معا. (#12861)
- سيُتيحُ مُعامِل سطر الأوامر الجديد `--lang` تجاوز لغة واجهة NVDA المحددة ضمن الإعدادات. (#10044)
- عند استخدام Microsoft Word عبر أتمتة واجهة المستخدم (UI Automation)، سيستخدم NVDA mathPlayer لقراءة محتوى المعادلات الرياضية في Office. (#12946)
  - لتعمل هذه الخاصية، ينبغي أن يكون العمل على Microsoft Word 365/2016 الإصدار 14326 أو أحدث.
  - يجب أيضًا تحويل معادلات MathType يدويًا إلى Office Math، وذلك بتحديد كل منها، ثم فتح قائمة السياق، واختيار خيارات المعادلة، ثم التحويل إلى Office Math.
- سيُصدرُ NVDA تنبيهًا عند استخدام مُعامِلات في سطر الأوامر غير معروفة له أو غير مستخدَمة من قَبَل أي من الإضافات البرمجية. (#12795)
- الإعلان عن وجود تفاصيل للعناصر ذات التعليقات، والأمر الخاص بإظهار ملخَّص بتلك التفاصيل يعمل الآن في النمط التفاعلي. (#13106)
- أجهزة مفكرات برايل Seika Notetaker ستُكتشَف تلقائيا عند توصيله عبر USB أو Bluetooth. (#13191, #13142)
  - هذا ينطبق على أجهزة MiniSeika (ذات 16 و 24 خلية)، الإصدار 6 و 6Pro (40 خلية)
  - اختيار منفذ bluetooth COM يدويا مدعوم حاليا أيضًا.
- إضافة أمر للتبديل بين تفعيل وتعطيل عارض الخط البارز Braille. لا يوجد مفتاح اختصار مُعيَّن افتراضيا لذلك. (#13258)
- إضافةُ أوامر للتبديل بين تفعيل وتعطيل عدد من المفاتيح المصاحبة عبر أسطر برايل الإلكترونية. (#13152)
- يحتوي مربّع الحوار الخاص بمعجم النُطق الآن على زر "إزالة الكل" للمساعدة في حذف المعجم بأكمله. (#11802)
- إضافةُ دعمٍ للآلة الحاسبة المدمجة في Windows 11. (#13212)
- في Microsoft Word عند تفعيل أتمتة واجهة المستخدم (UI Automation) على Windows 11، يمكن الآن الإعلان عن أرقام الأسطر، أرقام الأقسام، وأرقام الأعمدة في تخطيط الأعمدة. (#13283)
- في Microsoft Office 16.0.15000 والإصدارات الأحدث على Windows 11، سيستخدم NVDA أتمتة واجهة المستخدم (UI Automation) للوصول إلى مستندات Microsoft Word افتراضيًا، والذي سيعكسُ تحسينًا ملحوظًا على الأداء، مقارنةً بنمط الوصول المستخدم قديمًا. (#13437)
  - يشمل هذا المستندات في Microsoft Word، إضافةً لإنشاء وقراءة رسائل البريد الإلكتروني في Microsoft Outlook.

### التغييرات

- تحديث آلة Espeak-ng إلى 1.51-dev commit `7e5457f91e10`. (#12950)
- تحديث مكتبة مترجم برايل liblouis إلى الإصدار 3.21.0. (#13141, #13438)
  - إضافة جدول برايل جديد للغة اليابانية (Kantenji) حرفي غير مختصر.
  - إضافة جدول برايل حاسوبي ألماني ذي ست نقاط.
  - إضافة جدول برايل كاتالوني بدون اختصارات (الدرجة الأولى). (#13408)
- سيعلن NVDA عن الخلايا المحددة والمدمجة في LibreOffice Calc 7.3 وما بعده. (#9310, #6897)
- تحديث مشروع مستودع لغة بيانات Unicode العامة (CLDR) إلى الإصدار 40.0. (#12999)
- عند الضغط على مفتاح الاختصار `NVDA+Numpad Delete` (NVDA + مفتاح الحذف على اللوحة الرقمية)؛ سيعلن NVDA افتراضيا عن الكائن الموجود في موضع مؤشّر التحرير أو مؤشر النظام. (#13060)
- الضغط على مفتاح الاختصار `NVDA+Shift +Numpad Delete` (NVDA + مفتاح العالي + مفتاح الحذف على اللوحة الرقمية)؛ يُعلن موقع مؤشّر الاستعراض. (#13060)
- إضافة مفاتيح اختصار افتراضية للتبديل بين ضغط وتحرير المفاتيح المساعدة لأسطر برايل الإلكترونية من Freedom Scientific. (#13152)
- لن يُعلَن عن تنسيق "السطر الأساسي" ضمن معلومات تنسيق المستند التي تظهر عند الضغط على (`NVDA+f`). (#11815)
- لم يعُدْ هناك مفتاح اختصار مُعيَّن افتراضيا لتنشيط الوصف المُطوَّل. (#13380)
- يوجد الآن مفتاح اختصار افتراضي للحصول على ملخَّص التفاصيل: (`NVDA+d`). (#13380)
- ينبغي إعادةُ تشغيل NVDA بعد تثبيت MathPlayer. (#13486)

### الإصلاحات

- لن ينتقل مؤشِّر النظام خطأً إلى نافذة حافظة Office عند فتح بعض تطبيقات Office. (#12736)
- عند تغيير المستخدم لزر الفأرة الأساسي ليصبح الزر الأيمن عوضًا عن الأيسر، لن يُظهر NVDA قائمة السياق خطأً عوضًا عن تنشيط العنصر في تطبيقات مثل متصفحات الإنترنت. (#12642)
- عند نقل مؤشّر الاستعراض لما بعد نهاية النص ضمن حيّزات التحرير كما في Microsoft Word حال تفعيل أتمتة واجهة المستخدم سيعلن NVDA عبارة "النهاية" في أغلب الحالات. (#12808)
- يمكن ل NVDA الآن الإعلان عن اسم التطبيق وإصداره للوحدات الموجودة في مجلد System32 عند عملها في نظام Windows 64-bit. (#12943)
- تحسين جودة قراءة المخرجات في برامج توجيه الأوامر. (#12974)
  - مع ملاحظة أنه في بععض الحالات، عند إدراج أو حذف أحرف في وسط السطر؛ قد تُقرأ الأحرف الواقعة بعد مؤشر التحرير مرة أخرى.
- في MS word حال تفعيل أتمتة واجهة المستخدم (UIA)، عند استخدام مفتاح الانتقال السريع بين رؤوس الموضوعات (العناوين)، لن يعلق NVDA عند رأس الموضوع الأخير في المستند، ولن يظهر رأس الموضوع هذا مرتين ضمن قائمة العناصر الخاصة ب NVDA. (#9540)
- في Windows 8 وما بعده، يمكن الآن قراءة شريط الحالة في مستكشف الملفات باستخدام مفاتيح الاختصار القياسية المخصصة لذلك NVDA+end (للحاسوب المكتبي) / NVDA+shift+end (للحاسوب المحمول). (#12845)
- أصبحت الرسائل الواردة في محداثات Skype المخصص للأعمال تُقرأ كما في السابق. (#9295)
- سيعمل نمط خفض الأصوات في NVDA بشكل صحيح عند استخدام SAPI5 على Windows 11. (#12913)
- في الآلة الحاسبة المدمجة في Windows 10، سيقرأ NVDA أسماء العناصر في قائمة المحفوظات وعناصر الذاكرة. (#11858)
- ستعمل مفاتيح الاختصار الخاصة بأسطر برايل مثل مفاتيح التمرير وتوجيه المؤشر مرة أخرى في الأجهزة التي تستخدم معرِّف HID Braille. (#13228)
- عند قراءة بريد إلكتروني طويل في بريد Windows 11، عند نقل مؤشّر النظام بين التطبيقات، لن يعلق NVDA في سطر من أسطر الرسالة. (#13050)
- عند ربط سطر برايل إلكتروني باستخدام HID braille، يمكن الآن تنفيذ مفاتيح الاختصار المكونة من أكثر من مفتاح (مثل: `space+dot4` (مفتاح المسافة مع النقطة الرابعة)). (#13326)
- حل مشكلة كانت تسمح بفتح مربّعات حوار متعددة خاصة بالإعدادات في ذات الوقت. (#12818)
- حل مشكلة كانت تتسبَّب في عدم عمل بعض أسطر Focus Blue بعد فتح الحاسوب وإيقاظه بعد وضع السُبات. (#9830)
- عند تفعيل خيار "الإعلان عن الكتابة الفوقية والتحتية"، لن يردّد NVDA عبارة "السطر الأساسي" في مواضع غير مناسبة. (#11078)
- في Windows 11، لن تتعذّر الحركة باستخدام NVDA في لوحة الرموز والوجوه التعبيرية عند تحديد رموز تعبيرية. (#13104)
- إصلاح خطأ كان يؤدي لقراءة العنصر مرتين في أسطر التحكُّم وتوجيه الأوامر Console و Terminal. (#13261)
- معالجة عدد من الحالات يتعذَّر فيها قراءة عنتصر القوائم في تطبيقات 64 بِت، مثل REAPER. (#8175)
- في نافذة إدارة التنزيلات الخاصة ب Microsoft Edge، سينقل NVDA مؤشّر النظام تلقائيا إلى آخر عنصر مُنزَّل. (#13221)
- لن يتسبَّب NVDA في انهيار إصدارات 64 Bit من Notepad++ 8.3. (#13311)
- لن ينهار Adobe Reader عند البدء إذا كان وضع الحماية فيه مفعَّلًا. (#11568)
- حل مشكلة كانت تتسبب في انهيار NVDA عند اختيار معرِّف سطر برايل الإلكتروني Papenmeier. (#13348)
- في Microsoft word حال تفعيل أتمتة واجهة المستخدم (UIA))، لن يُعلن NVDA بصورة غير ملائمة عن أرقام الصفحات والتنسيقات الأخرى عند الانتقال من خلية فارغة في الجدول لأخرى ممتلئة، أو من آخر المستند لموضع يتضمَّن محتوى. (#13458, #13459)
- لن يُخفق NVDA في قراءة عنوان الصفحة وفي بدء القراءة تلقائيا عند تفعيل الصفحة في Google chrome 100. (#13571)
- لن ينهار NVDA عند استرجاع الإعدادات الافتراضية، إذا كان خيار نُطق مفاتيح الأوامر مفعَّلًا. (#13634)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2021.3.5

هذا إصدارٌ ثانوي لسدّ ثغرة أمنية. يُرجى الإبلاغ عن الثغرات الأمنية المحتملة عبر البريد الإلكتروني: info@nvaccess.org.

### مشكلات الأمان المُعالجة

- معالجة المشكلة الأمنية المُبلغ عنها `GHSA-xc5m-v23f-pgr7`.
  - مربَّع الحوار الخاص بنُطق الرموز وعلامات الترقيم مُعطَّلٌ الآن في الوضع الآمن.

## 2021.3.4

هذا إصدارٌ ثانوي لسد عدة ثغراتٍ أمنية أُبلِغَ عنها. يُرجى الإبلاغ عن الثغرات الأمنية مباشرةً على البريد الإلكتروني info@nvaccess.org.

### مشكلات الأمان المُعالجة

- معالجة المشكلة الأمنية `GHSA-354r-wr4v-cx28`. (#13488)
  - إلغاء إمكانية بدء تشغيل NVDA مع تفعيل وضع تسجيل فحص الأخطاء البرمجية عند تشغيله في الوضع الآمن.
  - إلغاء إمكانية تحديث NVDA عند تشغيله في الوضع الآمن.
- معالجة المشكلة الأمنية `GHSA-wg65-7r23-h6p9`. (#13489)
  - إلغاء إمكانية فتح مربّع تخصيص اختصارات NVDA في الوضع الآمن.
  - إلغاء إمكانية فتح مربّعات الحوار الخاصة بمعجم النُطق التلقائي والمؤقت ومعجم الصوت الحالي في الوضع الآمن.
- معالجة مشكلة الأمان `GHSA-mvc8-5rv9-w3hx`. (#13487)
  - تعطيل أداة wx GUI inspection في الوضع الآمن.

## 2021.3

يحملُ هذا الإصدار دعما لخاصية HID Braille الجديدة. تهدفُ هذه الخاصية لتوحيد قياسي لدعم أسطر برايل الإلكترونية دون الحاجة لتعريف كلّ منها بمعرِّف برمجي مستقل. هنالك تحديثاتٌ على آلة النُطق eSpeak-NG ومكتبة LibLouis، حيث اشتملت على جدول روسي جديد وجداول برايل للغة الفيندية. يمكن الآن تفعيل صدور أصوات للأخطاء البرمجية في الإصدارات الثابتة من NVDA عبر خيار جديد ضمن شاشة الإعدادات المتقدمة. سيُحدَّثُ النص المعروض على الشاشة باستمرار في Word عند استخدام أمر قراءة كامل النص؛ ليبقى الموضع الحالي مرئيا. هناك تحسيناتٌ كثيرة ذات صلة باستخدام أتمتة واجهة المستخدمة UIA مع برامج Office. من تلك الإصلاحات المتعلقة ب UIA، أنّ Outlook سيتجاهل مزيدا من أنواع الجداول في رسائل البريد.

ملاحظاتٌ مهمة:

نظرًا لتحديث شهادة الأمان الخاصة بنا؛ قد يظهر خطأ عند عدد قليل من مستخدمي NVDA 2021.2 عند البحث عن التحديث. سيطلب NVDA من Windows لتحديث شهادات الأمان منعًا لحدوث هذا الخطأ مستقبلا. سيحتاج المستخدمون الذين تواجههم هذه المشكلة لتنزيل وتثبيت التحديث يدويا.

### المستجدات

- إضافةُ مفتاح اختصار للتبديل بين خيارات الإعلان عن أنماط حدود الخلية. (#10408)
- دعم خاصية HID Braille الجديدة والتي تهدف إلى توحيد طريقة دعم أسطر برايل. (#12523)
  - أسطر برايل الداعمة لهذه الخاصية سيكتشفها NVDA تلقائيا.
  - اطّلِعْ على https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md لمعرفة التفاصيل التقنية حول كيفية عمل NVDA مع هذه الخاصية
- دعم جهاز Vario 4 Braille من VisioBraille. . (#12607)
- يمكن تفعيل التنبيهات عند وجود خطأ برمجي لأي إصدار من NVDA عبر شاشة (الإعدادات المتقدّمة). (#12672)
- في Windows 10 وما بعده، سيُعلنُ NVDA عن عدد الاقتراحات عند إدخال مصطلحات للبحث ضمن التطبيقات مثل تطبيق الإعدادات ومتجر التطبيقات Microsoft Store. (#7330, #12758, #12790)
- دعمُ استعراض الجدول في عناصر التحكُّم ذات العرض الشبكي المنشأة باستخدام أمر Out-GridView في PowerShell. (#12928)

### التغييرات

- تحديث Espeak-ng إلى 1.51-dev commit `74068b91bcd578bd7030a7a6cde2085114b79b44`. (#12665)
- سيستخدمُ NVDA آلة النُطق eSpeak إذا لم تكُن هناك أصواتٌ مُثبَّتة لآلة OneCore داعمةٌ للغة المُستخدَمة. (#10451)
- إذا أخفقت آلة OneCore في النُطق؛ سستعمل eSpeak كآلة نُطق. (#11544)
- عند قراءة شريط الحالة بالضغط على NVDA+End (مفتاح النهاية)؛ لن ينتقل مؤشّر الاستعراض إليه. إن كنتَ تحتاج هذه الخاصية، يُرجى تعيين اختصار للأمر الخاص بها عبر تصنيف "استعراض الكائن" ضمن مربّع حوار "تخصيص اختصارات NVDA". (#8600)
- عند فتح مربع حوار إعدادات مفتوح بالفعل؛ سينتقل مؤشّر النظام إليه بدلا عن إظهار رسالة خطأ. (#5383)
- في إصدارات Microsoft Office 2016/365 الأحدث من 13900؛ سيستخدم NVDA على الدوام UI Automation للوصول إلى عناصر التحكُّم في مستندات Microsoft Word. (#12770)
- ترقية مترجم liblouis braille إلى الإصدار 3.19.0. (#12810)
  - جداول برايل جديدة: روسي الدرجة الأولى، فيندي الدرجة الأولى والثانية
- ستُنطَق عبارة "مميَّز بصريا (highlighted)" عوَضًا عن "محتوى مُعلَّم (marked content)"، وسيظهر على سطر برايل "hlght" بدلا عن "mrkd". (#12892)
- لن يحاول NVDA إتمام عملية الخروج إذا كانت هناك مربّعاتُ حوار تتطلّب إجراءً (مثل الموافقة أو الإلغاء). (#12984)

### إصلاحات الأخطاء

- العمل مع المفاتيح المصاحبة (مثل: مفتاح التحكُّم Control، أو مفتاح الإدراج Insert) سيكون أكثر كفاءةً عند استعادة نظام المراقبة watchdog. (#12609)
- بات بالإمكان -كما في السابق- البحث عن تحديثات NVDA على بعض الأنظمة مثل نسخة Windows النقية المثبتة للتو. (#12729)
- سيقرأ NVDA خلايا الجدول الفارغة بشكل صحيح في Microsoft Word حال استخدام أتمتة واجهة المستخدم UI automation. (#11043)
- في صفحات الإنترنت، عند التنقُّل عبر خلايا ضمن جدول بيانات في عرض الشبكة (ARIA data grid)؛ لن يؤدي الضغط على مفتاح الهروب Escape إلى الخروج من النمط التفاعُلي. (#12413)
- إصلاح مشكلة قراءة اسم العمود مرتين عند قراءة الخلية التي تمثّل رأس الجدول في Chrome. (#10840)
- لن يقرأ NVDA القيمة الرقمية لأشرطة Uia القابلة للتمرير، والتي يوجد قيم نصية معرّفة لها (سيُقدَّم UIA ValuePattern برمجيا على RangeValuePattern). (#12724)
- لن يتعامل NVDA مع قيم أشرطة UIA للتمرير بناءً على النسبة المئوية كما هو المعتاد.
- الإعلان عن موضع الخلية في Microsoft Excel بشكل صحيح عند الوصول إليها عبر أتمتة واجهة المستخدم (UI Automation) على Windows 11. (#12782)
- لن يعيِّن NVDA لغةً للواجهة غير متوفرة. (#12753)
- إذا أُزيلت إضافة مُعطّلة ثم أُعيد تثبيتها؛ ستُفعَّل تلقائيا. (#12792)
- إصلاح أخطاء متعلقة بتحديث وحذف الإضافات البرمجية إذا أُعيدت تسمية المجلدات الخاصة بها أو كانت ملفاتُها قيد الاستخدام. (#12792, #12629)
- عند استخدام أتمتة واجهة المستخدم UI Automation للوصول إلى عناصر التحكُّم في أوراق العمل في Microsoft Excel؛ لن يردّد NVDA كلمة "محدّد" عند الانتقال لكل خلية. (#12530)
- قراءة المزيد من النصوص تلقائيا في مربّعات الحوار في LibreOffice مثل مربّعات الحوار الخاصة بالتأكُّد. (#11687)
- عند القراءة في نمط التصفُّح في Microsoft Word حال تفعيل أتمتة واجهة المستخدم (UI automation)؛ سيُمرَّر المستند تلقائيا، وبالتالي سيبقى موضع مؤشر نمط التصفُّح الحالي ظاهرًا، بينما يتزامن معه المؤشّر في نمط التحرير. (#9611)
- عند تنفيذ أمر قراءة الكل في Microsoft Word مع تفعيل أتمتة واجهة المستخدم (UI automation)؛ سيُمرَّر المستند تلقائيا ويُحدَّث موضع مؤشّر التحرير بشكل صحيح. (#9611)
- عند قراءة NVDA لرسائل البريد الإلكتروني في Outlook عبر أتمتة واجهة المستخدم (UI Automation)؛ بعضُ الجداول عُلِّمَت على أن تنسيقَها تنسيق جدول، ما يعني أنّ NVDA لن يُعلن عنها كجدول افتراضيا. (#11430)
- إصلاح خطأ نادر الحدوث عند تغيير جهاز إخراج الصوت. (#12620)
- سيعمل الإدخال عبر جداول برايل في حقول النصوص بشكل أفضل، بحيث يمكن الاعتماد عليه أكثر. (#12667)
- عند تصفُّح أيقونة التقويم عبر صحن النظام؛ سيقرأ NVDA أسماء أيام الأسبوع كاملة. (#12757)
- عند استخدام أحد أساليب إدخال اللغة الصينية مثل: التايوانية - Microsoft Quick في Microsoft Word، لن يقفز مؤشّر التحرير لموضع سابق، أثناء التمرير بواسطة سطر برايل الإلكتروني للأمام أو الخلف. (#12757)
- إمكانيةُ التنقُّل جملةً جُملة -كما كان سابقا- باستخدام مفاتيح (alt+سهم لأسفل / alt+سهم لأعلى) في Microsoft Word عند تفعيل أتمتة واجهة المستخدم (UIA). (#9254)
- الإعلانُ عن المسافات البادئة للفقرات في MS Word حال تفعيل الوصول عبر أتمتة واجهة المستخدم (UIA). (#12899)
- الإعلانُ عن أمر تعقُّب التغييرات في MS Word حال تفعيل الوصول لمستندات Word عبر أتمتة واجهة المستخدم (UIA)، إضافة للإعلان عن بعض الأوامر المُترجمة الأخرى وِفقا لترجمتها. (#12904)
- إصلاح النُطق والعرض المتكررين على برايل عندما يتطابق "وصفُ العنصر" مع "المحتوى" أو "الاسم". (#12888)
- أصبحت أصواتُ التنبيه عن وجود الأخطاء الإملائية أثناء الكتابة في MS Word أكثر دقةً عند تفعيل الوصول لمستندات Word عبر أتمتة واجهة المستخدم (UIA). (#12161)
- في Windows 11، لن يُعلن NVDA كلمة "لائحة" عند الضغط على Alt و Tab للتبديل بين البرامج المفتوحة. (#12648)
- أصبحت لوحة تعقُّب التعليقات الجانبية بتصميمها الجديد مدعومة في MS Word، عند تعطيل الوصول لمستندات Word عبر أتمتة واجهة المستخدم (UIA). اضغَطْ alt+f12 للتبديل بين المستند وجزء التعقُّب الجانبي. (#12982)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2021.2

هذا الإصدار يوفّرُ دعمًا مبدئيًا ل Windows 11. ولأَنّ Windows 11 لم يُطلق رسميا بعد، فقد اختُبِر هذا الإصدار مع الإصدارات التجريبية منه. يتضمّنُ هذا الإصدار إصلاحا مهما لمشكلة في سِتار الشاشة (انظر الملاحظات المهمة أدناه). يمكنُ الآن لأداة معالجة مشكلات سجل النظام الشائعة؛ معالجة المزيد من المشاكل عند تشغيل NVDA. هناك تحديثاتٌ على آلة النُطق ESpeak ومترجم برايل LibLouis. وهناك أيضًا إصلاحات وتحسيناتٌ عديدة، خاصةً على دعم برايل، ونوافذ توجيه الأوامر الخاصة ب Windows، والآلة الحاسبة، ولوحة الرموز والوجوه Emoji، وسجلّ الحافظة.

### ملاحظاتٌ مهمة

بناءً على ما طرأ من تغيير على واجهة التطبيق البرمجية الخاصة بنظام التكبير في Windows (Windows Magnification API)؛ وجب تحديثُ خاصية سِتار الشاشة لتدعم إصدارات Windows الأحدث. استخدِمْ إصدار NVDA 2021.2 لتفعيل خاصية سِتار الشاشة مع Windows 10 21H2 (10.0.19044) وما بعده. يشملُ هذا الإصدارات التجريبية من Windows 10 و Windows 11. لأغراضٍ أمنية، سيؤدي تفعيل سِتارُ الشاشة عند استخدام إصدار جديد من Windows إلى ظهور تأكيدٍ يُفيدُ أن تفعيل سِتار الشاشة سيُحيلُ الشاشة بأكملها سوداء.

### المستجدّات

- دعمٌ قيد التجربة لتعليقات ARIA:
  - يُضيفُ أمرًا لقراءة ملخَّص بتفاصيل الكائن الذي يتضمّن خاصية aria-details. (#12364)
  - يُضيفُ خيارًا إلى الإعدادات المتقدمة للإعلان عما إذا كانت هنالك تفاصيل للكائن في نمط التصفُّح. (#12439)
- في Windows 10 الإصدار 1909 وما بعده (بما في ذلك Windows 11)، سيُعلنُ NVDA عن عدد النتائج المقترحة عند إجراء بحث في متصفّح الملفات. (#10341, #12628)
- في Microsoft Word، سيُعلنُ NVDA عن حالة المسافات البادئة والمعلَّقة عند ضبطِها عبر مفاتيح الاختصار. (#6269)

### التغييرات

- تحديثُ Espeak-ng إلى 1.51-dev commit `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb`. (#12449, #12202, #12280, #12568)
- إذا كان الإعلانُ عن المقالات مفعَّلًا ضمن تفضيلات المستخدم في إعدادات تنسيق المستند؛ سيُعلنُ NVDA كلمة "مقال" بعد قراءة المحتوى. (#11103)
- تحديثُ مترجم برايل liblouis إلى 3.18.0. (#12526)
  - جداول برايل جديدة: بلغاري الدرجة الأولى، بورمي الدرجة الأولى، بورمي الدرجة الثانية، كازاخستاني الدرجة الأولى، خميري الدرجة الأولى، كردي شمالي الدرجة 0، سبيدي الدرجة الأولى، سبيدي الدرجة الثانية، سوتي الدرجة الثانية، سيستواني الدرجة الأولى، سيستواني الدرجة الثانية، تتري الدرجة الأولى، فيتنامي الدرجة 0، فيتنامي الدرجة 2، فيتنامي جنوبي الدرجة الأولى، كوسي الدرجة الأولى، كوسي الدرجة الثانية، ياكوتي الدرجة الأولى، زولو الدرجة الأولى، زولو الدرجة الثانية
- تغيير تسمية "التعرُّف الضوئي على الأحرف في Windows 10" Windows 10 OCR إلى "التعرُّف الضوئي على الأحرف الخاص ب Windows" Windows OCR. (#12690)

### الإصلاحات

- في الآلة الحاسبة المدمجة في Windows، سيُظهر NVDA التعبيرات الحسابية على عارضات برايل. (#12268)
- في برامج توجيه الأوامر في Windows 10 الإصدار 1607 وما بعده؛ لن تُقرأ الأحرف الواقعة يمين مؤشّر التحرير عند إضافة الحروف أو حذفها في وسط السطر. (#3200)
  - سيُفعَّلُ خيار Diff Match Patch تلقائيا. (#12485)
- سيعملُ الإدخال عبر برايل بشكل صحيح مع جداول برايل الداعمة للاختصارات (برايل الدرجة الثانية) وهي: العربي، الإسباني، الأوردو، الصيني (مندرين). (#12541)
- ستعملُ أداة معالجة مشاكل سجلّ النظام الشائعة على حلّ المزيد من المشاكل، خاصةً في Windows 64 bit. (#12560)
- تحسيناتٌ على عمل أزرار عارض برايل Seika Notetaker من Nippon Telesoft. (#12598)
- تحسيناتٌ على قراءة لوحة رموز ووجوه emoji وسجلّ الحافظة. (#11485)
- تحديثُ أوصاف الأحرف الهجائية البنغالية. (#12502)
- سيُغلَقُ NVDA بشكل آمن وصحيح عند إعادة تشغيله من جديد. (#12605)
- لن تؤدي إعادة اختيار "أسطر برايل الإلكترونية من Handy Tech" ضمن مربّع الحوار "اختيار سطر برايل الإلكتروني" إلى حدوث أخطاء. (#12618)
- سيُعرَّف إصدار Windows 10.0.22000 وما بعده على أنه Windows 11, وليس Windows 10. (#12626)
- إصلاحُ الدعم لخاصية سِتار الشاشة واختبارُها مع إصدارات Windows حتى الإصدار 10.0.22000. (#12684)
- إذا لم تظهَرْ نتائج عند إجراء عملية تصفية لاختصارات NVDA؛ سيستمر مربّع حوار تخصيص الاختصارات في العمل كما ينبغي. (#12673)
- إصلاحُ مشكلة عدم قراءة العنصر الأوّل من القائمة الفرعية في بعض القوائم المنبثقة (قوائم السياق). (#12624)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2021.1

يتضمّن هذا الإصدار خيارا تجريبيا لدعم أتمتة واجهة المستخدم (Uia) في Excel ومتصفّحات Chromium. هناك العديد من الإصلاحات في العديد من اللغات، وإصلاح على الوصول للروابط عبر البرايل. وهناك تحديثات على مكتبة Unicode CLDR ورموز الرياضيات، ومحرّك eSpeak-NG ومترجم LibLouis. إضافةً للعديد من إصلاحات الأخطاء والتحسينات، والتي تشمل: Office, Visual Studio، والعديد من اللغات. ملاحظة:

- هذا الإصدار لن يتوافق مع الإضافات الموجودة حاليا.
- في هذا الإصدار أيضا توقّف دعمُ Adobe Flash.

### المستجدّات

- دعمٌ مبكرٌ لأتمتة واجهة المستخدم (UIA) في المتصفحات المستندةة على Chromium (مثل Edge). (#12025)
- دعمٌ اختياري قيد التجربة لMicrosoft Excel بواسطة أتمتة واجهة المستخدم UI Automation. يُنصَحُ به فقط لإصدار Microsoft Excel build 16.0.13522.10000 أو أحدث. (#12210)
- تصفُّحٌ أسهل للمُخرَجات في بوابة لغة Python الخاصة ب NVDA. (#9784)
  - Alt+السهم الأعلى/الأسفل ينتقل لنتيجة المخرجات السابقة/التالية (مع إضافة shift للتحديد).
  - control+l يمحو جزء المخرجات.
- في Microsoft Outlook؛ يقرأ NVDA الآن التصنيفات التي أُسند إليها الموعد، إن وُجدت. (#11598)
- دعمُ عارضات برايل الإلكترونية Seika Notetaker من Nippon Telesoft. (#11514)

### التغييرات

- في نمط التصفُّح؛ يمكن الآن تفعيل عناصر التحكُّم عبر ضغط أزرار توجيه مؤشّر برايل ضمن رمز الوصف الخاص بذلك العنصر (على سبيل المثال "lnk" للرابط). يكون هذا مفيدا عند تفعيل مربّعات التحديد غير المسمّاة. (#7447)
- سيمنعُ NVDA الآن المستخدم من تنفيذ أمر التعرُّف الضوئي على الأحرف (Windows 10 OCR) عندما تكون خاصية سِتارُ الشاشة مفعَّلةً. (#11911)
- تحديثُ مشروع مستودع لغة بيانات Unicode العامة CLDR إلى 39.0. (#11943, #12314)
- إضافةُ المزيد من رموز الرياضيات إلى معجم الرموز وعلامات الترقيم. (#11467)
- إضفاءُ مظهر جديد على دليل المستخدم وملف المستجدات والمرجع السريع للاختصارات. (#12027)
- عند محاولة تبديل خيار استخدام تنسيق الشاشة في تطبيقات لا تدعمه مثل: Microsoft Word؛ ستُعلَنُ عبارة: "غير مدعوم" (#7297).
- في شاشة الإعدادات المتقدّمة، أصبح خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" مفعّلًا افتراضيا. (#10885)
  - يمكنُ تعطيلُ هذا الأمر بضبط هذا الإعداد من شاشة الإعدادات المتقدّمة للخيار "لا".
  - في تطبيقات الويب (مثل: Gmail)؛ لن تُنطَق معلوماتٌ قديمة مضت وانتهت صلاحيتها عند اتنقُّل سريعا بمؤشّر النظام.
- تحديثُ مترجم برايل liblouis إلى 3.17.0. (#12137)
  - جداول برايل جديدة: بيلاروسي غير مختصر، بيلاروسي برايل الحاسوبي، أوردو الدرجة الأولى، أوردو الدرجة الثانية.
- توقُّف دعم NVDA لمحتوى Adobe Flash ؛ بناءً على عدم تشجيع Adobe لاستخدامه. (#11131)
- سيُغلَقُ NVDA الآن حتى في حال كانت بعض النوافذ الخاصة به قيد العمل، سيتولى معالج الإغلاق إغلاق كافة مربعات الحوار الخاصة بالبرنامج. (#1740)
- يمكنُ الآن إغلاق عارض النُطق بالضغط على `alt+F4` كما أصبح هناك زرٌّ قياسي لأمر الإغلاق لتفاعُل أسهل من قِبَل مستخدمي أجهزة الإدخال وتوجيه المؤشر. (#12330)
- يوجد الآن زرٌّ قياسي لإغلاق عارض الخط البارز Braille لتفاعُلٍ أسهل من قِبَل مستخدمي أجهزة الإدخال وتوجيه. (#12328)
- في مربّع حوار قائمة العناصر؛ أُلغيَ المفتاح السريع الخاص بتفعيل زرّ "تنشيط"؛ تجنُّبًا للتعارُض بينه وبين بعض اختصارات تسميات العناصر ضمن أزرار الراديو الخاصة بتصفية العناصر وِفقا للنوع. مع بقاء أمر التنشيط هو الخيار الافتراضي ضمن مربّع الحوار عندما يكون متاحا بحيث يمكن ببساطة تفعيله بضغط مفتاح الدخول Enter ضمن قائمة العناصر نفسها. (#6167)

### الإصلاحات

- أصبحت قائمةُ الرسائل في Outlook 2010 مقروءةً كما كانت سابقًا. (#12241)
- في برامج توجيه الأوامر في Windows 10 الإصدار 1607 وما بعده؛ لن تُقرأ الأحرف الواقعة يمين مؤشّر التحرير عند إضافة الحروف أو حذفها في وسط السطر. (#3200)
  - هذا حلٌّ قيد التجربة، يجبُ تفعيله من شاشة إعدادات NVDA المتقدمة بتغيير إعداد خوارزمية diff لخيار: تمكين Diff Match Patch.
- في MS Outlook، لن يكون هناك إعلانٌ عن المسافات البادئة بشكل غير ملائم عند الضغط على Shift مع مفتاح الانتقال Tab للانتقال من محتوى الرسالة إلى حقل العنوان. (#10254)
- دعمُ إدراج التثليم ب"Tab" للإزاحة في بداية سطر إدخال مكتوب فيه، إضافةً لتنفيذ tab-completion وسط أمر برمجي في سطر الإدخال. (#11532)
- عند تعطيل خيار استخدام تنسيق الشاشة، لن تُعرَض أسطرٌ فارغة غير متوقعة في نافذة معلومات التنسيق ووفي الرسائل الأخرى القابلة للتصفُّح. (#12004)
- يمكن الآن قراءةُ التعليقات في MS Word حال تفعيل أتمتة واجهة المستخدم UIA. (#9285)
- حل بعض أخطاء في الواجهة الرسومية مثل عدم ظهور بعض العناصر عند استخدام NVDA مع لغة ذات تصميم من اليمين لليسار. (#8859)
- اعتبار اتّجاه تصميم واجهة المستخدم الرسومية بناءً على لغة واجهة NVDA وليس على لغة واجهة النظام. (#638)
  - هذه مشكلة معروفة في اللغات التي تُكتَب من اليمين إلى اليسار: حيث يشتبك الحد الأيمن من أسماء المجموعات مع تسميات عناصر التحكُّم. (#12181)
- ستتطابقُ لغة Python مع اللغ المختارة من التفضيلات، وسيحدث ذلك أيضا عند استخدام اللغة الافتراضية. (#12214)
- تحسينُ الأداء عند التفاعُل مع Visual Studio. (#12171)
- لن يؤدي استدعاء TextInfo.getTextInChunks إلى تجمُّد NVDA عند استدعائه من مناطق تحرير النص الغنية (Rich Edit controls) مثل عارض سجلّ الأخطاء. (#11613)
- أصبح بالإمكان -كما في السابق- استخدام NVDA مع اللغات التي تحتوي أسماؤها على شرطة سفلية مثل: de_CH في Windows 10 الإصدار 1803 و 1809. (#12250)
- في برنامج الدفتر WordPad؛ سيعمل إعداد الكتابة الفوقية والتحتية كما ينبغي. (#12262)
- في صفحات الإنترنت، لن يُخفق NVDA في قراءة المحتوى الأحدث في موضع المؤشّر، عند اختفاء محتوى أقدم وحلول محتوى أحدث منه في ذات الموضع. (#12147)
- سيُعلَن الآن عن معلومات التنسيق: ما تحته خط الكتابة المرتفعة والمنخفضة لكافة الخلايا في Excel عند تفعيل الخيارات المتعلقة بها. (#12264)
- حلُّ مشكلة نسخ إعدادات المستخدم أثناء تثبيت البرنامج عبر نسخة محمولة، عندما يكون مجلّد الإعدادات الافتراضي فارغا. (#12071, #12205)
- حلُّ مشكلة قراءة بعض الأحرف بشكل غير صحيح مع بعض اللهجات، عندما يكون خيار "نُطق كلمة "CAP" قبل الحروف الكبيرة" مفعَّلاً. (#11948)
- حلُّ مشكلة تعثُّر تغيير حدّة الصوت مع آلة النُطق SAPI4. (#12311)
- سيتعامل مثبّت NVDA مع عامل سطر الأوامر `--minimal` كما هو موضَّح في دليل المستخدم، بحيث لن يُشغِّل صوت بدء تشغيل البرنامج سواءً مع النسخة المُثبَّتة أو المحمولة من NVDA. (#12289)
- في MS Word أو Outlook، يمكن لمفتاح القفز السريع للجداول الانتقال للجداول المنسّقة، إذا كان خيار "شُمول الجداول المنسّقة" مفعَّلاً ضمن إعدادات نمط التصفُّح. (#11899)
- لن يقرأ NVDA بعض الوجوه والرموز التعبيرية في بعض اللغات على أنها "↑↑↑". (#11963)
- عودةُ Espeak لدعم اللغة الكانتونية ولغة مندرين (#10418)
- في متصفّح Microsoft Edge المستند على Chromium الجديد، سيُعلَن عن حقول النص مثل شريط العنوان إن كانت فارغة. (#12474)
- إصلاحُ معرِّف أجهزة Seika Braille. (#10787)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2020.4

هذا الإصدار يتضمّنُ أساليبَ جديدةً لإدخال اللغة الصينية، تحديثا لمكتبة Liblouis، تحديثًا لقائمة العناصر التي تُستدعى بضغط (NVDA+f7) بحيث أصبحت تعمل أثناء تفعيل النمط التفاعلي. أُتيحت خاصية عرض المساعدة الدقيقة المتعلقة بالسياق الحالي، عند ضغط F1 في مربعات الحوار الخاصة ب NVDA. تحسيناتٌ على نُطق الرموز وعلامات الترقيم، ومعجم النُطق، وعرض الرسائل بالخط البارز Braille، والقراءة المتواصلة. تحسيناتٌ وإصلاحات على تطبيقات: البريد، Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000. على صعيد تصفُّح شبكة الإنترنت، هنالك تحسينات على مستندات Google، ودعمٌ أفضل لخصائص ARIA. إضافةً للعديد من التحسينات والإصلاحات المهمة الأخرى.

### المستجدّات

- عند الضغط على مفتاح F1 في مربّعات الحوار الخاصة ب NVDA؛ سيُفتَح دليلُ المستخدم عند القسم المتعلّق بالعنصر. (#7757)
- دعم اقتراحات الإكمال التلقائي (IntelliSense) في Microsoft SQL Server Management Studio و Visual Studio وإصداراته الأحدث. (#7504)
- في نُطق الرموز: دعمُ تعريف الرموز المركّبة في مجموعات، ودعمُ الإشارات لتلك المجموعات لجعلها أبسط وأقوى. (#11107)
- عند محاولة المستخدم إنشاء مدخلات في المعجم الصوتي تتضمن كلمات بديلة بصيغة غير صحيحة؛ فإنّه سيُنبَّه لذلك. (#11407)
  - ستُكتشَف تلك الأخطاء المتعلقة بمجموعات الرموز بشكل خاص.
- دعمُ أساليب الإدخال الجديدة لللغة الصينية التقليدية في Windows 10: Quick و Pinyin. (#11562)
- ستُعتبر رؤوس التبويبات عناصر ضمن حقول الاستمارات بحيث يمكن الانتقال إليها عبر ضغط مفتاح حرف f للحركة السريعة. (#10432)
- إضافةُ أمر للتبديل بين تفعيل وتعطيل الإعلان عن النص المُعلَّم (المُميَّز بصريًا)، دون تعيين لمفتاح اختصار افتراضي له. (#11807)
- إضافة معامل سطر الأوامر--copy-portable-config ، والذي يُتيح لك نسخَ الإعدادادات المضبوطة إلى مجلد المستخدم تلقائيا أثناء التثبيت الصامت ل NVDA. (#9676)
- دعمُ توجيه المؤشر لخلية بريايل في عارض الخطّ البارز Braille لمستخدمي الفأرة، بحيث يمكن التمرير بالفأرة لتوجيه المؤشّر لخلية برايل. (#11804)
- يمكن الآن ل NVDA اكتشاف أجهزة برايل Humanware Brailliant BI 40X و 20X تلقائيا عند وصلها عبر USB و Bluetooth. (#11819)

### التعديلات

- ترقيةُ مترجم برايل Libluis إلى الإصدار 3.16.1 وفيه:
  - معالجةُ أخطاء متعددة.
  - إضافةُ جدول برايل للغة الباشقورية بدون اختصارات (برايل الدرجة الأولى).
  - إضافة جدول برايل قبطي ثمان نقاط.
  - إضافةُ جدولي برايل روسيين: literary braille and Russian literary braille (detailed).
  - إضافةُ جدول برايل أفريقاني الدرجة الثانية.
  - إزالةُ جدول برايل الروسي الدرجة الأولى.
- عند تفعيل القراءة المتواصلة في نمط التصفُّح؛ لن يؤدي استخدام أمري البحث عن نص والبحث عن الموضع التالي للنص المُدخَل لإيقاف القراءة عندما يكون خيار "إتاحةُ التصفُّح أثناء القراءة المتواصلة" مُفعَّلًا. (#11563)
- إعادةُ تعريف تمثيل مفتاح F1 في أسطر برايل الإلكترونية من Hims، بحيث أصبح مفتاح المسافة مع النقاط 148. (#11710)
- تحسيناتٌ لتجربة المستخدم مع خيارات عرض رسائل برايل: "زمن عرض الرسائل"، و"ظهور الرسائل لمدة غير محددة". (#11602)
- في متصفحات الويب والتطبيقات الأخرى التي تدعم نمط التصفُّح؛ يمكن الآن استدعاء مربع حوار قائمة العناصر (NVDA + F7) ضمن النمط التفاعُلي (نمط حقول الاستمارات). (#10453)
- إذا كان الإعلان عن المحتوى النَشِط معطَّلًا؛ فلن يمنع ذلك من تحديث أجزاء الصفحة المصممة بخاصية ARIA live. (#9077)
- سيُعلنُ NVDA رسالة النسخ للحافظة قبل النص. (#6757)
- تحسينٌ على عرض الجدول الرسومي في إدارة الأقراص. (#10048)
- عندما يكون عنصرُ التحكُّم معطَّلاً؛ ستُعطَّل أيضًا تسمية العنصر (تظهر باللون الرمادي). (#11809)
- تحديثُ الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمكتبة CLDR للإصدار 38. (#11817)
- تغيير اسم خاصية "Focus Highlight (تمييز موضع التركيز)" المُدمَجى في البرنامج إلى "Vision Highlight (التمييز المرئي)". (#11700)

### إصلاحات الأخطاء

- عند استخدام تطبيق FLE (Fast Log Entry)؛ سيعملُ NVDA الآن بشكل صحيح -كما في السابق- في حقول التحرير. (#8996)
- قراءةُ الوقت المُنقضي في Foobar2000 إذا لم يكُن الوقتُ الإجمالي متوفرًا (على سبيل المثال، عند تشغيل بث مباشر). (#11337)
- سيُعطي NVDA الآن أولويةً لخاصية aria-roledescription عند وجودها في عناصر المحتوى القابل للتحرير في صفحات الإنترنت. (#11607)
- لم يعُدْ يتردّد لفظ "قائمة" قبل بداية كل سطر من أسطر القائمة في مستندات Google وغيرها من حقول المحتوى القابل للتحرير في Google Chrome. (#7562)
- عند التحرُّك بالأسهم حرفًا حرفًا أو كلمةً كلمة، أثناء الانتقال من عنصر قائمة إلى عنصر آخر في محتوى قابل للتحرير على صفحات الإنترنت؛ سيُعلَن الآن عن دخول العنصر الجديد. (#11569)
- في مستندات Google وسائر حقول المحتوى القابل للتحرير على صفحات الإنترنت، سيقرأ NVDA الآن السطر الصحيح عندما يكون مؤشّرُ التحرير موضوعا عند نهاية رابط موجود في نهاية عنصر القائمة. (#11606)
- في Windows 7، سينتقل مؤشّر النظام بشكل صحيح عند فتح وإغلاق قائمة ابدأ من سطح المكتب. (#10567)
- عند التبديل بين علامات التبويب في Firefox؛ سيُقرأ الآن عنوانُ علامة التبويب بشكل صحيح، عندما يكون خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" مفعَّلًا، كما كان سابقا. (#11397)
- لم يعُدْ NVDA يُخفِقُ في قراءة عنصر القائمة بعد كتابةِ حرفٍ فيها حال استخدام أصوات SAPI5 Ivona. (#11651)
- في تطبيق البريد الخاص بWindows 10 الإصدار 16005.13110 وما بعده؛ بات ممكنًا -كما كان سابقا- استخدام نمط التصفُّح لقراءة رسائل البريد الإلكتروني. (#11439)
- لن يبقى NVDA في حالة صمت بعد إعادة تشغيله عند استخدام أصوات SAPI5 Ivona من harposoftware.com، وبات ممكنا حفظُ الإعدادات المضبوطة، والتبديل بين آلات النُطق. (#11650)
- يمكن الآن إدخال رقم 6 في جدول برايل الحاسوبي من لوحة مفاتيح برايل على أسطر برايل الإلكترونية من HIMS. (#11710)
- تحسيناتٌ كبيرة على الأداء في Azure Data Studio. (#11533, #11715)
- الإعلان -كما في السابق- عن عنوان مربّع حوار البحث الخاص ب NVDA عندما يكون خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" مفعّلًا. (#11632)
- لن يتجمّد NVDA بعد إيقاظ الحاسوب من وضع السبات، إذا كان مؤشّر النظام موجودًا في مستند ضمن Microsoft Edge. (#11576)
- لم تعُد هناك حاجة لضغط مفتاح الانتقال (Tab) بعد إغلاق قائمة السياق في MS Edge ليعود نمطُ التصفُّح للعمل. (#11202)
- لم يعُدْ NVDA يُخفقُ في قراءة العناصر عند عرض قوائم التطبيقات العاملة بنظام 64 Bit مثل Tortoise SVN. (#8175)
- في كلٍّ من Firefox و Chrome؛ ستُعتبر العناصر ذات خاصية ARIA treegrids كجداول عادية في نمط التصفُّح. (#9715)
- يمكن الآن بدء البحث العكسي للخلف باستخدام أمر "البحث عن السابق" بالضغط على NVDA+shift+F3 (#11770)
- عند تكرار تنفيذ أحد مفاتيح الاختصار الخاصة ب NVDA مع استخدام مفتاح اختصار آخر غير مرتبط به يفصل بين عمليات تنفيذه، لن يُنفَّذ ذاك الأأمر كما لو ضُغِطَ مرتين. (#11388)
- في Internet Explorer ؛ يمكنُ الآن تعطيل الإعلان عن خاصيتي الخط العريض والمائل، إذا عُطِّل الإعلان عنهما ضمن إعدادات تنسيق المستند. (#11808)
- عدم حدوث التجمُّد اليسير لعدة ثوانٍ عند التحرّك بالأسهم بين الخلايا في Excel والذي واجهه عدد قليل من المستخدمين. (#11818)
- في إصدارات Microsoft Teams التي تحمل أرقاما مثل 1.3.00.28xxx، لن يُخفِقَ NVDA في قراءة الرسائل في المحادثات أو قنوات Teams بسبب وجود المؤشّر في موضع غير صحيح من القائمة. (#11821)
- في Google Chrome، عند وجود نص يتضمّن أخطاء إملائية ونحوية في ذات الوقت؛ سيُعلن NVDA عن كلا الخطأين. (#11787)
- عند استخدام Outlook (بواجهته الفرنسية)؛ سيعمل مفتاح الاختصار الخاص بالرد على الكل (control+shift+R) كما في السابق. (#11196)
- في Visual Studio، ستُقرأ الرسائل والتميحات الإرشادية المتاحة من قِبَل أداة IntelliSense -والتي تقدّم مزيدا من التفاصيل حول عنصر IntelliSense المختار حاليا-، مرةً واحدةً فقط. (#11611)
- لم يعُدْ NVDA يُعلن عن التغييرات الطارئة على العمليات الحسابية في تطبيق الآلة الحاسبة المدمج في Windows 10؛ عندما يكون خيار نُطق الأحرف المكتوبة معطَّلًا. (#9428)
- لم يعُدْ NVDA ينهار عند استخدام جدول برايل الإنجليزي الأمريكي الدرجة الأولى حال تفعيل استخدام برايل الحاسوب؛ إذا وُجِدَ مؤشّر برايل عند بعض أنواع المحتوى مثل الروابط. (#11754)
- بات ممكنا -كما في السابق- قراءةُ معلومات التنسيق لخلية Excel التي يوجد عندها مؤشّر النظام، باستخدام مفتاح الاختصار NVDA+F. (#11914)
- عودةُ الإدخال عبر نمط لوحة المفاتيح القياسية الكاملة QWERTY على أسطر برايل من نوع Papenmeier للعمل وعدم تسببها في تجمّد NVDA عشوائيا. (#11944)

### تعديلاتٌ للمطووّرين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوّرو البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2020.3

يتضمّنُ هذا الإصدار تحسيناتٍ عديدة وكبيرة تتعلق باستقرار البرنامج وأدائه، خاصةً مع تطبيقات Microsoft Office. هناك أيضا إعداداتٌ جديدة للتبديل بين خيارات دعم التفاعل باللمس والإعلان عن الرسومات. كما يمكن الإعلان عن وجود محتوى مُعلَّم (مُميَّز بصريا) في متصفّحات الإنترنت. إضافةً لجداول برايل جديدة للغة الألمانية.

### المستجدات

- يمكنك الآن التبديل بين تفعيل أو تعطيل الإعلان عن الرسومات عبر إعدادات تنسيق المستند الخاصة ب NVDA. مع ملاحظة أن تعطيل هذا الخيار؛ لن يؤثّر على قراءة NVDA للنصوص البديلة للرسومات. (#4837)
- يمكنك الآن التبديل بين تفعيل وتعطيل دعم NVDA للتفاعُل باللمس، حيث أُضيف لذلك خيارٌ ضمن شاشة إعدادات التفاعل باللمس في إعدادات NVDA. ومفتاح الاختصار الافتراضي له هو NVDA+control+alt+t. (#9682)
- إضافة جداول برايل جديدة للغة الألمانية. (#11268)
- يتعرّف NVDA الآن على حقول نصوص uia إن كانت للقراءة فقط. (#10494)
- سيُعلَنُ الآن عن وجود محتوى مُظلَّل في كافة متصفحات الإنترنت عبر النُطق والخط البارز Braille. . (#11436)
  - يمكن التبديل بين تفعيل وتعطيل هذه الخاصية عبر الخيار الجديد الخاص بتمييز النص ضمن إعدادات تنسيق المستند الخاصة ب NVDA.
- بالإمكان الآن إضافةُ المزيد من مفاتيح لوحة مفاتيح النظام لإضافة مفاتيح اختصار تحاكيها على أسطر برايل الإلكترونية، وذلك عبر مربّع حوار تخصيص اختصارات NVDA. (#6060)
  - لعمل ذلك؛ اضغط على زر إضافة بعد اختيارك لتصنيف أوامر محاكاة لوحة مفاتيح النظام.
- دعمُ عصا التحكُّم في جهاز Handy Tech Active Braille (#11655)
- لم يعُدْ خيار "التحوُّل تلقائيا من وإلى النمط التفاعلي وِفقا لحركة مؤشِّر التحرير" يتعارضُ مع خيار "نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك" عندما يكون معطّلًا. (#11663)

### التغييرات

- أصبح الآن أمر الإعلان عن التنسيقات (NVDA+f) يُعلنُ عن تنسيق النص الواقع في موضع مؤشّر التحرير، بدلا من التنسيقات الموجودة تحت مؤشّر الاستعراض. لمعرفة تنسيق النص الذي يوجد عنده مؤشّر الاستعراض؛ اضغَطْ NVDA+shift+f. (#9505)
- لم يعُدْ NVDA ينقل مؤشّر النظام تلقائيا إلى العناصر القابلة للتركيز في نمط التصفُّح، تحسينا للأداء ولاستقرار البرنامج. (#11190)
- تحديث الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمشروع مستودع لغة بيانات اليونيكود العامة CLDR (Unicode Common Locale Data Repository) من الإصدار 36.1 إلى الإصدار 37. (#11303)
- تحديث ESpeak إلى 1.51-dev, commit 1fb68ffffea4
- يمكنُك الآن استخدام أوامر التنقُّل ضمن الجدول، في القوائم المتضمّنة لعناصر قابلة للتحديد، إن كانت القائمةُ تحتوي على عدة صفوف. (#8857)
- في مدير الإضافات البرمجية، أصبح خيار (لا) هو الخيار الافتراضي عند ظهور رسالة تأكيد حذف الإضافة. (#10015)
- في Microsoft Excel, ستُعرَضُ المعادلات الرياضية في قائمة العناصر وِفقا للغة واجهته. (#9144)
- سيُعلنُ NVDA التسمية الصحيحة للملاحظات في Microsoft Excel. (#11311)
- عند استخدام أمر "نقل مؤشّر الاستعراض لموضع مؤشّر النظام" في نمط التصفُّح؛ سيُنقَلُ مؤشّر الاستعراض لموضع المؤشّر الافتراضي الخاص بنمط التصفُّح. (#9622)
- المعلومات التي تُقرأ في نمط التصفُّح، مثل معلومات التنسيق التي تُقرأ بالضغط على NVDA+F؛ ستُعرضُ الآن ضمن نافذة أكبر قليلا تتوسط الشاشة. (#9910)

### إصلاحات الأخطاء

- سيقرأ NVDA الآن الرموز أو علامات الترقيم إن كانت منفردةً ومتبوعةً بمسافة، عند التنقُّل كلمةً كلمة، بغضّ النظر عن إعداد مستوى قراءة الرموز. (#5133)
- سيقرأ NVDA الآن أوصاف الكائنات في التطبيقات التي تستخدم QT 5.11 أو أحدث كما كان في السابق. (#8604)
- لن يلزم NVDA الصمت عند حذف كلمة بالضغط على control+delete. (#3298, #11029)
  - سيُعلَنُ الآن عن الكلمة التي تلي الكلمة المحذوفة.
- في إعدادات NVDA العامة؛ رُتّبت قائمة اللغات بشكل صحيح. (#10348)
- تحسينٌ واضح على الأداء عند إجراء عملية التصفية في مربّع حوار تخصيص اختصارات NVDA. (#10307)
- يمكنك الآن إدخال أحرف Unicode عبر أسطر برايل خلافا لأحرف U+FFFF. (#10796)
- سيعلنُ NVDA الآن عن محتوى مربّع الحوار (فتح باستخدام) في تحديث Windows 10 مايو 2020 (#11335)
- خيارٌ تجريبي جديد ضمن شاشة الإعدادات المتقدّمة: (تمكينُ التسجيل الانتقائي لأحداث أتمتة واجهة المستخدم (UI Automation) وتغيير الخصائص) يمكنُ أن يوفّرَ -عند تفعيله- تحسيناتٍ كبيرة على أداء Microsoft Visual Studio والبرامج الأخرى التي تعتمد UIAutomation. (#11077, #11209)
- في عناصر القوائم القابلة لوضع علامة التحديد عليها، لن تُعلن حالة العنصر المحدَّد بشكل متكرر، وستُعلَنُ الحالة "غير محدَّد" عن العنصر الذي لا يكون في موضع مؤشّر النظام عوضا عن ذلك. (#8554)
- في تحديث Windows 10 مايو 2020؛ سيُظهِر NVDA خيار Microsoft Sound Mapper ضمن خيارات جهاز إخراج الصوت في مربّع حوار آلة النُطق. (#11349)
- في Internet Explorer؛ ستُقرأ القوائم ذات التعداد الرقمي بشكل صحيح، إذا لم تكُن تبدأ بالرقم 1. (#8438)
- في Google chrome، سيُعلنُ NVDA الآن الحالة "غيرُ محدَّد" لكافة عناصر التحكُّم القابلة للتحديد عندما تكون غير محدّدة (ولن يقتصر ذلك على مربّعات التحديد). #11377)
- باتَ ممكنا -كما كان سابقا- التنقُّل بين عناصر التحكّم المختلفة، عندما تكون لغة واجهة NVDA اللغة الأراغونية. (#11384)
- لن يدخل NVDA في حالة تجمُّد -كما كان يحدثُ في بعض الأحيان- في Microsoft Word، عند التنقُّل السريع بمفتاح السهم لأعلى أو لأسفل، وأثناء كتابة الأحرف في حال الربط بسطر برايل إلكتروني. (#11431, #11425, #11414)
- لم يعُدْ NVDA يُتبِعُ اسم الكائن الواقع في موضع مؤشّر NVDA بمسافة غير موجودة في اسمه، عند نسخه للحافظة. (#11438)
- لن ينشِّطَ NVDA وضع الضبط (القراءة المتواصلة) في حال عدم وجود ما يُقرأ. (#10899, #9947)
- لن يتعذّر الآن على NVDA قراءة قائمة الخصائص ضمن أداة Internet Information Services (IIS) (#11468)
- سيُبقي NVDA جهاز الصوت مستمرا في العمل؛ تحسينا للأداء مع بعض كروت الصوت. (#5172, #10721)
- لم يعُدْ NVDA يُغلَقُ أو يدخل حالة جمود عند ضغط مفاتيح control+shift+سهم لأسفل في Microsoft Word. (#9463)
- سيعلنُ NVDA دوما عن حالة المجلدات طيًّا وتوسيعًا في العرض الشجري الخاص بالتنقُّل بين المجلدات على موقع drive.google.com. (#11520)
- يتعرّف NVDA الآن على عارضات برايل NLS eReader من Humanware، عند ربطها عبر Bluetooth، واسم Bluetooth الخاص به "NLS eReader Humanware". (#11561)
- تحسيناتٌ كبيرة على الأداء في محرّر الأوامر البرمجية Visual Studio Code. (#11533)

## 2020.2

أبرز ما في هذا الإصدار: دعم السطر الإلكتروني الجديد من شركة الناطق، دعم أفضل لواجهة المستخدم لبرنامج مكافحة الفيروسات Eset، وكذلك دعم تطبيق الأوامر النصية Windows Terminal، تحسين أداء 1password، ودعم إضافي لآلة النطق Windows OneCore.

### المستجدات

- دعم الأسطر الإلكترونية الآتية:
  - سطر الناطق للتكنولوجيا Nattiq nBraille (#10778)
- إضافة إمكانية تعيين مفتاح اختصار لفتح مجلد إعدادات NVDA (لا يوجد مفتاح اختصار افتراضي). (#2214) == تعديلاتٌ للمطورين == يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

- دعم أفضل لواجهة المستخدم لبرنامج مكافحة الفيروسات Eset. (#10894)
- دعم إضافي تطبيق سطر الأوامر النصية في Windows. (#10305)
- إضافة أمر للإعلام عن وضع إعدادات NVDA النَشِط (ليس هناك اختصار معيّن افتراضيا). (#9325)
- إضافة أمر للتنقل بين تفعيل وتعطيل الكتابة الفوقية والسفلية (subscript, superscript). (#10985)
- لم يعد NVDA يعلن عن معلومات انتهت صلاحيتها وحلّ بدلا ععنها معلومات محدّثة، عند تحرُّك المؤشر بسرعة في تطبيقات الوب كما هو الحال في Gmail. (#10885)
  - يجب التفعيل اليدوي لهذا الإصلاح التجريبي من خلال تفعيل خيار "محاولة إلغاء الإعلان عن الأحداث والمعلومات منتهية الصلاحية" الموجود ضمن شاشة الإعدادات المتقدمة.
- إضافة المزيد من الرموز لقاموس النُطق الافتراضي. (#11105)

### التغييرات

- تحديث مترجم liblouis braille من 3.12 إلى 3.14.0. (#10832, #11221)
- أصبح التحكُّم بخيار الإعلان عن الكتابة العلوية والكتابة السفلية مستقلًا عن خيار الإعلان عن خصائص الخط. (#10919)
- بناءً على التعديلات التي أُجريت على VS Code؛ لم يعد NVDA يعطّل نمط التصفح افتراضيا عند وجود الشفرة.. (#10888)
- لم يعُدْ NVDA يُعلن رسالتا "أعلى" و"أسفل" عند نقل مؤشّر الاستعراض مباشرةً للسطر الأول أو الأخير ضمن الكائن الواقع تحت مؤشر NVDA عند استخدام أمر نقلل مؤشّر الاستعراض للسطر الأول ونقل مؤشر الاستعراض للسطر الأخير متبوعةً بالسطر. (#9551)
- لم يعُدْ NVDA يُعلن رسالتا "يسار" و "يمين" عند نقل مؤشر الاستعراض مباشرةً للحرف الأول أو الأخير ضمن السطر الذي يقع عليه مؤشر NVDA باستخدام أمرَي نقل مؤشر الاستعراض لبداية السطر ونقل مؤشّر الاستعراض لنهاية السطر متبوعةً بالحرف. (#9551)

### الإصلاحات

- بدء تشغيل NVDA بشكل صحيح عندما يتعذّر إنشاء ملف تقارير الأخطاء. (#6330)
- لم يعد NVDA يعلن عبارة "delete back word" عند الضغط على مفتاحي ctrl+backspace عند تحرير مستند بالإصدارات الحديثة من microsoft word 365. (#10851)
- سيعلن NVDA مرة أخرى عن الحالة عند التبديل بين التشغيل العشوائي والتكرار في تطبيق Winamp. (#10945)
- لن يُصاب NVDA بالبطء عند الحركة داخل القوائم السردية ببرنامج 1password. (#10508)
- لم تعد آلة النطق windows 1core تقطّع بين الكلمات.(#10721)
- لم يعد NVDA يدخل في حالة جمود عند فتح قائمة سياق أيقونة 1password الموجودة في منطقة الإعلام في Windows. (#11017)
- في office2013 وما قبله:
  - سيعلن NVDA عن علامات التبويب فور نقل المؤشر إليها. (#4207)
  - الإعلان مرة أخرى عن عناصر قائمة السياق بشكل صحيح. (#9252)
  - الإعلان عن جميع الأقسام ضمن علامات التبويب عند الحركة بمفتاح التحكم مع الأسهم. (#7067)
- لم يعد NVDA يُظهِرُ النص بشكل غير صحيح في سطر منفصل ضمن نمط التصفح بتطبيقات Mozilla Firefox و Google Chrome عند كتابة محتوى الصفحة باستخدام CSS display: inline-flex. (#11075)
- في نمط التصفُّح؛ إذا كان خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك معطّلًا؛ يمكن الآن تنشيط عناصر التصفُّح التي ليست ضمن موضع التركيز.
- أصبح بالإمكان تنشيط العناصر التي نصل إليها بمفتاح Tab في نمط التصفح عند تعطيل خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك. (#8528)
- لم يعد تنشيط عناصر معينة في نمط التصفح يؤدي إلى النقر على مواضع غير صحيحة عند تعطيل خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك. (#9886)
- لم تعُد أصوات NVDA التي تُشير لوجود خطأ تُسمَع عند الوصول لعناصر التحكم في النص في Devexpress. (#10918)
- لن تُعلَن الرسائل الإرشادية الخاصة بالأيقونات الموجودة على صينية النظام عند الحركة عليها بلوحة المفاتيح إذا كان محتوى الرسالة الإرشادية مطابقا لاسم الأيقونة وذلك لتجنب التكرار. (#6656)
- في نمط التصفُّح؛ عندما يكون خيار نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك معطّلًا؛ سينتقلُ مؤشّرُ النظام لموضع مؤشر التحرير عند الضغط على مفتاحي NVDA+مسافة للتبديل إلى النمط التفاعلي (نمط حقول الاستمارات). (#11206)
- أصبح بالإمكان مرة أخرى البحث عن تحديثات NVDA في بعض الأنظمة على سبيل المثال على نسخة Windows مثبتة للتو. (#11253)
- لن يتغير موضع مؤشر النظام في تطبيقات Java عند تغيير التحديد في العرض الشجري أو الجداول أو القوائم السردية التي لا تقع أسفل مؤشر النظام. (#5989)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2020.1

أبرز ما في هذا الإصدار: دعم العديد من أسطر برايل الإلكترونية الجديدة من HumanWare و APH، إضافةً لكثير من الإصلاحات المهمة للعديد من الأخطاء مثل: إمكانية قراءة محتوى الرياضيات مرة أخرى في Microsoft Word باستخدام MathPlayer / MathType.

### المستجدّات

- في متصفّح Chrome، سيُعرَضُ الآن العنصر المختار ضمض نناديق القوائم في نمط التصفُّح، كما كان الحال في NVDA 2019.1. (#10713)
- يمكنك الآن تنفيذ الضغط على زر الفأرة الأيمن على الأجهزة العاملة بنظام اللمس، بالضغط بإصبع واحد ضغطتين ثانيتهما مستمرة. (#3886)
- دعم أسطر برايل إلكترونية جديدة: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2, و NLS eReader. (#10830)

### التغييرات

- عند تفعيل القراءة المتواصلة؛ سيحُول NVDA دون تأمين النظام للجهاز أو إدخاله في وضع السُبات. (#10643)
- دعم out-of-process iframes في متصفّح Mozilla Firefox. (#10707)
- تحديثُ مترجم برايل Liblouis إلى الإصدار 3.12. (#10161)

### إصلاحات الأخطاء

- إصلاح مشكلة عدم نُطق علامة الناقص بتنسيق Unicode (U+2212). (#10633)
- عند تثبيت إضافة عبر مدير الإضافات البرمجيّة؛ لن تُقرأ أسماء الملفات والمجلدات في نافذة الاستعراض مرتين. (#10620, #2395)
- عند فتح موقع Mastodon في Firefox، في حال تمكين واجهة الويب التفاعلية؛ ستُرَض جميع الخطوط الزمنية الآن بشكل صحيح. (#10776)
- في نمط التصفُّح؛ سيُعلن NVDA الآن عن مربّعات التحديد غير المحددة ب"غير محدّد" في بعض المواضع التي كان أحيانا لا يُعلن عنها. (#10781)
- لن يُعلن NVDA عن معلومات متضاربة عن العناصر المعرّفة على أنها أزرار تبديل بخاصية (ARIA switch controls) مثل: "غير مضغوط مُحدَّد"، أو "مضغوط محدَّد". (#9187)
- لم تعُدْ أصوات Sapi4 تتوقف عن قراءةالنص في بعض الأحوال. (#10792)
- يمكن ل NVDA القراءة والتفاعُل مع المعادلات الرياضية في Microsoft Word كما كان سابقا. (#10803)
- سيُعلن NVDA الآن عن كون النص غير محدّد في نمط التصفُّح؛ عند ضغط أحد مفاتيح الأسهم في حال كان النص محددا. (#10731).
- لم يعُد NVDA ينهار عند حدوث خطأ أثناء اختيار آلة النُطق Espeak. (#10607)
- لن تتسبّب الأخطاء الناجمة عن وجود أحرف Unicode في ترجمة الاختصارات في إيقاف تثبيت البرنامج، بل سيُعتمد النصّ الإنجليزي تجاوزًا للمشلكة. (#5166, #6326)
- لم يعُدْ يحدث الإعلان باستمرار عن الخروج من القوائم والجداول في نمط التصفُّح، أثناء تمكين التصفُّح بمفاتيح الحركة أثناء القراءة المتواصلة. (#10706)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج. ولمن يرغب في الاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2019.3

يُعتبر إصدار NVDA 2019.3 إصدارا ذا أهمية كبيرة، حيث احتوى على العديد من التغييرات في بنيته، والتي لا تبدو جليةً للمستخدمين، بما في ذلك: ترقية إصدار لغة Python المستخدمة في كتابته من Python 2 to Python 3، وإعادة كتابة لنظام النُطق. وعلى الرغم من أنّ هذه التغييرات أدّت إلى عدم توافُق NVDA مع بعض الإضافات البرمجية القديمة؛ إلا أن الترقية إلى Python ضرورية أمنيا، كما أن التغييرات التي طرأت على النُطق ستُتيحُ تنفيذ أفكار تطويرية مُثيرة قريبا. أبرزُ المستجدّات الأخرى في هذا الإصدار تشمل: دعم Java VMs 64 Bit، خاصية سِتار الشاشة والتمييز المرئي لموضع المؤشر، دعم المزيد من أسطر برايل الإلكترونية إضافةً لأداة عارض برايل الجديدة، والكثير جدا من إصلاحات الأخطاء.

### المستجدّات

- تحسينٌ على دقة أمر نقل مؤشر الفأرة إللى الكائن الحالي الواقع تحت مؤشّر NVDA في الحقول النصية ضمن تطبيقات Java بحيث أصبح أكثر دقّةً. (#10157)
- إضافةُ الدعم لأسطر برايل الإلكترونية من Handytech (#8955):
  - Basic Braille Plus 40
  - Basic Braille Plus 32
  - Connect Braille
- يمكن الآن حذفُ كافة مفاتيح الاختصار المُعرَّفة من قِبَل المستخدم بالضغط على زر استرجاع الإعدادات الافتراضية المُضاف ضمن مربّع حوار تخصيص اختصارات NVDA. (#10293)
- سيشملُ الإعلانُ عن الخط، النصَّ الذي عُيّن كنص مخفي في Microsoft Word. (#8713)
- إضافةُ أمر لنقل مؤشّر الاستعراض إلى الموضع الذي ضُبِطَ سابقا ليكون نقطة البداية للتحديد أو النسخ: NVDA+shift+F9. (#1969)
- في Internet Explorer, و Microsoft Edge، والإصدارات الأحدث من Firefox و Chrome سيُعلَنُ الآن عن العلامات الإرشادية في كلٍّ من نمط التصفُّح ونمط استعراض الكائن. (#10101)
- يمكنك الآن التنقّل عبر المقالات والمجموعات في Internet Explorer و Google Chrome و Mozilla Firefox، باستخدام مفاتيح التنقّل السريعة. افتراضيًا، ليس هناك مفتاح سريع محدّد لذلك. يمكنك تعيينه عبر مربّع حوار تخصيص اختصارات NVDA في حال فتحتَ مربّع الحوار هذا أثناء وجودك ضمن مستند في نمط التصفُّح. (#9227)
  - سيُعلَن الآن أيضا عن الأشكال التوضيحية Figures. ولأنها تُعتبرُ كائنات؛ فبالإمكان الانتقال إليها باستخدام مفتاح الحركة السريع O.
- في Internet Explorer, و Google Chrome, و Mozilla Firefox, سيُعلَنُ عن العناصر من نوع المقالات، عند التنقُّل في نمط استعراض الكائن، وكذلك في نمط التصفُّح كأمر اختياري، إذا كان هذا الخيار مُفعّلًا ضمن إعدادات NVDA الخاصة بتنسيق المستند. (#10424)
- إضافةُ خاصية سِتار الشاشة، والتي تُحيل الشاشة بأكملها سوداء عند تفعيلها على Windows 8 والإصدارات الأحدث. (#7857)
  - وقد أُضيف أمرٌ لتفعيل ستار الشاشة (بضغطه مرة واحدة يبقى مُفعّلًا حتى يُعاد تشغيل NVDA في المرة التالية، وبالضغط عليه مرتين يبقى مفعّلًا دائما ما دام NVDA يعمل) غير أنه لم يُعيَّن له مفتاح اختصار افتراضي.
  - يمكن تفعيلُه وضبطُه من خلال تصنيف الرؤية ضمن مربّع حوار إعدادات NVDA.
- إضافة خاصية التمييز المرئي للشاشة. (#971, #9064)
  - يمكنُ ضبط تمييز موضع مؤشّر النظام، ومؤشّر NVDA (مؤشّر مستعرِض الكائن) ومؤشّر نمط التصفُّح عبر تصنيف الرؤية ضمن مربّع حوار إعدادات NVDA.
  - ملاحظة: هذه الخاصية لا تتوافق مع الإضافة البرمجية focus highlight، ومع ذلك، لا يزال بالإمكان استخدام تلك الإضافة في حال تعطيل ميزة تمييز موضع التركيز المُدمجة.
- إضافة أداة عارض الخط البارز Braille، والتي تُتيح عرض مخرجات برايل عبر نافذة على الشاشة. (#7788)

### التغييرات

- يوجد الآن وصفٌ في دليل المستخدم لكيفية استخدام NVDA في سطر توجيه الأوامر في Windows. (#9957)
- سيعمل تشغيل ملف nvda.exe الآن افتراضيا على استبدال النسخة العاملة من NVDA. مُعامِل سطر الأوامر -r|--replace لا يزال مقبولاً غير أنه مُتجاهَل. (#8320)
- في Windows 8 والإصدارات الأحدث ، سيُعلن NVDA عن اسم المنتج ومعلومات الإصدار للتطبيقات المُضافة، كتلك المُحمّلة من متجر Microsoft بناءً على المعلومات المتوفرة مع التطبيق. (#4259, #10108)
- عند التبديل بين تفعيل وتعطيل تتبُّع التغييرات عبر لوحة المفاتيح في Microsoft Word؛ سيُعلن NVDA عن حالة الإعداد. (#942)
- سيُعرَضُ رقمُ إصدار NVDA ضمن أول رسالة في عارض سجلّ الأخطاء، حتى إن عُطِّل سجل الأخطاء من واجهة المستخدم. (#9803)
- لم يعد مربع حوار الإعدادات يسمح بتغيير مستوى التقارير، في حال ضبطه عبر سطر الأوامر. (#10209)
- في Microsoft Word، يُعلن NVDA الآن عن حالة العرض للأحرف غير القابلة للطباعة عند الضغط على مفتاح الاختصار Ctrl+Shift+8. (#10241)
- تحديث مترجِم Liblouis braille إلى commit 58d67e63. (#10094)
- عندما يكون خيار قراءة رموز Cldr مُفعّلًا؛ سينطق NVDA رموز Cldr (بما في ذلك الرموز والوجوه التعبيرية Emojis) مع كل مستويات قراءة الرموز. (#8826)
- يتضمّن سجلّ الأخطاء في NVDA الآن الأخطاء والتنبيهات الخاصة بحُزَم الطرف الثالث للغة Python مثل comtypes. (#10393)
- تحديث الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمشروع مستودع لغة بيانات اليونيكود العامة CLDR (Unicode Common Locale Data Repository) إلى الإصدار 36.0. (#10426)
- عند المرور على تجميع في نمط التصفُّح؛ سيُعلن الآن أيضا عن وصفه. (#10095)
- يتضمّن NVDA الآن جسر الوصول إلى Java (Java Access Bridge)؛ لتمكين الوصول إلى تطبيقات Java، بما في ذلك Java VMs 64 Bit. (#7724)
- إذا لم يكُن Java Access Bridge مُفعّلًا للمستخدم؛ سيعمل NVDA على تفعيله تلقائيا مع بدء تشغيل NVDA. (#7952)
- تحديث eSpeak-NG إلى الإصدار 1.51-dev, commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### إصلاحات الأخطاء

- ستحتلُّ الرموز التعبيرية وأحرف Unicode 32 بت الأخرى مساحة أقل على شاشة برايل عندما تظهر كقيم ست عشرية. (#6695)
- سيقرأ NVDA الرسائل الإرشادية الخاصة بتطبيقات متجر Microsoft عندما يكون خيار قراءة الرسائل الإرشادية ضمن إعدادات عرض الكائن مفعّلاً. (#8118)
- في Windows 10 Anniversary وما بعده، سيُقرأ النص المُدخَل في Mintty. (#1348)
- في Windows 10 Windows 10 Anniversary Update والإصدارات الأحدث، لن يقرأ NVDA بعض مخرجات سطر الأوامر القريبة من مؤشّر التحرير كأحرف منفردة. (#513)
- عند التنقُّل في مربّع حوار "الضاغط" في Audacity؛ ستُقرأ عناصر التحكُّم. (#10103)
- لن يعتبر NVDA المسافات كلمات في برامج تحرير Scintilla مثل Notepad ++ في نمط استعراض الكائن. (#8295)
- سيَحُول NVDA دون دخول النظام في وضع السكون أثناء التنقّل عبر النص باستخدام مفاتيح الاختصار على أسطر برايل. (#9175)
- في Windows 10، سيتبعُ مؤشّر برايل تحرير الخلايا في Microsoft Excel وعناصر التحكم النصية الأخرى التي تعتمد أتمتة واجهة المستخدم Uia، بعد أن كان متأخرا. (#9749)
- سيُعلنُ NVDA كما كان سابقا عن الاقترحات في شريط العنوان في Microsoft Edge. (#7554)
- في Internet Explorer، لن يصمت NVDA، عند المرور برؤوس عناوين لعلامات تبويب Html. (#8898)
- في Microsoft Edge المبني على EdgeHTML ، لن يُصدر NVDA بعد الآن صوت اقتراح البحث عند تكبير النافذة. (#9110, #10002)
- دعم صناديق خيارات ARIA 1.1 في Mozilla Firefox و Google Chrome. (#9616)
- لن يعلن NVDA عن محتوى الأعمدة المخفية بصريًا بعناصر القائمة في عناصر تحكم SysListView32. (#8268)
- في النمط الآمن، لم يعُد يُعرَض (بيانات) على أنه مستوى إعداد التقرير الحالي في مربّع حوار الإعدادات. (#10209)
- في إصدار Windows 10 Anniversary والإصدارات الأحدث؛ سيقرأ NVDA تفاصيل نتائج البحث. (#10232) - في نمط التصفُّح، في الحالات التي يؤدي تحريك المؤشِّر أو استخدام مفاتيح الحركة السريعة لتغييرات على المستند؛ لم يعُد NVDA يقرأ محتوى خاطئا في بعض الحالات. (#8831, #10343)
- تصحيحُ بعض أسماء رموز التنقيط (التعداد النقطي) في Microsoft Word. (#10399)
- في تحديث Windows 10 May 2019 والإصدارات الأحدث؛ سيقرأ NVDA الرمز التعبيري الأول، ومحتوى الحافظة، عند فتح لوحة الرموز التعبيرية وسجلّ الحافظة بشكل صحيح. (#9204)
- أصبح عرضُ ترجمات بعض اللغات التي تُقرأ من اليمين لليسار ممكنا في Poedit كما كان سابقا. (#9931)
- في تطبيق الإعدادات على Windows 10 تحديث إبريل 2018 والإصدارات الأحدث، لن يعلن NVDA عن معلومات شريط التقدم لحجم الصوت الموجود في صفحة النظام/الصوت. (#10284)
- لن يتسبّب إدخال تعبير قياسي غير صالح في معاجم النُطق إلى توقُّف نُطق NVDA. (#10334)
- عند قراءة التعداد النقطي في Microsoft Word حال تمكين أتمتة واجهة المستخدم UIA، لم يعد الرمز النقطي لعنصر القائمة التالي يُقرأ بشكل خاطئ. (#9613)
- حلُّ بعض المشاكل والأخطاء النادرة المتعلقة بترجمة برايل مع برايل liblouis. (#9982)
- يمكنُ الآن الوصول لتطبيقات Java المفتوحة قبل بدء عمل NVDA دون الحاجة لإعادة تشغيلها. (#10296)
- عندما يكون العنصرُ المحدّد في Mozilla Firefox؛ مُعلَّمًا على أنه حالي (aria-current),؛ لن يُنطَق هذا التغيير مرات متعددة.
- سيتعامل NVDA الآن مع بعض أحرف unicode المركبة مثل e-acute على أنها حرف واحد عند التنقُّل عبر النص. (#10550)
- دعم الإصدار الرابع من Spring Tool Suite. (#10001)
- عدم نُطقُ الاسم مرتين، عندما يكون العنصر الذي يستخدم خاصية aria-labelledby مرتبطًا بعنصر داخل نفس الصفحة. (#10552)
- عند تغيير جهاز إخراج الصوت، ستصدرُ النغماتُ الخاصة ب NVDA عبر هذا مخرج الصوت المختار حديثا. (#2167)
- في Mozilla Firefox، أصبح تحريك مؤشّر النظام أسرع في نمط التصفُّح. هذا يجعل نقل المؤشّر في نمط التصفح يستجيب بشكل أفضل في كثير من الحالات. (#10584)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية.

## 2019.2.1

هذا تحديثٌ ثانوي لإصلاح عدد من الأخطاء التي اكتُشفت في الإصدار 2019.2. تشملُ هذه الإصلاحات:

- معالجة عدّة أخطاء في Gmail ظهرت في كلٍ من Firefox و Chrome عند التفاعُل مع بعض القوائم المنبثقة، كتلك الخاصة بإنشاء عوامل تصفية أو عند تغيير إعدادات معينة في Gmail. (#10175, #9402, #8924)
- في Windows 7، لن يتسبّب NVDA في انهيار مستكشف Windows (Windows Explorer) عند استخدام الفأرة في قائمة ابدأ. (#9435)
- في Windows 7، لن ينهار مستكشف الملفات Windows explorer عند الوصول لحقول البيانات الوصفية. (#5337)
- لم يعُد NVDA يتعطّل في Mozilla Firefox أو Google Chrome عند التفاعُل مع صور ذات معرّف موارد موحّد (UrI) بترميز Base64. (#10227)

## 2019.2

أبرزُ ما في هذا الإصدار: الاكتشاف التلقائي لعارضات برايل الإلكترونية من Freedom Scientific، إعداد قيد التجربة ضمن شاشة الإعدادات المتقدمة إيقاف الانتقال التلقائي لمؤشر النظام أثناء الحركة في نمط التصفُّح (والذي قد يوفّر تحسينا في الأداء)، خيارٌ لمعدّل سرعة إضافي لآلة النُطق OneCore من Windows لتحصيل معدّل سرعة مرتفع جدا، إضافةً لحل العديد من الأخطاء.

### المستجدات

- دعم NVDA للعمل مع الإصدارات الأحدث من Miranda NG. (#9053)
- يمكنك الآن تعطيل نمط التصفُّح افتراضيا عبر تعطيل الخيار الجديد "تمكين نمط التصفُّح عند تحميل الصفحة" ضمن إعدادات نمط التصفُّح الخاصة ب NVDA.
  - لاحِظْ أنه في حال كان هذا الخيار مُعطَّلًا، سيظلُّ بإمكانك تفعيل نمط التصفُّح يدويا بالضغط على NVDA+مسافة.
- يمكنك الآن تصفيةُ وترشيح الرموز في مربّع حوار نُطق الرموز وعلامات الترقيم بذات طريقة عمل التصفية في قائمة العناصر ومربّع حوار تخصيص الاختصارات. (#5761)
- أُضيف أمرٌ لتغيير مقدار الوحدة النصية (مقدار النص الذي سيُنطَق عندما تتحرّك الفأرة)، غير أنه لم يُعيَّن له مفتاح اختصار افتراضي. (#9056)
- يوجد الآن خيارٌ لمعدّل سرعة إضافي خاص بآلة النُطق windows OneCore والذي يُتيح نُطقًا أسرع كثيرا. (#7498)
- يمكنُ ضبط خيار معدّل السرعة الإضافي من خلال دائرة إعدادات آلة النُطق لآلات النُطق المدعومة (حاليا eSpeak-NG و Windows OneCore). (#8934)
- يمكن الآن تفعيل أوضاع الضبط يدويا بواسطة الاختصارات. (#4209)
  - ينبغي ضبطُ الاختصار عبر مربّع حوار تخصيص اختصارات NVDA.
- في برنامج Eclipse أُضيف دعمٌ للإكمال التلقائي في محرر التعليمات البرمجية. (#5667)
  - إضافةً لذلك، يمكن قراءة معلومات Javadoc عند عرضها من المحرِّر باستخدام الاختصار NVDA+d.
- إضافةُ خيار تجريبي لشاشة إعدادات نمط التصفُّح يُتيح لك إيقاف متابعة مؤشّر النظام لمؤشّر نمط التصفُّح (نقل مؤشّر النظام تلقائيا للعناصر القابلة لذلك). (#2039) وعلى الرغم من أن إيقاف هذا الخيار قد لا يكون مناسبا مع كل المواقع؛ إلا أن ذلك قد يُصلِح:
  - إبطال NVDA بشكل متقطّع لمفتاح نمط التصفُّح الذي ضُغِطَ أخيرا، والقفز للموضع السابق.
  - استحواذ مربّعات التحرير في بعض المواقع على مؤشّر النظام أثناء التنقّل عبرها باستخدام السهم لأسفل.
  - الاستجابة البطيئة من قِبَل مفاتيح نمط التصفُّح.
- يمكن الآن تغيير إعدادات معرِّف سطر برايل الإلكتروني لأسطر برايل الداعمة لذلك، عبر تصنيف الخط البارز Braille ضمن مربّع حوار إعدادات NVDA. (#7452)
- الآن أسطر برايل الإلكترونية من Freedom Scientific مدعومة من قِبل خاصية الاكتشاف الاكتشاف التلقائي لأسطر برايل الإلكترونية. (#7727)
- إضافةُ أمر لعرض الكلمة البديلة للرمز الواقع تحت مؤشِّر الاستعراض. (#9286)
- إضافة خيار اختباري لشاشة الإعدادات المتقدّمة، يُتيح لك تجربة العمل الجاري حديثا لإعادة برمجة NVDA لدعم وحدات توجيه وتفسير الأوامر الخاصة بويندوز (Windows Console) باستخدام واجهة برمجة تطبيقات Microsoft UI Automation. (#9614)
- في بوابة لغة Python، يدعم حقلُ الإدخال الآن لصق أسطر متعددة من الحافظة. (#9776)

### التغييرات

- سيزداد مستوى ارتفاع الصوت وينقص بمعدل خمس قيم بدلا من عشر، عند استخدام دائرة إعدادات النُطق. (#6754)
- تدقيق النص الذي يظهر ضمن مدير الإضافات البرمجية عند تشغيل NVDA باستخدام الخيار --disable-addons. . (#9473)
- تحديث الأوصاف التوضيحية للرموز والوجوه التعبيرية Emoji بمشروع مستودع لغة بيانات اليونيكود العامة CLDR (Unicode Common Locale Data Repository) إلى الإصدار 35.0. (#9445)
- تغيير المفتاح الساخن لحقل التصفية في قائمة العناصر بنمط التصفُّح إلى alt+y. (#8728)
- عندما يكون هناك سطر برايل إلكتروني اكتُشِف تلقائيا، متصلا عبر Bluetooth؛ سيستمر NVDA في البحث عن أسطر برايل المتصلة عبر USB المدعومة من ذات المعرِّف، والتبديل للاتصال عبر USB عندما يكون متاحا. (#8853)
- تحديث آلة النُطق eSpeak-NG إلى الإصدار 67324cc.
- تحديث مترجم برايل liblouis إلى الإصدار 3.10.0. (#9439, #9678)
- سيُعلن NVDA الآن كلمة (محدد) بعد قراءة النص الذي حدده المستخدم. (#9028)
- في Microsoft Visual Studio Code، سيكون NVDA في نمط التصفُّح افتراضيا. (#9828)

### الإصلاحات

- لم يعُد NVDA ينهار عند وجود مجلّد إضافة برمجية فارغ. (#7686)
- لن يُعلَن عن العلامات التي تُشير لاتجاه الكتابة من اليسار لليمين أو من اليمين لليسار على سطر برايل، أو مع كل حرف يُنطَق في نافذة الخصائص. (#8361)
- عند القفز لحقول الاستمارات باستخدام التنقّل السريع في نمط التصفُّح، سيُُنطَق حقل الاستمارة كاملا بدلا من نُطق الاقتصار على لسطر الأول منه. (#9388)
- لن يتوقّف NVDA عن النُطق بعد إغلاق تطبيق البريد الخاص ب Windows 10. (#9341)
- لن يتعثّر NVDA عند تشغيله في حال كانت الإعدادات الإقليمية للمستخدم مضبوطة على لغة غير معروفة لدى NVDA مثل الإنجليزية (هولندا). (#8726)
- عندما يكون نمطُ التصفُّح مفعّلًا في Microsoft Excel، في حال انتقالك لمتصفّح يعمل فيه النمط التفاعلي، أو العكس، سيُعلن NVDA الآن عن حالة نمط التصفُّح بشكل مناسب. (#8846)
- سيُعلن NVDA الآن بشكل صحيح عن السطر الواقع تحت مؤشّر الفأرة في Notepad++ وبرامج التحرير الأخرى المستندة على Scintilla. (#5450)
- في محرِّر مستندات Google وغيره من برامج التحرير على الشبكة، لم تعُد تظهر "lst end" على البرايل في بعض الأحيان بشكل غير صحيح وسط قبل المؤشِّر عندما يكون في منتصف عنصر قائمة. (#9477)
- في تحديث Windows 10 مايو 2019، لم يعُد NVDA ينطق إشعارات كثيرة عند تغيير مستوى الصوت بواسطة الأزرار، عندما يكون مؤشِّر النظام في متصفّح الملفات File Explorer. (#9466)
- أصبح فتح مربّع حوار نُطق الرموز وعلامات الترقيم أسرع كثيرا عند استخدام قاموس رموز يحوي ما يربو عن ألف من المدخلات. (#8790)
- في عناصر تحكُّم Scintilla مثل Notepad++، سيتمكن NVDA الآن من قراءة السطر الصحيح عندما يكون التفاف النص مفعَّلًا. (#9424)
- في Microsoft Excel، سيُعلَنُ عن موقع الخلية بعد الإعلان عن محتواها وِفقا للاختصارين shift+enter أو shift+مفتاح enter الموجود على اللوحة الرقمية. (#9499)
- في Visual Studio 2017 وما بعده، في نافذة متصفّح الكائنات Objects Explorer، سيُقرأ العنصر المحدّد في شجرة الكائنات أو شجرة الأعضاء مع التصنيفات بشكل صحيح. (#9311)
- لم تعُدِ الإضافات البرمجية ذات الأسماء التي تختلف فقط في الأحرف الكبيرة واصغيرة تُعامَل على أنها إضافات منفصلة. (#9334)
- لم يعُد معدّل سرعة أصوات Windows OneCore المضبوط في NVDA يتأثّر بالمعدّل المضبوط في إعدادات النُطق الخاصة ب Windows. (#7498)
- يمكن الآن فتح سجّل التقارير بمفتاح الاختصار NVDA+F1 عندما لا تكون هناك معلومات تطوير للكائن الحالي في نمط استعراض الكائنات. (#8613)
- يمكن الآن العودة لاستخدام أوامر التنقّل عبر الجدول الخاصة ب NVDA في مستندات Google، في Firefox و Chrome. (#9494)
- ستعمل الآن مفاتيح bumper في عارضات برايل Freedom Scientific بشكل صحيح. (#8849)
- عند قراءة الحرف الأول من مستند في Notepad++ 7.7 X64، لن يتجمّد NVDA مدةً قد تبلغ عشر ثوانٍ. (#9609)
- يمكن الآن استخدام HTCom في ربط أسطر برايل من Handy Tech مع NVDA. (#9691)
- في Mozilla Firefox، لن يُعلَن عن التحديثات الخاصة بمنطقة حية إذا كانت المنطقة الحية موجودة في علامة تبويب خلفية. (# 1318)
- لن يُخفق مربّع الحوار الخاص بالبحث في نمط التصفُّح الخاص ب NVDA في العمل، في حال كان مربّع حوار (حول NVDA) مفتوحا في الخلفية. (#8566)

### تعديلاتٌ للمطورين

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنها لم تَرِدْ في النسخة العربية حيث أن المستخدم لن يستفيد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية.

## 2019.1.1

يتضمّنُ هذا الإصدار الفرعي إصلاحا للأخطاء الآتية:

- تسبب NVDA في انهيار برنامج Excel 2007 أو رفض الإعلان عن الخلايا في حال تضمنها لمعادلات رياضية. (#9431)
- لن ينهار Google Chrome عند التفاعل مع بعض صناديق القوائم. (#9364)
- إصلاح مشكلة كانت تُعيق نسخ إعدادات المستخدم إلى ملف إعدادات النظام. (#9448)
- في Microsoft Excel ، سيعاود NVDA استخدام الرسالة المُترجَمة عند الإبلاغ عن موقع الخلايا المدمجة. (#9471)

## 2019.1

أبرزُ ما في هذا الإصدار من مستجدّات يتمثل في: تحسينات في الأداء مع كلٍّ من Microsoft Word و Excel, تحسيناتٌ تتعلق بالستقرار والأمان مثل: دعم معلومات توافقية الإضافات البرمجية، إضافةً لإصلاح العديد من الأخطاء.

يُرجى ملاحظة أنه ابتداءً من هذا الإصدار من NVDA؛ لن تُحمَّل تلقائيا وحدات التطبيق المخصصة appModules، والملحقات الأساسية globalPlugins، وتعؤيفات شاشات برايل braille display drivers من مجلّد مستخدم NVDA الخاص بك، حيث ستعتبَر كجزء من الإضافات. بالنسبة لأولئك الذين يطورون إضافات برمجية، يمكن حفظ الكود البرمجي للاختبار في دليل جديد ضمن مجلد إعدادات مستخدم NVDA باسم ScratchPad، إذا كان خيار إتاحة مسودة المطوّر مفعّلًا ضمن فئة الإعدادات المتقدمة الجديد. هذه التغييرات ضرورية لضمان توافق التعليمات البرمجية المخصصة بشكل أفضل ، حتى لا يتوقّف NVDA عن العمل إذا حدث ولم يتوافق الكود البرمجي مع الإصدارات الأحدث ولمعرفة مزيد من التفاصيل حول هذا، ؛ يُرجى مراجعةُ قائمة التغييرات أدناه.

### المستجدات

- جداول برايل جديدة: أفريكاني بدون اختصارات، عربي ذو ثمان نقاط (برايل الحاسبو)، عربي باختصارات، إسباني باختصارات. (#4435, #9186)
- إضافةُ خيار ضمن إعدادات الفأرة في NVDA، لإتاحة تعامل NVDA مع الحالات التي تكون فيها الفأرة خاضعة للتحكم من قِبَل تطبيق آخر. (#8452)
  - سيُتيح هذا ل NVDA تتبُّع مؤشر الفأرة عند التحكم في النظام عن بُعد باستخدام برنامج TeamViewer أو أي برنامج آخر للتحكم عن بعد.
- أُضيف المعامِل `--enable-start-on-logon` لسطر الأوامر للسماح بضبط تفعيل أو تعطيل خاصية تشغيل NVDA تلقائيا عند تسجيل الدخول إلى Windows في حال التثبيت الصامت ل NVDA. يجب تخصيص المعامِل بالقيمة true لإتاحة تشغيل NVDA عند تسجيل الدخول، والقيمة false لعدم تشغيله. في حال عدم تخصيص المعامِل --enable-start-on-logon؛ سيبدأ NVDA العمل افتراضيا عند تسجيل الدخول، إلا لو كان NVDA قد ثُبّتَ سابقا وعُطّل فيه هذا الخيار. (#8574)
- يمكنُ الآن تعطيل خاصية سجلّ الأخطاء البرمجية، وذلك بضبط خيار مستوى إعداد التقرير إلى معطّل ضمن تصنيف الإعدادات العامة من إعدادات NVDA. (#8516)
- الإعلان عن وجود صيغ معادلات رياضية في جداو البيانات في LibreOffice و Apache OpenOffice. (#860)
- يعلن NVDA الآن عن العنصر المحدد في صناديق القوائم وفي العناصر الشجرية في Mozilla Firefox و Google Chrome في نمط الاستعراض.
  - ستعمل هذه الخاصية مع FireFox 66 وما بعده. إعدادات نمط التصفُّح.
  - لن تعمل الخاصية مع صناديق قوائم معينة (عناصر تحكم تحديد HTML) في Chrome.
- دعمٌ مبكّر لتطبيقات مثل Mozilla Firefox على الحواسيب ذات المعالج (ARM64 (على سبيل المثال: Qualcomm Snapdragon). (#9216)
- إضافةُ تصنيف (متقدم) للإعدادات، والذي تضمُّ خيارا لتجربة دعم NVDA الجديد لـ Microsoft Word عبر واجهة برمجة تطبيقات Microsoft UI Automation API. (#9200)
- دعم عرض الواجهة الرسوميي في نافذة إدارة أقراص ويندوز (Windows Disk Management). (#1486)
- دعم إضافي لعارضات Handy Tech Connect Braille و Basic Braille 84. (#9249)

### التغييرات

- ترقية مترجم برايل LibLouis إلى الإصدار 3.8.0. (#9013)
- يمكن لمبرمج الإضافة البرمجية الآن فرض الحد الأدنى المطلوب من إصدار NVDA لإضافته. سيرفض NVDA تثبيت أو تحميل الإضافة التي يكون إصدار NVDA الأدنى المطلوب فيها أعلى من إصدار NVDA الحالي. (#6275)
- يستطيع مبرمج الإضافة البرمجية الآن تحديد الإصدار الأخير من NVDA الذي اختُبِرَت الإضافة معه. إذا اختُبرت الإضافة فقط مع إصدار NVDA أقل من الإصدار الحالي؛ فسوف يرفض NVDA تثبيت الإضافة أو تحميلها. (#6275)
- سيسمح هذا الإصدار من NVDA بتثبيت وتحميل الإضافات التي لا تحتوي حتى الآن على معلومات حول إصدار NVDA الأدنى والأخير الذي اختُبِر معها، ولكن الترقية إلى الإصدارات القادمة من NVDA (على سبيل المثال 2019.2) قد تتسبب تلقائيًا في تعطيل هذه الإضافات القديمة.
- يتوفر الأمر نقل مؤشر الفأرة إلى موضع مؤشر NVDA في Microsoft Word وكذلك لعناصر تحكم UIA، وخاصة Microsoft Edge. (#7916, #8371)
- تحسينُ قراءة النص الواقع أسفل مؤشر الفأرة في Microsoft Edge وتطبيقات UIA الأخرى. (#8370)
- عند تشغيل NVDA عبر سطر الأوامر باستخدام المعامِل `--portable-path`؛ فإنّ المسار المدخَل سوف يُستخدم تلقائيا عند إنشاء نسخة محمولة عبر قائمة NVDA. (#8623)
- تحديث مسار جدول برايل النرويجي لعكس القياسي المستخدم منذ عام 2015. (#9170)
- عند التنقل وفقًا للفقرة (Control + سهم لأعلى أو لأسفل) أو التنقل عبر خلايا جدول (Control +Alt+الأسهم) ، لن يعلن NVDA عن وجود أخطاء إملائية، حتى إذا ضُبِط NVDA للإعلان عنها تلقائيًا. وذلك لأن الفقرات وخلايا الجدول يمكن أن تكون كبيرة جدًا، وقد يكون اكتشاف الأخطاء الإملائية في بعض التطبيقات مُجهِدًا. (#9217)
- لن يعمل NVDA تلقائيا على تحميل وحدات التطبيق المخصصة appModules، والملحقات الأساسية globalPlugins، وتعؤيفات شاشات برايل braille display drivers ، من مجلد إعدادات NVDA, حيث يجب أن تُحزم هذه الأكواد كالإضافة البرمجية مع معلومات الإصدار الصحيحة؛ لضمان عدم تشغيل أكواد غير متوافقة مع الإصدارات الحالية من NVDA. (#9238)
  - للمطورين الذين يحتاجون لاختبار الكود البرمجي أثناء تطويره؛ يمكن تفعيل مجلد ScratchPad من تصنيف (متقدم) ضمن إعدادات NVDA، ومن ثم وضع الكود المراد اختباره في مجلد ScratchPad الذي سيوجد في مجلد إعدادات المستخدم إذا كان هذا الخيار مفعّلًا.

### الإصلاحات

- عند استخدام آلة النطق المدمجة في Windows 10 OneCore; في إصدار أكتوبر 2018 من Windows 10 وما بعده؛ لم تعُد تحدث فواصل صمت طويلة أثناء النُطق. (#8985)
- عند التحرك حرفا حرفا في منطقة تحرير (مثل المفكرة NotePad) أو في نمط الاستعراض، في حال وجود وجه أو رمز تعبيري 32 بت ذو نقطتين بترميز UTF-16 (مثل: 🤦)؛ فإنه سيُقرأ بشكل صحيح. (#8782)
- تحسين مربع حوار تأكيد إعادة التشغيل بعد تغيير لغة واجهة NVDA. حيث أصبح النص وتسميات الأزرار الآن أكثر إيجازًا وأقل تشويشًا. (#6416)
- إذا حدث فشلٌ في تحميل آلة النطق خارجية؛ سوف يعمل NVDA على استخدام آلة OneCore المدمجة في Windows 10 عوضا عن استخدام آلة Espeak. (#9025)
- اختفاء عنصر "مربع حوار الترحيب" من قائمة NVDA أثناء ظهور الشاشات الآمنة. (#8520)
- عند التنقّل بمفتاح Tab أو باستخدام مفاتيح التنقل السريعة في نمط الاستعراض؛ سيُعلن NVDA عن عناوين التبويبات بشكل أفضل وأكثر اتساقا. (#709)
- سيعلن NVDA عن الاختيار عند التغيير إليه ضمن قائمة تحديد الوقت كما في تطبيق المنبه والساعة في Windows 10. (#5231)
- في مركز الإشعارات الخاص بـWindows 10 ، سيعلن NVDA عن رسائل الحالة عند تبديل الإجراءات السريعة مثل السطوع ومساعد التركيز. (#8954)
- في مركز الإجراءات ل Windows 10 إصدار 2018 والإصدارات الأقدم، سوف يتعرف NVDA على عنصر التحكم الخاص بالإجراء السريع الخاص بالسطوع كزر بدلاً من زر تبديل. (#8845)
- سيعود NVDA لمتابعة المؤشر والإعلان عن الأحرف المحذوفة في مربع تحرير البحث والذهاب إلى في Microsoft Excel. (#9042)
- إصلاح مشكلة الانهيار نادرة الحدوث في نمط الاستعراض بمتصفح FireFox. (#9152)
- لن يخفق NVDA في الإعلان عن موضع مؤشر النظام في بعض عناصر التحكم الموجودة في علامات التبويب في برامج Microsoft Office عندما تكون علامة التبويب مطوية.
- لن يخفق NVDA في الإعلان عن جهة الاتصال المقترحة عند إدخال عناوين ضمن رسالة بريد إلكتروني جديدة في Outlook 2016. (#8502)
- لن تؤدي مفاتيح توجيه المؤشر التي في آخر سطر eurobraille على وضع المؤشر عند بداية سطر برايل أو بعده بقليل. (#9160)
- إصلاح التنقل عبر جدول الرسائل في Thunder Bird في طريقة عرض السلاسل. (#8396)
- في Mozilla Firefox و Google Chrome؛ سيعمل التبديل إلى النمط التفاعلي الآن بشكل صحيح مع صناديق القوائم والعناصر الشجرية (عندما تكون عناصر تلك القوائم والأشكال الشجرية قابلةً للتفاعُل). (#3573, #9157)
- سيُفعّل الآن نمط الاستعراض بشكل صحيح افتراضيا عند قراءة الرسائل في Outlook 2016/365 إذا استخدام ميزة دعم NVDA أتمتة واجهة المستخدم (UI Automation) لمستندات Word.
- أصبح تجمُّدNvdA بطريقة يتعذرُ معها عمله ويتوجب تسجيل الخروج ومعاودة الدخول إلى Windows لتشغيله أقل. (#6291)
- في إصدار Windows 10 أكتوبر 2018 والإصدارات الأحدث، عند فتح سجل الذاكرة السحابية عند كون الحافظة فارغة، سيعلن NVDA عن حالة الذاكرة. (#9103)
- في Windows 10 إصدار أكتوبر 2018 والإصدارات الأحدث؛ عند البحث عن الرموز والوجوه التعبيرية في لوحة الرموز والوجوه التعبيرية (Emoji)، سيعلن NVDA عن نتائج البحث. (#9105)
- لن يتجمّد NVDA في النافذة الرئيسة في Oracle VirtualBox الإصدار 5.2 وما بعده. (#9202)
- تحسين استجابة NVDA في Microsoft Word بشكل ملحوظ عند التنقل سطرا أو فقرة أو خلية جدول في بعض المستندات. للحصول على أفضل أداء، اضبط Microsoft Word على عرض المسودة باستخدام alt + w ، e بعد فتح مستند. (#9217)
- في Mozilla Firefox و Google Chrome؛ لن يعلن NVDA عن التنبيهات الفارغة. (#5657)
- تحسين كبير في الأداء عند التنقل عبر الخلايا في Microsoft Excel، لا سيما عند وجود تعليقات أو قوائم منسدلة. (#7348)
- لم يعُدْ ضروريا تعطيل خيار التحرير داخل الخلية في خيارات Microsoft Excel لتحرير الخلية باستخدام NVDA في Excel 2016/365. (#8146).
- إصلاح تجمُّد NVDA أحيانا عند التنقّل السريع عبر العلامات الدلالية في حال كانت Enhanced Aria قيد الاستخدام. (#8980)

يضمُّ ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية.

## 2018.4.1

### تعديلاتٌ للمطورين

تم إطلاق هذا الإصدار لمعالجة خطأ كان يحدث عند بداية تشغيل NVDA عند تحديد اللغة الأرجانيزية كي تكون لغة واجهة البرنامج.

## 2018.4

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها: تحسين في أداء الإصدارات الأخيرة من تطبيق Mozilla Firefox, الإعلان عن رموز المشاعر مع كل آلات النطق, الإعلان عن حالة الرسالة ما إذا كانت تم الرد عليها أو معاد توجيهها بتطبيق outlook, الإعلان عن مسافة المؤشر من حافة صفحة الوورد, والعديد من الإصلاحات البرمجية.

### المستجدات

- جداول برايل جديدة: صيني (الصين ماندرين) باختصارات وبدون اختصارات. (#5553) - الإعلان عن حالة الرسالة المردود عليها والمعاد توجيهها بقائمة الرسائل ب microsoft outlook. (#6911)
- أصبح NVDA الآن قادر على قراءة وصف رموز المشاعر وكذلك الأحرف الأخرى التي تعد جزء من مستودع بيانات التشفير المحلي الشائع. (#6523)
- يمكن الآن قراءة مسافة المؤشر من الحافة العليا واليسرى للصفحة بالضغط على NVDA+numpadDelete ب microsoft word. (#1939)
- لم يعد يعلن NVDA "مظلل" عند الحركة على كل خلية بأوراق عمل Google عند تفعيل البرايل. (#8879)
- دعم تطبيقات Foxit Reader و Foxit Phantom PDF (#8944)
- دعم أداء قاعدة البيانات DBeaver. (#8905)

### التعديلات

- إعادة تسمية مربع تحديد الإعلان عن الرسائل الإرشادية إلى "الإعلان عن الإشعارات" بمحاورة إعدادات عرض الكائن ليشمل الإعلان عن الإعلانات المنبثقة بوندوز 8 وما بعده. (#5789)
- عرض مربعات تحديد المفاتيح المصاحبة ل NVDA في قائمة سردية بدلا من عرضها في شكل مربعات تحديد منفصلة.
- لم يعد يعرض NVDA معلومات متكررة عند قراءة ساعة صينية النظام في بعض نسخ الويندوز. (#4364)
- تحديث مترجم لبلويس برايل للإصدار 3.7.0. (#8697)
- تحديث آلة النطق مفتوحة المصدر eSpeak-NG للإصدار 919f3240cbb.

### الإصلاحات

- في outlook2016/365, سيتم عرض حالة ما إذا كانت الرسالة مشار إليها وفئتها. (#8603)
- عند ضبط NVDA للغات كالكردية والمنغولية والمقدونية فإنه لم تعد تظهر محاورة عند بداية التشغيل تحذر من عدم دعم نظام التشغيل للغة. (#8064)
- عند تحريك مؤشر الفأرة لمؤشر NVDA أصبح مؤشر الفأرة يتحرك لمكان نمط التصفح ب Mozilla Firefox و Google Chrome و Acrobat Reader DC بشكل أكثر دقة. (#6460)
- تحسين التفاعل مع صناديق الخيارات على الوب في Firefox, و Chrome و Internet Explorer. (#8664)
- عند تشغيل NVDA على النسخة اليابانية من ويندوز XP أو Vista, فسيتم عرض التنبيه الخاص بمتطلبات إصدار نظام التشغيل كما هو متوقع. (#8771)
- تحسين أداء Mozilla Firefox عند الحركة على صفحات كبيرة ذات محتوى متغير كثير. (#8678)
- لم تعد تظهر خصائص الخط على البرايل عند تعطيلها بإعدادات تنسيق المستندات (#7615)
- لم يعد يفشل NVDA في تتبع مؤشر النظام في مستكشف الملفات والتطبيقات الأخرى باستخدام UI atomation عندما يكون تطبيق آخر مشغول (مثل تطبيق batch processing audio). (#7345)
- سيمر مفتاح Escape عبر القائمة ولم يعد يغلق النمط التفاعلي عن غير قصد وذلك في القوائم المصممة باستخدام أكواد ARIA. (#3215)
- في البريد الإلكتروني Gmail بنسخته الجديدة, عند استخدام أحرف الحركة السريعة داخل رسائل أثناء قراءتها, لم يعد يقوم NVDA بقراءة كل الرسالة بعد قراءة العنصر الذي قفزت إليه. (#8887)
- بعد تحديث NVDA, ينبغي أن لا تتوقف المتصفحات ك firefox و google chrome, كما ينبغي أن يستمر نمط التصفح في عرض أي مستجدات تحدث للمستند الجاري تحمله. (#7641)
- لم يعد يعلن NVDA عن أن العنصر يمكن النقر عليه عدة مرات عندما يكون هذا العنصر موجود بصف أثناء الحركة على محتوى قابل للنقر عليه بنمط التصفح. (#7430)
- لم تعد تفشل الاختصارات التي تجرى على الأسطر الإلكترونية من طراز baum Vario 40 في تنفيذ المهام المناطة بها. (#8894)
- لم يعد يقرأ NVDA النص المظلل لكل كائن ينشط بشرائح google بمتصفح mozilla firefox. (#8964)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2018.3.2

إُلِق هذا الإصدار للعمل على التوقف الذي يحدث عند الحركة على التغريدات بموقع www.twitter.com. بتطبيق Google Chrome. (#8777)=

## 2018.3.1

تم إطلاق هذا الإصدار لإصلاح خطأ برمجي في NVDA تسبب في حدوث توقف بنسخ 32 بايت من موزيلا فايرفوكس. (#8759)

## 2018.3

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها التعرف الآلي على العديد من الأسطر الإلكترونية, دعم ميزات ويندوز 10 الجديدة والتي من بينها لوحة إدخال الأشكال بونيدوز 10و معالجة العديد من الأخطاء.

### المستجدات

- سيعلن NVDA عن الأخطاء النحوية إذا عرضت بشكل صحيح على صفحات الإنترنت بتطبيق Mozilla Firefox و google chrome. (#8280)
- سيعلن NVDA عما إذا كان المحتوى محذوف أو مدرج بصفحات الوب بتطبيق Google Chrome. (#8558)
- دعم عجلة التمرير بكل من الأسطر الإلكترونية BrailleNote QT و Apex BT's عند استخدام BrailleNote كسطر إلكتروني مع nvda. (#6316)
- إضافة اختصارات للإعلان عن الوقت المنقضي والوقت الإجمالي للمسار المشغل في تطبيق Foobar2000. (#6596)
- أصبح رمز أمر مفتاح ماك ينطق عند قراءة نص بأي آلة نطق. (#8366)
- دعم القواعد المخصصة عبر خاصية aria-roledescription ب firefox. Chrome و Internet Explorer.
- جداول ترجمة برايل جديدة: تشيكي 8 نقاط, كردي رئيسي, مجري, وسويدي حاسوب برايل 8 نقاط. (#8226, #8437)
- دعم التعرف على الأسطر الإلكترونية في الخلفية. (#1271)
  - وسيتم التعرف على كل من الاسطر الإلكترونية من طراز ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, Handy Tech, Hims, SuperBraille و HumanWare BrailleNote و Brailliant BI/B.
  - ويمكن تفعيل هذه الخاصية من خلال اختيار "آلي" من قائمة الأسطر الإلكترونية بمحاورة إعدادات الخط البارز.
  - يرجى الرجوع لدليل المستخدم للاطلاع على المزيد.
- دعم العديد من الميزات الحديثة الموجودة بالإصدارات الأخيرة من ويندوز 10 ومن تلك الميزات لوحة الأشكال (تحديث المبدعين الكامل) والإملاء (تحديث المبدعين الكامل) ومقترحات إدخال لوحة المفاتيح (تحديث إبريل 2018) وحافظة اللصق السحابية (تحديث أكتوبر 2018). (#7273)
- دعم المحتوى الذي يعرفه المصمم بأنه مقتبس باستخدام خاصية ARIA (role blockquote) بتطبيق موزيلا فاير فوكس 63. (#8577)

### التعديلات

- عرض قائمة اللغات بمحاورة الإعدادات العامة بناء على أسماء اللغات بدلا من عرضها بناء على تشفير ISO 639. (#7284)
- إضافة اختصارات افتراضية ل alt shift tab و windows tab لكل الأسطر الإلكترونية المدعومة من طراز Freedom Scientific. (#7387)
- أصبح من الممكن تعيين مختلف الوظائف للوحة اليمين واليسار الذكية الرقمية سواء بالأصبع أو باللمس وذلك مع الأسطر الإلكترونية ALVA BC680 و protocol converter. (#8230)
- سيعلن مفتاح الاختصار sp2+sp3 عن الوقت والتاريخ بينما سيحاكي مفتاح الاختصار sp1+sp2 مفتاح الويندوز وذلك بالأسطر الإلكترونية ALVA BC6. (#8230)
- سيتم سؤال المستخدم عند بداياة تشغيل البرنامج عما إذا كان موافق على إرسال إحصائيات استخدام NVDA لمنظمة NV Access عند البحث عن التحديثات الآلية. (#8217)
- عند البحث عن التحديثات إذا وافق المستخدم على إرسال إحصائيات الاستخدام لمنظمة NV Access,, فإن NVDA سيرسل اسم آلة النطق والسطر الإلكتروني المستخدم للمساعدة في العمل على دعم هذه المحركات بشكل أفضل في المستقبل. (#8217)
- ترقية مترجم لبلويس برايل للإصدار 3.6.0. (#8365)
- تحديث المسار الصحيح للجدول البرايل الروسي 8 نقاط. (#8446)
- ترقية آلة النطق eSpeak-ng للإصدار 1.49.3dev commit 910f4c2 (#8561)

### الإصلاحات

- أصبحت أسماء الكائنات المتوافقة مع قارئات الشاشة تقرأ بشكل دقيق في نمط التصفح عند عدم ظهور اسم الكائن كمحتوى في google chrome. (#4773)
- أصبحت الإشعارات مدعومة في تطبيق زوم ومن بينها حالة كتم الصوت والرسائل الواردة. (#7754)
- لم يعد يتسبب نقل سياق عرض البرايل عند وجودك في نمط التصفح في توقف متابعة مؤشر نمط التصفح. (#7741)
- لم تعد تفشل الأسطر الإلكترونية ALVA BC680 في البدء. (#8106)
- لم تعد تنفذ الأسطر الإلكترونية ALVA BC6 بشكل افتراضي مفاتيح تحاكي لوحة مفاتيح النظام عند ضغط مفاتيح الاختصار التي تتضمن sp2+sp3 لتشغيل وظيفة داخلية. (#8230)
- سيحاكي المفتاح sp2 عند ضغطه على السطر الإلكتروني ALVA BC6 مفتاح ال alt كما هو مشار إليه. (#8360)
- لم يعد يكرر NVDA الإعلان عن نمط لوحة المفاتيح. #8419)
- أصبح تتبع مسار الفأرة أكثر دقة في note pad وتطبيقات تحرير النصوص البسيطة الأخرى عندما تكون موجود بمستند أكثر من 65535 حرف. (#8397)
- سيتعرف NVDA الآن على مزيد من المحاورات بويندوز 10 والتطبيقات الحديثة الأخرى. (#8405)
- لم يعد يفشل NVDA في تتبع مؤشر النظام بويندوز 10 تحديث أكتوبر 2018 والخوادم 2019 وما يليه عندم يتوقف تطبيق عن العمل أو يملء النظام. (#7345, #8535)بالأحداث
- سيخبر المستخدم عند قراءته أو نسخه لشريط حالة فارغ. (#7789)
- معالجة حالة عدم الإعلان عن أن العنصر محدد إذا تم تحديد العنصر من قبل. (#6946)
- أصبحت اللغة البورمية تعرض بشكل صحيح في ويندوز 7 بقائمة اللغات بمحاورة الإعدادات العامة. (#8544)
- سيعلن NVDA عن الإشعارات بتطبيق Microsoft Edge, مثل إمكانية عرض القراءة وشريط تقدم تحميل الصفحة. (#8423)
- عند الحركة على قائمة سردية على صفحات الوب, فإن NVDA سيعلن عن اسم تلك القائمة إذا كان المصمم قد وضع لها اسم. (#7652)
- عند تعيين اختصارات بشكل يدوي لسطر إلكتروني ما, فإن هذه الاختصارات ستعرض على أنها معينة لهذا السطر. حيث كانت من قبل تعرض على أنها منوطة بالسطر العامل حاليا. (#8108)
- دعم الإصدار 64 بيت من تطبيق Media Player Classic. (#6066)
- العديد من التحسينات للبرايل عند استخدامه مع microsoft word وتفعيل UIE automation:
  - عند كتابة حرف واحد بالمستند فإنه سيظهر على السطر الإلكتروني بدلا من وجود اسم المستند فقط شأنه في ذلك شأن المستند متعدد الأسطر. (#840h6)
  - تقليل الإطناب عند عرض المستند سواء بالنطق أو على البرايل. (#8407)
  - يعمل مؤشر البرايل بشكل صحيح الآن عند وجوده في قائمة سردية بمستند وورد. (#7971) -سيعلن عن التنقيطات والأرقام المدرجة حديثا بمستند وورد بشكل صحيح بالنطق أو على البرايل. (#7970)
- أصبح من الممكن تثبيت الإضافات إذا كانت خاصية "استخدام تشفير UTF-8 الموحد لدعم اللغة العالمية" مفعلة بويندوز 10 1803 وما بعده. (#8599)
- لم يعد يتسبب NVDA في جعل تطبيق iTunes 12.9 والإصدارات الأحدث غير قابلة للتفاعل معها. (#8744)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2018.2

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها دعم الجداول بتطبيق Kindle for PC, دعم الأسطر الإلكترونية من طراز Humanwear BrailleNote Touch و BI14, وتحسين آلات النطق Onecore وسابي5, وتحسينات في microsoft outlook والمزيد.

### المستجدات

- الآن سيعلن عن الخلايا المدمجة للأعمدة والصفوف بخلايا الجدول بالصوت وعلى الخط البارز. (#2642)
- دعم أوامر الحركة داخل الجدول بمستندات Google (عند تفعيل نمط الخط البارز). (#7946)
- إمكانية قراءة محتوى الجدول والحركة بداخله في تطبيق Kindle للحاسوب. (#7977)
- دعم الأسطر الإلكترونية BrailleNote touch و Brailliant BI 14 عبر البلوتوذ وال USB. (#6524)
- يمكن ل NVDA الآن قراءة الإشعارات الصادرة عن تطبيق الآلة الحاسبة ومتجر ويندوز بتحديث المبدعين الكامل بويندوز 10 وما يليه. (#8045)
- جداول ترجمة برايل جديدة: ليثيويني ثماني نقاط, وأوكراني ومنغولي باختصارات. (#7839)
- إضافة أمر للإعلان عن تنسيق خلية برايل معينة. (#7106)
- أصبح من الممكن تأجيل تثبيت تحديث NVDA للوقت الذي يروق لك. (#4263)
- لغات جديدة: منغولي والألمانية السويسرية.
- يمكنك الآن ضغط مفاتيح ال control, alt, windows, shift, ومفتاح NVDA عبر لوحة مفاتيح السطر الإلكتروني والمزج بينها وبين مفاتيح أخرى (على سبيل المثال, control+s). (#7306)
  - كما يمكنك تعيين هذه المفاتيح باستخدام الأوامر الموجودة بمحاكاة لوحة مفاتيح النظام بمحاورة تخصيص اختصارات البرنامج.
  - استرجاع دعم الأسطر الإلكترونية Handy Tech Braillino و Modular (بالإصدار القديم). (#8016)
- دعم مزامنة الوقت والتاريخ بالأسطر الإلكترونية المدعومة كطراز Active Braille و Active Star آليا. (#8016)
- يمكن تعيين اختصار لتعطيل كافة مشغلات الأوضاع مؤقتا. (#4935)

### التعديلات

- تغير عمود الحالة بمدير الإضافات كي يوضح ما إذا كانت الإضافة مفعلة أم معطلة بدلا من كونها تعمل أو لا تعمل. (#7929)
- ترقية مترجم ليبلويس برايل للإصدار 3.5.0. (#7839)
- إعادة تسمية جدول برايل اليثويني للثيويني لرايل 6 نقاط لتجنب الخلط بينه وبين الجدول الجديد ذو الثماني نقاط. (#7839)
- إزالة جداول البرايل الفرنسي الكندي بدون اختصارات وباختصارات وسيستخدم بدلا منهما الجدول الفرنسي الموحد ذو الست نقاط وجدول الاختصارات على التوالي. (#7839)
- ستعلن أزرار تحديد خلية البرايل الثانوية (The secondary routing buttons ) في الأسطر الإلكترونية Alva BC6 و EuroBraille و Papenmeier عن تنسيق النص الواقع تحت الخلية المحددة. (#7106)
- رجوع جداول إدخال البرايل إلى أن تكون بدون اختصارات في الحالات التي لا يمكن فيها الكتابة (بمعنى الكائنات التي ليس بها مؤشر أو في نمط التصفح). (#7306)
- إطناب أقل عند عرض الشهر بتقويم microsoft outlook. (#7949)
- الآن تم وضع كل تفضيلات NVDA في محاورة إعدادات واحدة بقائمة NVDA الرئيسية ->تفضلات->إعدادات, بدلا من بعثرتها بمحاورات متعددة. (#7302)
- أصبح الصوت الافتراضي الذي يعمل به NVDA عند تشغيله على ويندوز 10 هو oneCore بدلا من eSpeak. (#8176)

### الإصلاحات

- لم يعد يخفق NVDA في قراءة الكائنات النشطة في شاشة تسجيل الدخول لحساب ميكروسوفت في الإعدادات بعد إدخال عنوان بريد إلكتروني. (#7997)
- لم يعد يخفق NVDA في قراءة صفحة ب microsoft edge عند العودة من صفحة سابقة. (#7997)
- لم يعد يقرأ NVDA آخر رمز من مسمى رمز التعريف الشخصي عند تسجيل الدخول لويندوز 10. (#7908)
- لم تعد تقرأ مسميات مربعات التحديد وأزرار الاختيار بفيرفوكس وكروم عند الحركة بمفتاح الانتقال أو بالأحرف السريعة في نمط التصفح. (#7960)
- لم يعد يعلن عن خاصية aria-current على أن قيمتها صحيحة والمصمم أعطاها قيمة خاطئة. (#7892).
- لم يعد يفشل محرك آلة النطق Onecore في التحميل إذا كان الصوت المعد للتشغيل قد تمت إزالته. (#7999)
- أصبح تغيير الأصوات بمحرك آلة النطق Onecore أكثر خفة من ذي قبل. (#7999)
- حل مشكلة خروج بعض علامات البرايل بشكل خاطئ بما في ذلك علامة الحرف الكبير في جدول الداميناركي باختصارات ذو الثماني نقاط. (#7526,
- يمكن ل NVDA الآن الإعلان عن مزيد من أنواع التنقيطات بميكروسوفت وورد. (#6778)
- لم يعد يتسبب ضغط أمر الإعلان عن تنسيق النص في تحريك مؤشر الاستعراض والذي كان يؤدي ضغطه عدة مرات إلى إعطاء نتائج مختلفة. (#7869)
- لم يعد يتيح لك إدخال البرايل استخدام وضع الاختصارات في الحالات الغير مدعومة (بمعنى أنه لم تعد ترسل كل الكلمة للنظام خارج مربعات الكتابة وفي نمط التصفح). (#7306)
- معالجة المشكلات المتعلقة باستقرار الاتصال بالأسطر الإلكترونية Handy Tech Easy Braille و Braille Wave. (#8016)
- لم يعد يعلن NVDA عن كلمة "مجهول" عند فتح قائمة الرابط السريع (windows+x) واختيار أي من عناصرها في ويندوز 8 وما تلاه. (#8137)
- ستعمل الاختصارات المخصصة لكل طراز للأسطر الإلكترونية Hims كما هو موضح بدليل المستخدم. (#8096)
- سيحاول NVDA الآن معالجة مشكلات سجل النظام الشائعة والتي تتسبب في جعل تطبيقات ك internet explorer و fireFox غير متوافقة أو أن يقول NVDA "مجهول". (#2807)
- العمل على معالجة خطأ في مدير المهام ينتج عنه عدم سماح NVDA للمستخدم بالوصول إلى محتوى تفاصيل معينة حول بعض العمليات. (#8147)
- لم تعد تنقطع أصوات microsoft sapi5 الجديدة عند نهاية الكلام وأصبحت الحركة بها أكثر سهولة ويسر. (#8174)
- لم يعد يعلن NVDA عن علامة LTR و RTL على السطر الإلكتروني عند الوصول للساعة في الإصدارات الحديثة من ويندوز. (#5729)
- التعرف على مفاتيح التمرير للأسطر Hims Smart Beetle بشكل صحيح. (#6086)
- في بعض الكائنات النصية, وخاصة في تطبيقات Delphi, أصبح من الممكن الاعتماد على معلومات التحرير والحركة. (#636,
- لم يعد يعلن NVDA عن معلومات عديمة الفائدة عند التنقل بين التطبيقات العاملة باستخدام alt+tab في ويندوز 10 RS5. (#8258)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2018.1.1

إن هذا الإصدار موجه خصيصا لتدارك خطأ يحدث مع آلة النطق Onecore وذلك الخطأ كان ينتج عنه سرعة شديدة في الصوت وارتفاع في الحدة في ويندوز 10 Redstone 4 (1803).

## 2018.1

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها: دعم المخططات بميكروسوفت وورد وميكروسوفت بوربوينت, ودعم الأسطر الإلكترونية التالي: Eurobraille و Optelec protocol convertor, وتحسين دعم الأسطر Hims و Optelec وتحسين أداء موزيلا فايرفوكس 58 وما يليه وغير ذلك الكثير.

### المستجدات

- أصبح من الممكن التفاعل مع المخططات في microsoft word و Microsoft Powerpoint, وذلك نفس دعم المخططات الموجود ب Microsoft Excel. (#7046)
  - في microsoft word: قم بتفعيل نمط التصفح, ثم اذهب بالمؤشر إلى المخطط الذي تريد التفاعل معه ثم اضغط مفتاح الإدخال.
  - في microsoft powerpoint عند تحرير شريحة: انتقل إلى مخطط ما ثم اضغط مفتاح المسافة أو الإدخال للتفاعل معه.
  - للخروج اضغط مفتاح الهروب.
- ترجمة واجهة NVDA للغة قيرغيزستان.
- دعم تطبيق VitalSource Bookshelf. (#7155)
- دعم Optelec protocol converter الجهاز الذي يسمح باستخدام الأسطر الإلكترونية من طراز Braille Voyager و Satellite باستخدام بروتوكول ALVA BC6.(#6731)
- أصبح من الممكن استخدام خاصية إدخال البرايل مع السطر الإلكتروني ALVA 640 Comfort.
  - ويمكن استخدام خاصية إدخال البرايل أيضا مع أسطر BC6 الأخرى المثبت عليها firmware 3.0.0 وما يليه.
- دعم مبدئي لأوراق قوقل مع تفعيل نمط الخط البارز. (#7935)
- دعم الأسطر الإلكترونية Eurobraille Esys, و Esytime و Iris. (#7488)

### التعديلات

- لقد استبدلت سواقات الأسطر الإلكترونية HIMS Braille Sense/Braille EDGE/Smart Beetle و Hims Sync بسواقة واحدة وسيتم تنشيط السواقة الجديدة لمستخدمي سواقة syncBraille السابقين. (#7459)
  - وقد أعيد تعيين بعض المفاتيح, وبخاصة مفاتيح التمرير, لتتماشى مع النسق الذي تتبعه منتجات Hims. يرجى العودة للدليل لمزيد من التفاصيل.
- عند الكتابة باستخدام لوحة المفاتيح على الشاشة عن طريق اللمس, فإنك ستحتاج افتراضيا الآن إلى النقر المزدوج على كل مفتاح بنفس طريقة تنشيط الكائنات. (#7309)
  - لاستخدام نمط لمس الكتابة حيث تقوم ببساطة برفع أصبعك من على المفتاح وهذا يكفي لتنشيطه, قم بتفعيل هذا الخيار من محاورة إعدادات التفاعل باللمس الجديدة الموجودة بقائمة التفضيلات. (#7309)
- لم يعد من الضروري إرفاق مؤشر البرايل بمؤشر النظام أو الاستعراض لأن ذلك سيحدث بشكل افتراضي. (#2385)
  - لاحظ أن إرفاق البرايل بالاستعراض آليا سيظهر فقط عند استخدام مؤشر الاستعراض أو أوامر مؤشر NVDA. لم يقم التمرير بتنشيط ذلك الأمر.

### الإصلاحات

- لم يعد يخفق NVDA في إظهار الرسائل التخيلية, كتلك التي تظهر عند الضغط على NVDA+F مرتين متتاليتين لتوضيح التنسيق الحالي, عند تثبيت البرنامج في مسار مكتوب بأحرف غير لاتينية. (#7474)
- استرجاع المؤشر مرة أخرى بطريقة صحيحة عند الانتقال إلى تطبيق Spotify من تطبيق آخر. (#7689)
- لم يعد يخفق NVDA في التحديث عند تفعيل خاصية التحكم في الوصول للمجلدات (المتوفرة بتحديث المبدعين الكامل بويندوز 10). (#7696)
- أصبح التعرف على مفاتيح التمرير للأسطر الإلكترونية Hims Smart Beetle أمر موثوق به. (#6086)
- تحسين طفيف في الأداء عند التجول عبر محتوى كبير ب Mozilla Firefox 58 وما بعده. (#7719)
- لم تعد تتسبب الرسائل التي تحتوي على جداول في حدوث أخطاء ب microsoft outlook. (#6827)
- يمكن الآن المزج بين اختصارات البرايل التي تحاكي المفاتيح المصاحبة بلوحة مفاتيح النظام والمفاتيح المحاكية الأخرى شريطة أن يكون أحد تلك الاختصارات منوط بطراز معين. (#7783)
- يعمل الآن نمط التصفح بطريقة صحيحة بتطبيق Mozilla Firefox مع القوائم المنبثقة التي تنتج عن بعض الملحقات ك LastPass و bitwarden. (#7809)
- لم يعد يصاب NVDA بالجمود عند تغيير مؤشر النظام إذا توقف firefox أو chrome عن الاستجابة إما لتجمد أو لعطل. (#7818)
- لم يعد يتجاهل NVDA قراءة آخر 20 حرف من التغريدات التي يبلغ عددها 280 حرف بمنظم قراءة التغريدات كتطبيق Chicken Nugget (#7828)
- يستخدم NVDA الآن اللغة الصحيحة لنطق الرموز عند تظليل النص. (#7687)
- أصبح من الممكن التحرك مرة أخرى على مخططات excel باستخدام مفاتيح الأسهم في النسخ الحديثة من office365. (#7046)
- سيتم نطق حالة الكائنات بنفس الترتيب سواء كانت مفعلة أو معطلة. (#7076)
- في تطبيقات مثل بريد ويندوز 10, لم يعد يخفق NVDA في نطق الأحرف التي يتم حذفها بالضغط على مفتاح backspace. (#7456)
- ستعمل كافة مفاتيح الأسطر الإلكترونية من طراز Hims Braille Sense Polaris كما ينبغي. (#7865)
- لم يعد يفشل NVDA في البدأ على ويندوز 7بسبب شكوى من ملف api-ms dll, عند تثبيت إصدار معين من visual studio 2017 عن طريق برنامج آخر. (#7975)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2017.4

يتضمن هذا الإصدار العديد من المستجدات والتحسينات والتي من بينها حل الكثير من المشكلات وتحسين دعم تصفح الإنترنت ويشمل ذلك الدعم نمط التصفح بمحاورات الوب افتراضيا, تصنيف أفضل لمجموعات الحقول بنمط التصفح, دعم تكنولوجيا ويندوز 10 الجديدة مثل تطبيق الحماية windows Defender ودعم ويندوز 10 عند تشغيله على معالجات ARM64, الإعلان التلقائي عن تهيئة الشاشة وعن حالة البطارية. يرجى العلم بأن هذا الإصدار لم يعد يدعم Windows XP أو Windows Vista. أقل نظام تشغيل أصبح يدعمه NVDA هو windows 7 مع Service Pack 1.

### المستجدات

- أصبح من الممكن في نمط التصفح استخدام أوامر القفز إلى بداية ونهاية العناصر الحاوية (comma/shift+comma) لتخطي العلامات الدليلية. (#5482)
- أصبح مفتاح الحركة على مربعات التحرير والحقول الاستمارية يشمل أيضا الوصول مربعات محتوى النصوص الغنية (بمعنى الحقول القابلة للتحرير) وذلك بمتصفحات Firefox و Chrome و Internet Explorer. (#5534)
- أصبحت قائمة العناصر بالمتصفحات تضم الحقول الاستمارية والأزرار. (#588)
- دعم مبكر للقراءة والحركة التفاعلية لمحتوى الرياضيات بكتب Kindle ذات المحتوى المتوافق مع قارآت الشاشة. (#7536)
- دعم تطبيق قراءة الكتب Azardi. (#5848)
- الإعلان عن معلومات عن إصدار الإضافة عند تحديثها. (#5324)
- إضافة دعم للأوامر النصية لإنشاء نسخة محمولة من NVDA. (#6329)
- دعم متصفح Microsoft Edge عند تشغيله بتطبيق الحماية Windows Defender. (#7600)
- الإعلان عن توصيل الشاحن أو إزالته وعن تغير تهيئة الشاشة عند تشغيل NVDA على حاسوب محمول أو حاسوب لوحي. (#4574, #4612)
- ترجمة NVDA للغة جديدة: المقدونية.
- جداول ترجمة برايل جديدة: كرواتي بدون اختصارات, وفيتنامي بدون اختصارات. (#7518, #7565)
- دعم السطر الإلكتروني Actilino من شركة Handy Tech. (#7590)
- دعم إدخال البرايل للأسطر الإلكترونية من طراز Handy Tech. (#7590)

### التعديلات

- أصبح أقل نظام تشغيل يدعمه NVDA هو Windows 7 مع Service Pack 1 أو Windows Server 2008 R2 مع Service Pack 1. (#7546)
- أصبحت متصفحات Firefox و Chrome تستخدم نمط التصفح آليا في محاوراتها عدا تلك الموجودة داخل التطبيقات. (#4493)
- لم تعد تتسبب الحركة بمفتاح tab ومفاتيح الأحرف السريعة في الإعلان عن القفز خارج العناصر الحاوية كالقوائم السردية والجداول بنمط التصفح مما يجعل عملية الحركة أكثر يسر وسهولة. (#2591)
- في نمط التصفح بتطبيقات Firefox و Chrome سيتم الإعلان عن تصنيفات مجموعات الحقول الاستمارية عند التحرك إليها بمفاتيح الأحرف السريعة أو بمفتاح tab. (#3321)
- دعم مبدئي لويندوز 10 على المعالج ARM64. (#7508)
- في نمط التصفح, أصبحت أوامر الحركة على الكائنات المدرجة O و shift+o تصل أيضا إلى عناصر الفيديو والصوت. (#7239)
- تم تحديث آلة النطق Espeak-ng للإصدار (1.49.2), وهذا الإصدار سينتج عنه حل مشكلات بناء النسخ. (#7385,
- أصبح من الممكن الضغط على أمر قراءة شريط الحالة ثلاث مرات لنسخ نص شريط الحالة إلى الحافظة. (#1785)
- عند إلحاق اختصارات بمفاتيح السطر الإلكتروني Baum, فيمكنك تحديد هذه الاختصارات لنوع السطر الذي تستخدمه حاليا. (على سبيل المثال VarioUltra أو Pronto). (#7517)
- تغيير مفتاح الوصول السريع لخيار التصفية حسب الموجود بقائمة العناصر بنمط التصفح من alt+f إلى alt+e. (#7569)
- إضافة عنصر بفئة نمط التصفح للتنقل بين تعطيل وتشغيل إدراج الجداول التنسيقية. يمكنك تخصيص الاختصار الذي تريد من محاورة تخصيص اختصارات البرنامج. (#7634)
- تحديث مترجم لبلويس برايل للإصدار 3.3.0. (#7565)
- تغيير مفتاح الوصول السريع لعنصر التعبيرات القياسية الموجود بمحاورة المعاجم الصوتية من alt+r إلى alt+e. (#6782)
- تم ترقيم ملفات المعاجم الصوتية فضلا عن نقلها إلى المجلد 'speechDicts/voiceDicts.v1'. (#7592)
- لم يعد يتم حفظ التعديلات بالملفات المرقمة (ملفات المعاجم الصوتية بإعدادات المستخدم) عند تشغيل NVDA من معالج التثبيت. (#7688)
- توقف دعم الأسطر الإلكترونية Braillino و Bookworm و Modular (ببرامج قديمة old firmware) من شركة Handy Tech دون تثبيت تعريف المصنع. يرجى تثبيت تعريف Handy Tech وإضافة NVDA لاستخدام هذه الأنواع من الأسطر. (#7590)

### الإصلاحات

- تمييز الروابط على السطر الإلكتروني في التطبيقات كتطبيق microsoft word. (#6780)
- لم يعد يشعر المستخدم ببطء عند فتح تبويبات كثيرة بمتصفحي Firefox و Chrome. (#3138)
- لم يعد يتحرك مؤشر خلية البرايل خلية للأمام عما ينبغي أن يكون عليه بالأسطر الإلكترونية من طراز MDV Lilli. (#7469)
- دعم خاصية الحقل المتطلب (required) لتوضيح أن هذا الحقل متطلب ملؤه في internet explorer ومستندات HTML. (#7321)
- تحديث محتوى الأسطر الإلكترونية عند كتابة أحرف عربية في مستند wordpad محاذي لليسار. (#511).
- الإعلان عن الكائنات ذات التصنيفات المتوافقة مع قارآت الشاشة ب Mozilla Firefox بنمط التصفح عند الحركة عليها بالأسهم. (#4773)
- يمكن ل NVDA تشغيل firefox مرة ثانية بعد إعادة تشغيل NVDA بتحديث المبدعين بويندوز 10. (#7269)
- عند إعادة تشغيل NVDA أثناء تنشيط firefox, فسيعمل نمط التصفح مرة أخرى, إلا أنه ربما تحتاج إلى استخدام alt+tab للبعد عنه ثم العودة إليه مرة أخرى. (#5758)
- يمكنك الآن التفاعل مع محتوى الرياضيات بتطبيق chrome في نظام غير مثبت عليه تطبيق firefox. (#7308)
- ينبغي أن يكون نظام التشغيل والتطبيقات الأخرى أكثر استقرار مباشرة بعد تثبيت NVDA قبل إعادة تشغيل الجهاز, كما كان يحدث مع النسخ السابقة. (#7563)
- عند الضغط على مفتاح الاختصار المنوط بالتعرف الضوئي للأحرف NVDA+r, سيعلن NVDA عن رسالة خطأ إذا اختفى المؤشر بدلا من عدم قول أي شيء. (#7567)
- تم حل مشكلة التمرير للخلف للأسطر الإلكترونية من طراز freedom Scientific التي تحتوي على شريط bumper يسار. (#7713)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2017.3

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها: إدخال برايل باختصارات, دعم أصوات ويندوز 10 windows 10 core voices, دعم التعرف البصري على الأحرف المدمج بويندوز 10, وتحسينات كبيرة تتعلق بالبرايل والإنترنت.

### المستجدات

- إضافة خيار لإعدادات البرايل يسمح بعرض الرسالة لوقت غير محدد. (#6669)
- ستنطق الرسائل المشار إليها في قائمة الرسائل ببرنامج microsoft outlook. (#6374)
- الإعلان عن نوع الشكل ببرنامج powerpoint عند تحرير الشرائح (على سبيل المثال: مثلث, دائرة, فيديو, سهم), بدلا من نطق كلمة "شكل" فقط. (#7111) في
- الآن سيتم دعم محتوى الرياضيات بتطبيق google chrome. (#7184)
- الآن سيتحدث NVDA باستخدام أصوات الويندوز الجديدة windows one core (المعروفة بأصوات المحمول) بويندوز 10. يمكنك استخدام هذه الأصوات باختيار أصوات ويندوز one core من محاورة آلات النطق. (#6159)
- يمكن استرجاع ملفات إعدادات NVDA في مجلد بيانات تطبيقات المستخدم المحلي. يمكنك تفعيل هذه الخاصية عن طريق إعداد بالregistry. لمزيد من التفاصيل يمكنكم قراءة قسم 'System wide parameters' بدليل المستخدم. (#6812)
- الإعلان عن قيم العناصر النائبة (placeholders) بالمتصفحات. (#7004)
- في نمط التصفح ب microsoft word, أصبح من الممكن التحرك على الأخطاء الهجائية الموجودة بالمستند باستخدام مفاتيح الحركة السريعة w و shift+w. (#6942)
- دعم كائن التحكم في منطقي التاريخ (date picker) الموجود بمحاورات الميعاد ب microsoftoutlook. (#7217)
- نطق المقترح المظلل حاليا بحقول إلى ونسخة كربونية بتطبيق البريد وحقل بحث الإعدادات بويندوز 10. (#6241)
- تشغيل صوت لتوضيح ظهور المقترحات ببعض حقول البحث بويندوز 10 (على سبيل المثال حقل شاشة البدأ, بحث الإعدادات, وحقول البريد إلى ونسخة كربونية). (#6241)
- الإعلان عن الإشعارات آليا ب skype for business desktop, كأن يبدأ شخص محادثة معك. (#7281)
- الإعلان آليا عن الرسائل الواردة عندما تكون في محادثة بتطبيق Skype for Business. (#7286)
- الإعلان آليا عن الإشعارات بمتصفح microsoft edge كأن يبدأ ملف ما في التحميل. (#7281)
- يمكنك الآن الكتابة باختصارات أو بدون على السطر الإلكتروني باستخدام لوحة مفاتيح البرايل. (#2439)
- يمكنك الآن إدخال أحرف برايل ذات التشفير الموحد عبر لوحة مفاتيح البرايل على السطر الإلكتروني وذلك باختيار جدول التشفير الموحد كي يكون جدول الإدخال. (#6449)
- دعم السطر الإلكتروني SuperBraille المستخدم في تيوان. (#7352)
- جداول ترجمة برايل جديدة: دانيماركي حاسوب برايل 8 نقاط, ليثويني, فارسي حاسوب برايل 8 نقاط, فارسي بدون اختصارات, وسلوفيني حاسوب برايل 8 نقاط. #6550, #6773, #7367)
- تحسين جدول حاسوب برايل 8 نقاط للغة الإنجليزية (الولايات المتحدة) بما في ذلك دعم التنقيطات, وعلامات اليورو والأحرف العليا. (#6836)
- يمكن ل NVDA الآن استخدام خاصية التعرف البصري على الأحرف (OCR) المدمجة بويندوز 10 للتعرف على النصوص الموجودة بالصور أو بالتطبيقات الغير متوافقة. (#7361)
  - يمكن تعيين اللغة من خلال محاورة التعرف البصري على الأحرف بويندوز 10 الموجودة بقائمة التفضيلات ب NVDA.
  - للتعرف على النص الواقع تحت مؤشر NVDA, اضغط NVDA+r.
  - انظر قسم التعرف على المحتوى بدليل المستخدم لمزيد من التفاصيل.
- يمكنك الآن اختيار كيفية عرض رتبة الكائنات التي ستعرض على السطر الإلكتروني عند تنشيط الكائنات وذلك من خلال إعداد "عرض رتبة الكائن" بمحاورة إعدادات الخط البارز. (#217)
  - على سبيل المثال, خيار " ملء السطر عند تغير رتبة الكائن" وخيار "فقط عند التمرير للخلف" مناسبان أكثر للعمل مع القوائم السردية وأشرطة القوائم, ذلك لأن مكان العناصر لن يتغير باستمرار على السطر الإلكتروني.
  - انظر قسم "عرض رتبة الكائن" بدليل المستخدم لمزيد من التفاصيل والأمثلة.
- في fireFox و chrome, سيدعم NVDA الجداول الكبيرة كأوراق العمل عند تحميل أو عرض بعضها فقط. (#7410)

### التعديلات

- وضع أمر إعادة تشغيل NVDA دون تحديد اختصار له ويمكنك تحديد الاختصار الذي يروق لك من محاورة تخصيص اختصارات البرنامج ضمن فئة الاختصارات المتنوعة. (#6396)
- الآن يمكن إعداد نمط لوحة المفاتيح من خلال محاورة الترحيب ب NVDA. (#6863)
- اختصار مزيد من أنواع الكائنات والحالات والعلامات الدليلية على السطر الإلكتروني. يرجى الاطلاع على "اختصارات أنواع الكائنات والحالات والعلامات الدليلية" بدليل المستخدم لقائمة الاختصارات الكاملة. (#7188)
  - تحديث آلة النطق Espeak-ng للإصدار 1.49.1 (#7280)
  - ترتيب قوائم جداول إدخال وإخراج البرايل هجائيا. (#6113)
  - تحديث مترجم لبلويس برايل للإصدار 3.2.0. (#6935)
  - أصبح جدول برايل الافتراضي هو جدول الإنجليزية الموحدة بدون اختصارات. (#6952)
  - بشكل افتراضي, سيظهر NVDA فقط رتبة الكائن التي تتغير على السطر الإلكتروني عند تنشيط أي من الكائنات. (#217)
    - حيث كان في السابق يظهر أكبر كم ممكن من المعلومات, بغض النظر عن رؤيتك لهذه المعلومات من قبل.
    - يمكنك العودة للوضع السابق بتغيير الإعداد الجديد "عرض رتبة الكائن" بمحاورة إعدادات الخط البارز إلى "ملأ السطر الإلكتروني دائما".
    - يمكنك إعداد المؤشر ليكون شكله مختلف عند إرفاقه بالبرايل أو بمؤشر الاستعراض. (#7112)
    - تحديث شعار NVDA. أصبح الشعار الجديد عبارة عن دمج أحرف كلمة NVDA باللون الأبيض, على خلفية أرجوانية صلبة, مما يضمن ظهوره على أي لون خلفية, واستخدام اللون الأرجواني من شعار NVACCESS. (#7446)

### الإصلاحات

- لم تعد تنطق أسماء بعض مربعات التحرير في متصفح كروم على أنها قيمتها بنمط التصفح. (#7153)
- لم يعد يؤدي الضغط على مفتاح end بنمط التصفح لمستند فارغ ببرنامج microsoft word إلى خطأ برمجي. (#7009)
- مزيد من الدعم لمستندات microsoft edge. (#6998)
- في نمط التصفح, يمكنك الآن تظليل أو إلغاء التظليل حتى نهاية السطر باستخدام shift+end حتى لو كان المؤشر موجود على آخر حرف في السطر. (#7157).
- إذا كانت المحاورة بها شريط تقدم, فسيتم تحديث نص المحاورة على السطر الإلكتروني كلما تغيرت قيمة الشريط. وهذا يعني, على سبيل المثال, أنه يمكن قراءة الوقت المتبقي بمحاورة تحميل تحديث NVDA. (#6862)
- سيعلن NVDA الآن عندما تتغير القيم ببعض صناديق الخيارات بويندوز 10 مثل صندوق خيار التشغيل التلقائي بالإعدادات. (#6337)
- لم يعد يعلن NVDA عن معلومات عديمة القيمة عند دخول محاورات إنشاء الاجتماعات أو المواعيد بتطبيق Microsoft Outlook. (#7216)
- عدم إصدار صوت صفير لأشرطة التقدم الغير قطعية كالموجودة بمحاورات التحديث التلقائي إلا عندما يوجد بها هذا الإعداد. (#6759)
- الإعلان مرة أخرى عن الخلايا ب microsoft excel 2007 و2003 عند الحركة بالأسهم على ورقة العمل. (#8243)
- تشغيل نمط التصفح آليا مرة أخرى عند قراءة الرسائل بتطبيق بريد ويندوز 10 تحديث المبدعين أو ما بعده. (#7289)
- في معظم لوحات مفاتيح البرايل ستعمل النقطة السابعة الآن على إزالة آخر خلية أو حرف, بينما النقطة الثامنة ستقوم بضغط مفتاح الإدخال. (#6054)
- في مربعات التحرير, عند تحريك مؤشر التحرير (سواء عن طريق الأسهم أو مسح للخلف), فإن NVDA سينطق بدقة كبيرة في كثيرة من الأحوال, خاصة في chrome وتطبيقات الأوامر النصية. (#6424)
- يمكن الآن قراءة محتوى محرر التوقيع بتطبيق Microsoft Outlook 2016. (#7253)
- لم يعد يتسبب NVDA في إصابة تطبيقات Java Swing بالتوقف في بعض الأحيان عند الحركة على الجداول. (#6992)
- في تحديث المبدعين بويندوز 10, لم يعد يعلن NVDA عن التنبيهات مرات متعددة. (#7128)
- لم يعد يتسبب ضغط مفتاح الإدخال لإغلاق قائمة ابدأ بويندوز 10 بعد عملية بحث في نطق NVDA لنص البحث. (#7370)
- أصبحت الحركة على رؤوس الموضوعات بحرف ال H في تطبيق microsoft edge أسرع بكثير عما كانت عليه. (#7343)
- لم تعد تتخطى الحركة على نمط التصفح ب microsoft edge أجزاء كبيرة من بعض الصفحات كصفحة Wordpress 2015 theme. (#7143)
- في microsoft edge, تصحيح ترجمة العلامات الدليلية إلى لغات أخرى غير الإنجليزية. (#7328)
- أصبح البرايل يتبع التحديد بشكل صحيح عند تحديد نص أكبر من عرض السطر. على سبيل المثال, إذا قمت بتحديد أسطر متعددة بمفاتيح shift+downarrow, فإن آخر سطر قمت بتحديده سيظهر على السطر الإلكتروني. (#5770)
- لم يعد ينطق NVDA كلمة "section" بشكل متكرر عند فتح تفاصيل تغريدة معينة بموقع twitter.com بمتصفح fireFox. (#5741)
- لم تعد أوامر الحركة على الجدول متاحة للجداول التنسيقية في نمط التصفح إلا إذا تم تفعيل خيار الإعلان عن الجداول التنسيقية. (#7382)
- في fireFox و chrome, ستتخطى أوامر الحركة على الجدول الخلايا المخفية. (#6652, #5655)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2017.2

يتضمن هذا الإصدار العديد من المستجدات والتحسينات والتي من بينها: دعم كامل لنمط خفض الأصوات الأخرى بتحديث المبدعين بويندوز 10, معالجة العديد من مشكلات التحديد بنمط التصفح, ومن بينها مشكلة تحديد الكل, دعم كبير لمتصفح microsoft Edge, وتحسين دعم الوب كتوضيح العناصر التي يشير إليها المصممون على أنها حالية (مستخدمين خاصية aria-current).

### المستجدات

- يمكن ل NVDA الآن قراءة معلومات عن برواز الخلايا ب microsoft excel باستخدام `NVDA+f`. (#3044)
- توضيح NVDA لما إذا كان العنصر مشار إليه على أنه عنصر حالي في المتصفحات المختلفة (خاصة عند استخدام المصممين لخاصية aria-current) مما يعني أن NVDA إذا صادف عنصر حالي كالصفحة الحالية أو الوقت الحالي أو التاريخ الحالي سيعلن عنه.). (#6358)-current بالتطبيقات الغنية والمتوافقة مع قارآت الشاشة aria. (#6358)
- دعم الانتقال الآلي بين اللغات في Microsoft Edge. (#6852)
- دعم حاسبة الويندوز بويندوز 10 enterprise LTSB (فرع الخدمة طويل المدى long-term servicing branch) والخوادم. (#6914)
- سيؤدي الضغط على أمر قراءة السطر الحالي ثلاث مرات متتالية إلى هجاء السطر تهجئة صوتية. (#6893)
- ترجمة NVDA للغة البورمية.
- نطق رموز التشفير الموحد unicode للسهم الأعلى والسهم الأسفل ورموز الكسور بطريقة صحيحة. (#3805)

### التعديلات

- عند الحركة بنمط الاستعراض البسيط على تطبيقات تستخدم كائنات UI automation كتطبيق microsoft edge, فسيتم تجاهل مزيد من الكائنات التي لا تهم المستخدم مما يسهل عملية الحركة. (#6948, #6950)

### الإصلاحات

- يمكن للمستخدم الآن تنشيط عناصر القوائم بصفحات الإنترنت بنمط التصفح. (#6735)
- أثناء تنشيط محاورة تأكيد حذف الأوضاع سيؤدي الضغط على مفتاح الهروب إلى إغلاق المحاورة. (#6851)
- إصلاح بعض الأعطال التي تصيب Mozilla Firefox وتطبيقات جيكو الأخرى أثناء تشغيل خاصية العمليات المتعددة. (#6885)
- أصبح الإعلان عن الخلفية في الاستعراض المصطح أكثر دقة عند رسم النص بخلفية شفافة. (#6467)
- تحسين دعم وصف الكائنات التي يزودنا بها المصممون في صفحات الإنترنت في internet explorer 11, ويشمل ذلك الدعم الإطارات الداخلية وعند وجود ID متعددة. (#5784)
- سيعمل نمط خفض الأصوات الأخرى كما كان من قبل في تحديث المبدعين بويندوز 10. (#6933)
- لم يعد يفشل NVDA في الانتقال إلى أو الإعلان عن كائنات معينة عندما لا تكون لها مفاتيح اختصار. (#6779)
- لم تعد تضاف مسافتين في معلومات عن مفتاح الاختصار في بعض الكائنات. (#6790)
- لم تعد تتوقف بعض اختصارات السطر الإلكتروني من طراز HIMS بشكل متقطع وذلك مثل مفتاحي space+dot4. (#3157)
- معالجة مشكلة كانت تحدث عند فتح منفذ تسلسلي على أنظمة تستخدم لغات أخرى غير الإنجليزية والتي كانت تتسبب في فشل اتصال الأسطر الإلكترونية في بعض الأحوال. (#6845)
- تقليل فرصة دمار ملف الإعدادات عند إغلاق الويندوز. ستكتب ملفات الإعدادات الآن في ملف مؤقت قبل استبدال الملف الفعلي. (#3165)
- عند الضغط على أمر قراءة السطر الحالي مرتين متتاليتين بسرعة لهجاء السطر, ستستخدم اللغة المناسبة للهجاء. (#6726)
- أصبحت الحركة أسرع عند التنقل بالأسطر بمتصفح microsoft edge بتحديث المبدعين بويندوز 10. (#6994)
- لم يعد يقول NVDA العبارة "Web Runtime grouping" عند التركيز على مستندات microsoft edge بتحديث المبدعين بويندوز 10. (#6948)
- دعم كل الإصدارات الموجودة من SecureCRT. (#6302)
- لم يعد يتوقف Adobe Acrobat Reader في بعض مستندات PDF. (#7021, #7034)
- في نمط التصفح ب Microsoft Edge, لم يعد يتم تجاهل الجداول التفاعلية عند الحركة على الجداول بأحرف الحركة السريعة T و shift+t. (#6977)
- في نمط التصفح سيؤدي الضغط على shift+home بإلغاء التحديد إلى بداية السطر كما هو متوقع. (#5746)
- في نمط التصفح, لم يعد يفشل أمر تحديد الكل (control+a) في تحديد كامل النص إذا كان مؤشر التحرير غير موجود على بداية النص. (#6909)
- معالجة بعض المشكلات الأخرى النادرة الحدوث عند تحديد النص بنمط التصفح. (#7131)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2017.1

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها دعم قراءة أرقام الأقسام ونصوص الأعمدة ب microsoft word, دعم القراءة والتجول داخل الكتب بتطبيق Kindle for PC; وتحسين دعم متصفح microsoft edge.

### المستجدات

- يمكن الآن الإعلان عن نوع فاصل القسم ورقم القسم ب microsoft word وذلك بتفعيل خيار "الإعلان عن أرقام الصفحات" بمحاورة إعدادات تنسيق المستندات. (#5946)
- يمكن الآن الإعلان عن نصوص الأعمدة ب microsoft word وذلك بتفعيل خيار "الإعلان عن أرقام الصفحات" بمحاورة إعدادات تنسيق المستندات. (#5946)
- دعم الانتقال الآلي بين اللغات في word pad. (#6555)
- دعم أمر البحث (NVDA+control+f) في نمط التصفح ب microsoft Edge. (#6580)
- دعم الحركة السريعة بالأزرار بنمط التصفح (b و shift+b) ب microsoft Edge. (#6577)
- تذكر رؤوس الأعمدة والصفوف عند نسخ ورقة عمل ب microsoft excel. (#6628)
- دعم الحركة داخل الجداول بنمط التصفح في متصفح Microsoft Edge. (#6594)
- في microsoft excel, أصبح أمر الإعلان عن موضع مؤشر الاستعراض (NVDA+numpadDelete للحاسوب المكتبي و NVDA+delete للحاسوب المحمول) يقوم بقراءة اسم ورقة العمل ومرجع الخلية المحددة. (#6613)
- إضافة خيار بمحاورة الخروج من NVDA لإعادة تشغيله في مستوى التقرير debug. (#6689)

### التعديلات

- أصبح الحد الأدنى لمعدل ظهور مؤشر البرايل 200ms. والأوضاع والإعدادات ذات القيم الأدنى من ذلك ستزيد إلى 200ms. (#6470)
- إضيف مربع تحديد لمحاورة إعدادات البرايل للسماح بتشغيل أو تعطيل معدل ظهور المؤشر. حيث كان ينبغي على المستخدم تغيير القيمة إلى صفر لتحقيق هذا الغرض. (#6470)
- سيتم ترقية ملفات الأوضاع والإعدادات آليا للتوافق مع متطلبات هذا التعديل. إذا حدث خطأ أثناء الترقية, سيظهر تنبيه, وستعاد إلى الإعدادات كما كانت, وسيتوفر ملف الإعدادات القديم في ملف تقريري log, في المستوى 'info'. (#6470)
- دعم قراءة الكتب والحركة داخلها بتطبيق Kindle for PC الإصدار 1.19, ويشمل ذلك دعم الوصول للروابط, والحواشي السفلية, والأشكال الرسومية, والنص المحدد, وملاحظات المستخدم. لمزيد من المعلومات يرجى قراءة القسم الخاص ب Kindle for PC بدليل مستخدم NVDA. (#6247, #6638)
- عمل خاصية تتبع مسار الفأرة عبر كل الشاشات في الحواسب متعددة الشاشات. (#6598)
- تحديث آلة النطق مفتوحة المصدر eSpeak NG (#6717)
- نظرا للتعديلات التي حدثت في الإصدارات الأخيرة من ويندوز 10, فإن نمط "خفض الأصوات الأخرى دائما" لم يعد متاح بإعدادات خفض الأصوات الأخرى عند تشغيل NVDA. ما زال هذا النمط مدعوم مع الإصدارات الأقدم . (#6684)
- نظرا للتعديلات التي حدثت في الإصدارات الأخيرة من ويندوز 10, لم يعد يعمل "نمط خفض الأصوات الأخرى عند نطق NVDA" بشكل جيد. ما زال هذا الخيار مدعوم في الإصدارات الأقدم.

### الإصلاحات

- معالجة الجمود الذي يصيب microsoft word عند الحركة بالفقرة داخل المستندات الكبيرة في نمط التصفح. (#6368)
- لم تعد تعامل الجداول المنسوخة من microsoft excel إلى microsoft word معاملة الجداول التنسيقية مما ينتج عنه عدم تجاهلها. (#5927)
- عند محاولة الكتابة في microsoft excel داخل العرض المحمي, سيصدر الآن NVDA صوت بدلا من نطق أحرف لم تكتب أصلا. (#6570)
- لم يعد يؤدي ضغط مفتاح escape ب microsoft excel إلى الانتقال لنمط التصفح إلا إذا كان المستخدم قد قام سابقا بالانتقال إليه عمدا بالضغط على NVDA+space ثم دخل النمط التفاعلي بضغط مفتاح الإدخال على أحد حقول الكتابة. (#6569)
- لم يعد يصاب NVDA بالجمود عند دمج عمود أو صف بالكامل ب microsoft excel. (#6216)
- أصبح الإعلان عن الخلايا المتداخلة والحاوية على ما يزيد عن حجمها ب microsoft excel أكثر دقة. (#6472)
- سيعلن NVDA الآن عن مربعات التحديد المخصصة للقراءة فقط. (#6563)
- لم تعد تظهر محاورة تحذيرية عند عدم قدرة NVDA على تشغيل الصوت الخاص به لعدم توافر كرت صوت. (#6289)
- سيعلن الآن عن العناصر الغير نشطة بقوائم microsoft excel على أنها كذلك. (#6430)
- لم يعد يقول NVDA كلمة "لائحة" "pane" عند تصغير النوافذ بالضغط على windows+m أو windows+d. (#6671)
- دعم نطق الأحرف أثناء الكتابة في تطبيقات ويندوز 10 المصممة لاستخدامها على الحواسب أو الهواتف أو الحواسب اللوحية المعروفة اختصارا ب UWP (والتي من بينها microsoft edge). (#6017)
- لم يعد يصبح NVDA غير مفعل عند الخروج من برنامج windows media player أثناء التركيز على شريط السحب. (#5467)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2016.4

يتضمن هذا الإصدار العديد من التحسينات التي من بينها تحسين دعم متصفح Microsoft Edge; وتحسين دعم نمط التصفح بتطبيق منظم البريد الإلكتروني بويندوز 10, وتحسينات كبيرة بمحاورات nvda.

### المستجدات

- يمكن ل NVDA الآن توضيح إزاحة الأسطر باستخدام النغمات. ويمكن ضبط هذه الخاصية باستخدام صندوق الخيارات "الإعلان عن إزاحة السطر " الموجود بإعدادات تنسيق المستندات بقائمة التفضيلات. (#5906)
- دعم الأسطر الإلكترونية Orbit Reader 20. (#6007)
- إضافة خيار لفتح نافذة عارض النطق عند بدأ التشغيل. يوجد هذا الخيار بنافذة عارض النطق. (#5050)
  - عند إعادة فتح نافذة عارض النطق سيتم استرجاع الموقع والأبعاد. (#5050)
- ستعامل حقول الإسنادات الترافقية ب microsoft word معاملة الروابط التشاعبية. حيث سيعلن عنها كروابط ويمكن تنشيطها. (#6102)
- دعم الأسطر الإلكترونية Baum SuperVario2, Baum Vario 340 و HumanWare Brailliant2. (#6116)
- دعم مبدئي لمتصفح Microsoft Edge. (#6271)
- أصبح من الممكن استخدام نمط التصفح في قراءة البريد بمنظم البريد الإلكتروني الخاص بويندوز 10. (#6271)
- لغة جديدة: الليثوينية.

### التعديلات

- تحديث مترجم ليبلويس برايل للإصدار 3.0.0. يشمل هذا التحديث تحسينات كبيرة في الخط الإنجليزي الموحد. (#6109, #4194, #6220, #6140)
- وضع مفاتيح وصول سريع لأزرار تعطيل وتشغيل الإضافة بمحاورة مدير الإضافات البرمجية (alt+d و alt+e على التوالي). (#6388))
- حل العديد من الشكليات في واجهة NVDA. (#6317, #5548, #6342, #6343, #6349)
- تكييف وضع محاورة إعدادات تنسيق المستندات بجعلها أقل طولا حتى يمكن تمرير الفأرة على محتواها. (#6348)
- تكييف نمط محاورة نطق الرموز حتى يمكن استخدام العرض في سرد قائمة الرموز. (#6101)
- أصبحت الحركة بالأحرف المنفردة (e & shift+E & f & shift+f) تشمل مربعات التحرير المخصصة للقراءة فقط. (#4164)
- إعاداة تسمية خيار "الإعلان عن تغيرات التنسيق بعد حركة المؤشر"إلى نطق تغيرات التنسيق بعد حركة المؤشر", لأنها تؤثر في النطق وعلى السطر الإلكتروني. (#6336)
- تعديل مظهر "محاورة الترحيب". (#6350)
- أصبحت أزرار "موافق" و"إلغاء" على اليمين بجميع محاورات NVDA. (#6333)
- استخدام مربعات الزيادة والنقصان (spin controls) في مربعات إدخال القيم الرقمية كما هو الحال في إعداد "تغير نسبة حدة قراءة الأحرف الكبيرة"بمحاورة إعدادات الصوت. يمكن للمستخدم كتابة القيمةأو استخدام السهم الأعلى والأسفل لتعديل الصوت. (#6099)
- أصبحت طريقة الإعلان عن الإطارات المدرجة (iframes) والمقصود بها المستندات الموجودة داخل المستندات الرئيسية أكثر توافق في جميع المتصفحات. سيعلن عن الإطار المدرج "iframe" على أنه إطار "frame" في متصفح firefox. (#6047)

### الإصلاحات

- معالجة خطأ نادر يحدث عند إغلاق NVDA أثناء تشغيل عارض النطق. (#5050)
- معالجة خرائط الصور كما هو متوقع في تطبيق Mozilla Firefox. (#6051)
- عند ضغط مفتاح الإدخال بمحاورة المعجم فإنه سيتم حفظ التغييرات والخروج. سابقا كان الضغط على مفتاح الإدخال لا يؤدي إلى حدوث أي شيء. (#6206)
- الآن ستعرض الرسائل على السطر الإلكتروني عند تغيير نمط الإدخال للغات شرق آسيا (إدخال محلي/رقمي, والشكل المكتمل/الشكل النصفي, إلخ.). (#5892,
- عند تعطيل إحدى الإضافات ثم إعادة تفعيلها فورا أو العكس, فإن حالة الإضافة ستظهر بشكل صحيح ما كانت عليه من قبل. (#6299)
- ستقرأ حقول أرقام الصفحات في microsoft word عند اختيار إسلوب عرض أرقام الصفحات "- 1 -, - 2-" برأس الصفحة. (#6004)
- يمكن استخدام الفأرة الآن للحركة بين قائمة الرموز ومربعات التحرير بمحاورة نطق الرموز. (#6312)
- معالجة مشكلة توقف ظهور قائمة العناصربنمط التصفح ب MICROSOFT WORD عندما يحتوي المستند على رابط تشاعبي خاطئ. (#5886)
- بعد إغلاق نافذة عارض النطق عبر شريط المهام أو عبر مفتاح الاختصار alt+F4, ستعكس حالة مربع تحديد عارض النطق بقائمة NVDA الرئيسية الحالة الحقيقية للنافذة. (#6340)
- لم يعد يتسبب أمر إعادة تحميل الملحقات في حدوث مشكلات للأوضاع, والمستندات الجديدة في المتصفحات واستعراض الشاشة. (#2892, #5380)
- عرض بعض اللغات بشكل صحيح في ويندوز 10 بقائمة اللغات بالإعدادات العامة وذلك كاللغة الأرجانيزية. (#6259)
- في اللوحات التي تحاكي لوحات مفاتيح النظام (على سبيل المثال, زر على السطر الإلكتروني يحاكي ضغط مفتاح tab) ستعرض أسماء المفاتيح بلغة NVDA التي أعدها المستخدم في المساعدة التفاعلية وفي محاورة تخصيص الاختصارات. حيث كانت تعرض هذه المفاتيح باللغة الإنجليزية دائما. (#6212)
- عند تغيير لغة واجهة NVDA (من الإعدادات العامة) لن يحدث أي تغيير إلا بعد إعادة تشغيل البرنامج. (#4561)
- عند إدخال كلمة جديدة في المعجم لم يعد يسمح لحقل الكلمة الأصلية بأن يكون فارغا. (#6412)
- معالجة مشكلة نادرة كانت تحدث عند البحث عن المنافذ التسلسلية على بعض الأنظمة والتي كانت تتسبب في عدم فائدة بعض محركات الأسطر الإلكترونية. (#6271)
- الآن ستقرأ التنقيطات المرقمة من خلايا الجدول عند الحركة بالخلية في MICROSOFT WORD. (#6446)
- أصبح من الممكن الآن تعيين اختصارات لأوامر محرك السطر الإلكتروني Handy Tech من محاورة تخصيص اختصارات NVDA. (#6461)
- الضغط على مفتاح الإدخال أو مفتاح الإدخال في اللوحة الرقمية عند الحركة على ورقة عمل ب microsoft excel سيعلن بشكل صحيح عن الصف التالي. (#6500)
- لم يعد يصاب iTunes بالجمود للأبد عند استخدام نمط التصفح في متجر iTunes, وموسيقى apple, إلخز (#6502)
- معالجة التوقف الذي كان يصيب mozilla 64 بايت والتطبيقات المبنية على متصفحات chrome. (#6497)
- سيعمل نمط التصفح وحقول كتابة النصوص بشكل صحيح عند تفعيل العمليات المتعددة (multi-process) في Firefox. (#6380)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2016.3

يتضمن هذا الإصدار العديد من المستجدات والتحسينات التي من بينها: إمكانية تعطيل كل إضافة على حدة، ودعم التفاعل مع حقول الاستمارات ب microsoft excel, تحسينات كبيرة في نطق الألوان, إصلاحات وتحسينات للعديد من الأسطر الإلكترونية, وتحسين دعم microsoft word.

### المستجدات

- من الآن يمكن استخدام نمط التصفح في قراءة مستندات PDF بتطبيق Microsoft Edge بالتحديث السنوي لويندوز 10. (#5740)
- الإعلان عن "يتوسطه خط" و "يتوسطه خط مزدوج" ب microsoft word. (#5800)
- في microsoft word, سيعلن NVDA عن عنوان الجدول إن وجد. أما إذا وجد وصف, فيمكن الوصول إليه باستخدام أمر فتح الوصف المطول (NVDA+d) في نمط التصفح. (#5943)
- في microsoft word, سيعلن NVDA عن معلومات الموضع عند تحريك الفقرات (alt+shift+downArrow و alt+shift+upArrow). (#5945)
- في microsoft word, سيعلن الآن عن تباعد الأسطر عبر أمر الإعلان عن التنسيق, عند تغييرها بمختلف الاختصارات المخصصة لهذا الغرض ب microsoft word, وعند الانتقال للنص بتباعد الأسطر المختلفة إذا كان قد تم تحديد مربع الإعلان عن تباعد الأسطر الموجود بإعدادات تنسيق المستندات. (#2961)
- الآن سيتعرف NVDA على عناصر HTML5 المركبة بتطبيق internet explorer. (#5591)
- يمكن الآن تعطيل الإعلان عن التعليقات كتلك الموجودة ب microsoft word عبر مربع تحديد الإعلان عن التعليقات بمحاورة تنسيق المستندات. (#5108)
- يمكن الآن تعطيل كل إضافة على حدة من مدير الإضافات البرمجية. (#3090)
- إضافة مفاتيح اختصار جديدة للأسطر الإلكترونية سلسلة ALVA BC640/680. (#5206)
- إضافة اختصار لتحريك السطر الإلكتروني للكائن النشط. الاختصار المحدد حاليا لسلسلة الأسطر الإلكترونية من طراز ALVA BC640/680. يمكن تعيين اختصار لتنفيذ ذلك الأمر لمختلف الأسطر الإلكترونية الأخرى إذا كنت ترغب في ذلك وذلك بمحاورة تخصيص اختصارات البرنامج. (#5250)
- يمكن الآن التفاعل مع حقول الاستمارات في microsoft excel حيث يمكن الانتقال إلى الحقول الاستمارية عبر قائمة العناصر أو بالأحرف المنفردة بنمط التصفح. (#4953)
- يمكن الآن تعيين اختصار للتنقل بين تشغيل وتعطيل نمط الاستعراض البسيط وذلك عبر محاورة تخصيص اختصارات البرنامج. (#6173)

### التعديلات

- سيعلن NVDA عن الألوان الآن باستخدام الأشكال التسعة لللون والظلال الثلاثة الأساسية المعروفة مع التنوع في درجات الإشراق والشحوب. وهذا بدلا من استخدام أسماء ألوان ذاتية وغير معروفة. (#6029)
- تعديل سلوك الاختصار NVDA+f9 ثم NVDA+f10 لتحديد النص بالضغطة الأولى ل f10. عند ضغط f10 مرتين متتاليتين, فسينسخ النص إلى الحافظة. (#4636)
- تحديث آلة النطق eSpeakNG للإصدار Master 11b1a7b (22 June 2016). (#6037)

### الإصلاحات

- عند النسخ في نمط التصفح ب microsoft word, سيتم نسخ التنسيق مع النص. (#5956)
- عند الحركة داخل جدول ب microsoft word بأوامر الحركة المخصصة لهذا الغرض التي خصصتها ميكروسوفت, (alt+home, alt+end, alt+pageUp و alt+pageDown) وأوامر تحديد الجدول (إضافة مفتاحة shift للأوامر السابق ذكرها), فسيعلن NVDA عن ذلك بشكل صحيح.
- تحسن الحركة بمؤشر NVDA في محاورات microsoft word بشكل كبير. (#6036)
- الإعلان عن مفاتيح الاختصار كما هو متوقع في بعض التطبيقات مثل تطبيق Visual Studio 2015 كالضغط على ctrl+c على سبيل المثال. (#6021)
- معالجة مشكلة نادرة كانت تحدث عند البحث عن المنافذ التسلسلية على بعض الأنظمة والتي كانت تتسبب في تعطيل بعض محركات الأسطر الإلكترونية. (#6015)
- أصبح الإعلان عن الألوان ب Microsoft Word أكثر وضوح حيث تم الأخذ في الاعتبار تغييرات microsoft office في تنسيقاتها. (#5997)
- أصبح نمط التصفح ب microsoft edge ودعم مقترحات البحث بشاشة ابدأ متاحان مرة أخرى بإصدارات ويندوز 10 بعد شهر إبريل 2016. (#5955)
- ستعمل القراءة الآلية لرؤوس الجدول بشكل أفضل عند التعامل مع الخلايا المدمجة. (#5926)
- في تطبيق البريد الإلكتروني بويندوز 10, لم يعد يخفق NVDA في قراءة محتوى الرسائل. (#5635)
- عند تشغيل نطق المفاتيح, لم يعد يعلن عن مفاتيح القفل مرتين كمفتاح caps lock. (#5490)
- قراءة محاورات التحكم في حسابات المستخدم مرة أخرى بطريقة صحيحة في التحديث السنوي لويندوز 10. (#5942)
- لم يعد يتحدث NVDA أو يصدر صفير للإعلان عن شريط تقدم قوة الميكروفون في الملحق البرمجي web conference كالموجود في out-of-sight.net). (#5888)
- عند إجراء أمر بحث تالي وبحث سابق بنمط التصفح مع تحديد الحساسية لحالة الأحرف سيبحث NVDA بشكل صحيح إذا كانت النتيجة الأصلية حساسة لحالة الأحرف. (#5522)
- عند تحرير مداخل القاموس, فسيعلم المستخدم بالتعبيرات القياسية الغير صالحة. ولم يعد يتجمد NVDA عندما يحتوي أحد ملفات القاموس على تعبير قياسي غير صحيح. (#4834)
- إذا تعذر توصيل NVDA بأحد السطور الإلكترونية (على سبيل المثال لأن السطر أصبح غير متصل), فإنه سيتعطل استخدام ذلك السطر. (#1555)
- تحسين طفيف في أداء التصفية في نمط التصفح بقائمة العناصر لبعض الحالات. (#6126)
- ستتطابق أسماء أنماط الخلفيات التي يعلن عنها NVDA مع تلك المستخدمة في microsoft excel. (#6092)
- تحسين دعم شاشة الدخول لويندوز 10, ويشمل ذلك التحسين الإعلان عن التنبيهات وتنشيط حقل كلمة المرور باللمس. (#6010)
- أصبح بإمكان NVDA الآن التعرف على أزرار تحديد الخلايا routing الثانوية بسلسلة الأسطر الإلكترونية من طراز BC640/680. (#5206)
- أصبح بإمكان NVDA الإعلان مجددا عن الإشعارات بالإصدارات الحديثة من ويندوز 10. (#6096)
- لم يعد يتوقف NVDA عن التعرف على ضغطات المفاتيح على أسطر Baum المتوافقة و HumanWare Brailliant B. (#6035)=
- إذا تم تفعيل خيار الإعلان عن أرقام الأسطر بإعدادات تنسيق المستندات, فإن أرقام الأسطر ستظهر على الأسطر الإلكترونية أيضا. (#5941)
- إذا كان نمط النطق معطل, فإن الإعلان عن الكائنات (كالضغط على NVDA+tab للإعلان عن الكائن النشط) سيظهر في عارض النطق كما هو متوقع. (#6049)
- في قائمة الرسائل ب Outlook 2016 لم يعد يعلن NVDA عن المعلومات المتعلقة بالمسودة لكل رسالة. (#6219)
- لم يعد يفشل نمط التصفح في العمل في العديد من المستندات بمتصفح chrome إذا كانت لغة المتصفح غير الإنجليزية. (#6249)

### تعديلات للمطورين

يضم ملف المستجدات الخاص بهذا الإصدار العديد من التعديلات التي من شأنها تسهيل أداء وعمل مطوري البرنامج، إلا أنه لم يتم إيرادها في النسخة العربية حيث أن المستخدم لم يستفد منها بشكل مباشر كما أنها تضم مصطلحات تقنية متخصصة جدا لا يستخدمها ولا يحتاجها سوى مطوري البرنامج الأصليين. ولمن يرغب بالاطلاع على هذا القسم يمكنه الرجوع إلى ملف المستجدات الموجود باللغة الإنجليزية

## 2016.2.1

يعالج هذا الإصدار الجمود الذي كان يصيب تطبيق microsoft word:

- لم يعد يتسبب NVDA في إصابة microsoft word بالجمود بعد بدأ تشغيله ب windows Xp. (#6033)
- حذف خيار الإعلان عن الأخطاء الهجائية نظرا لأنه كان يتسبب في جمود microsoft word. (#5954, #5877)

## 2016.2

يتضمن هذا الإصدار العديد من المستجدات والتحسينات والتي من بينها إمكانية توضيح الأخطاء الهجائية أثناء الكتابة، دعم الإعلان عن الأخطاء النحوية في microsoft word; والتحسينات والإصلاحات بتطبيقات microsoft office.

### المستجدات

